!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-12-12 18:37             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl2()
    coupl(nGC_452) = -coupl(nGC_262)
    coupl(nGC_456) = -coupl(nGC_250)
    coupl(nGC_472) = -coupl(nGC_257)
    coupl(nGC_476) = -coupl(nGC_260)
    coupl(nGC_480) = -coupl(nGC_267)
    coupl(nGC_526) = -coupl(nGC_270)
    coupl(nGC_530) = -coupl(nGC_253)
    coupl(nGC_534) = -coupl(nGC_265)
    coupl(nGC_544) = -coupl(nGC_90)
    coupl(nGC_556) = -coupl(nGC_91)
    coupl(nGC_572) = -coupl(nGC_94)
    coupl(nGC_580) = -coupl(nGC_89)
    coupl(nGC_596) = -coupl(nGC_101)
    coupl(nGC_612) = -coupl(nGC_108)
    coupl(nGC_624) = -coupl(nGC_124)
    coupl(nGC_632) = -coupl(nGC_115)
    coupl(nGC_648) = -coupl(nGC_129)
    coupl(nGC_826) = -2d0*coupl(nGC_5)
    coupl(nGC_832) = -2d0*coupl(nGC_135)
    coupl(nGC_860) = -coupl(nGC_157)/2d0
    coupl(nGC_872) = -2d0*coupl(nGC_136)
    coupl(nGC_1220) = 4d0*coupl(nGC_234)
    coupl(nGC_1222) = coupl(nGC_151) + coupl(nGC_234)
    coupl(nGC_1236) = -2d0*coupl(nGC_234)
    coupl(nGC_1238) = coupl(nGC_150) + coupl(nGC_234)
    coupl(nGC_1258) = 2d0*coupl(nGC_235)
    coupl(nGC_1260) = coupl(nGC_150) + coupl(nGC_235)
    coupl(nGC_3474) = -coupl(nGC_139)
    coupl(nGC_3488) = -coupl(nGC_138)
    coupl(nGC_3622) = -coupl(nGC_137)
    coupl(nGC_3852) = -coupl(nGC_236)
    coupl(nGC_3862) = -coupl(nGC_237)
    coupl(nGC_288) = cima*gs
  end subroutine fill_couplings_mdl2
end module fill_couplings2
