!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-12-12 18:37             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_10177) = coupl(nGC_191)*(dZdR_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_10178) = coupl(nGC_173)*(dZdL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_10179) = coupl(nGC_192)*(dZsR_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_10180) = coupl(nGC_174)*(dZsL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_10181) = coupl(nGC_193)*(dZbR_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_10182) = coupl(nGC_175)*(dZbL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_10183) = coupl(nGC_203)*dZdR_QCD2
    coupl(nGC_10184) = coupl(nGC_194)*dZdL_QCD2
    coupl(nGC_10185) = coupl(nGC_62)*(dZdR_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_10186) = coupl(nGC_53)*(dZdL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_10187) = coupl(nGC_63)*(dZbR_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_10188) = coupl(nGC_54)*(dZbL_QCD2 + dZdL_QCD2)/2d0
    coupl(nGC_10191) = coupl(nGC_204)*dZsR_QCD2
    coupl(nGC_10192) = coupl(nGC_195)*dZsL_QCD2
    coupl(nGC_10193) = coupl(nGC_64)*(dZbR_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_10194) = coupl(nGC_55)*(dZbL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_10199) = coupl(nGC_205)*dZbR_QCD2
    coupl(nGC_10200) = coupl(nGC_196)*dZbL_QCD2
    coupl(nGC_10201) = coupl(nGC_209)*dZuR_QCD2
    coupl(nGC_10202) = coupl(nGC_200)*dZuL_QCD2
    coupl(nGC_10203) = coupl(nGC_68)*(dZcR_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_10204) = coupl(nGC_59)*(dZcL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_10205) = coupl(nGC_69)*(dZtR_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_10206) = coupl(nGC_60)*(dZtL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_10209) = coupl(nGC_210)*dZcR_QCD2
    coupl(nGC_10210) = coupl(nGC_201)*dZcL_QCD2
    coupl(nGC_10211) = coupl(nGC_70)*(dZcR_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_10212) = coupl(nGC_61)*(dZcL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_10217) = coupl(nGC_211)*dZtR_QCD2
    coupl(nGC_10218) = coupl(nGC_202)*dZtL_QCD2
    coupl(nGC_10237) = coupl(nGC_2)*dZuL_QCD2
    coupl(nGC_10238) = coupl(nGC_2)*dZuR_QCD2
    coupl(nGC_10239) = coupl(nGC_2)*dZcL_QCD2
    coupl(nGC_10240) = coupl(nGC_2)*dZcR_QCD2
    coupl(nGC_10241) = coupl(nGC_2)*dZtL_QCD2
    coupl(nGC_10242) = coupl(nGC_2)*dZtR_QCD2
    coupl(nGC_10243) = coupl(nGC_1)*dZdL_QCD2
    coupl(nGC_10244) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_10245) = coupl(nGC_1)*dZsL_QCD2
    coupl(nGC_10246) = coupl(nGC_1)*dZsR_QCD2
    coupl(nGC_10247) = coupl(nGC_1)*dZbL_QCD2
    coupl(nGC_10248) = coupl(nGC_1)*dZbR_QCD2
    coupl(nGC_10249) = coupl(nGC_11)*dZuL_QCD2
    coupl(nGC_10250) = coupl(nGC_11)*dZuR_QCD2
    coupl(nGC_10260) = coupl(nGC_11)*dZcL_QCD2
    coupl(nGC_10261) = coupl(nGC_11)*dZcR_QCD2
    coupl(nGC_10270) = coupl(nGC_11)*dZtL_QCD2
    coupl(nGC_10271) = coupl(nGC_11)*dZtR_QCD2
    coupl(nGC_10280) = coupl(nGC_11)*dZdL_QCD2
    coupl(nGC_10281) = coupl(nGC_11)*dZdR_QCD2
    coupl(nGC_10290) = coupl(nGC_11)*dZsL_QCD2
    coupl(nGC_10291) = coupl(nGC_11)*dZsR_QCD2
    coupl(nGC_10300) = coupl(nGC_11)*dZbL_QCD2
    coupl(nGC_10301) = coupl(nGC_11)*dZbR_QCD2
    coupl(nGC_10310) = coupl(nGC_141)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_10311) = coupl(nGC_142)*(dZsL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_10312) = coupl(nGC_143)*(dZbL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_10313) = coupl(nGC_144)*(dZcL_QCD2 + dZdL_QCD2)/2d0
    coupl(nGC_10314) = coupl(nGC_145)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_10315) = coupl(nGC_146)*(dZbL_QCD2 + dZcL_QCD2)/2d0
    coupl(nGC_10316) = coupl(nGC_147)*(dZdL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_10317) = coupl(nGC_148)*(dZsL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_10318) = coupl(nGC_149)*(dZbL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_10319) = coupl(nGC_271)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_10320) = coupl(nGC_274)*(dZcL_QCD2 + dZdL_QCD2)/2d0
    coupl(nGC_10321) = coupl(nGC_277)*(dZdL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_10322) = coupl(nGC_272)*(dZsL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_10323) = coupl(nGC_275)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_10324) = coupl(nGC_278)*(dZsL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_10325) = coupl(nGC_273)*(dZbL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_10326) = coupl(nGC_276)*(dZbL_QCD2 + dZcL_QCD2)/2d0
    coupl(nGC_10327) = coupl(nGC_279)*(dZbL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_10331) = dZuL_QCD2*(coupl(nGC_151) + coupl(nGC_234))
    coupl(nGC_10330) = coupl(nGC_234)*dZuR_QCD2
    coupl(nGC_10332) = 4d0*coupl(nGC_10330)
    coupl(nGC_10336) = dZcL_QCD2*(coupl(nGC_151) + coupl(nGC_234))
    coupl(nGC_10335) = coupl(nGC_234)*dZcR_QCD2
    coupl(nGC_10337) = 4d0*coupl(nGC_10335)
    coupl(nGC_10341) = dZtL_QCD2*(coupl(nGC_151) + coupl(nGC_234))
    coupl(nGC_10340) = coupl(nGC_234)*dZtR_QCD2
    coupl(nGC_10342) = 4d0*coupl(nGC_10340)
    coupl(nGC_10346) = dZdL_QCD2*(coupl(nGC_150) + coupl(nGC_234))
    coupl(nGC_10345) = coupl(nGC_234)*dZdR_QCD2
    coupl(nGC_10347) = -2d0*coupl(nGC_10345)
    coupl(nGC_10351) = dZsL_QCD2*(coupl(nGC_150) + coupl(nGC_234))
    coupl(nGC_10350) = coupl(nGC_234)*dZsR_QCD2
    coupl(nGC_10352) = -2d0*coupl(nGC_10350)
    coupl(nGC_10356) = dZbL_QCD2*(coupl(nGC_150) + coupl(nGC_234))
    coupl(nGC_10355) = coupl(nGC_234)*dZbR_QCD2
    coupl(nGC_10357) = -2d0*coupl(nGC_10355)
    coupl(nGC_10360) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_10361) = coupl(nGC_MI)*dZtL_QCD2
    coupl(nGC_10362) = coupl(nGC_MI)*dZtR_QCD2
    coupl(nGC_10363) = coupl(nGC_10360) + coupl(nGC_6916)
    coupl(nGC_10366) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_10367) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_10368) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_10369) = coupl(nGC_10366) + coupl(nGC_6918)
    coupl(nGC_10372) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_10373) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_10374) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_10375) = coupl(nGC_10372) + coupl(nGC_6919)
    coupl(nGC_10378) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_10379) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_10380) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_10381) = coupl(nGC_10378) + coupl(nGC_6920)
    coupl(nGC_10384) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_10385) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_10386) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_10387) = coupl(nGC_10384) + coupl(nGC_6921)
    coupl(nGC_10390) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_10391) = coupl(nGC_MI)*dZbL_QCD2
    coupl(nGC_10392) = coupl(nGC_MI)*dZbR_QCD2
    coupl(nGC_10393) = coupl(nGC_10390) + coupl(nGC_6922)
    coupl(nGC_10394) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_10395) = -coupl(nGC_10394)
    coupl(nGC_6348) = cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(64d0*pi&
                      **2d0*Nc)
    coupl(nGC_6349) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_6350) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_6351) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_6352) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_6353) = cMT*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_6354) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_6355) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6356) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6357) = coupl(nGC_11)**2d0*coupl(nGC_45)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6358) = coupl(nGC_11)**2d0*coupl(nGC_36)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6359) = coupl(nGC_11)**2d0*coupl(nGC_48)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6360) = coupl(nGC_11)**2d0*coupl(nGC_39)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6361) = coupl(nGC_11)**2d0*coupl(nGC_42)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6362) = coupl(nGC_11)**2d0*coupl(nGC_33)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6363) = coupl(nGC_11)**2d0*coupl(nGC_34)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6364) = coupl(nGC_11)**2d0*coupl(nGC_43)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6365) = coupl(nGC_11)**2d0*coupl(nGC_35)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6366) = coupl(nGC_11)**2d0*coupl(nGC_44)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6367) = coupl(nGC_11)**2d0*coupl(nGC_46)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6368) = coupl(nGC_11)**2d0*coupl(nGC_37)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6369) = coupl(nGC_11)**2d0*coupl(nGC_40)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6370) = coupl(nGC_11)**2d0*coupl(nGC_31)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6371) = coupl(nGC_11)**2d0*coupl(nGC_47)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6372) = coupl(nGC_11)**2d0*coupl(nGC_38)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6373) = coupl(nGC_11)**2d0*coupl(nGC_41)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6374) = coupl(nGC_11)**2d0*coupl(nGC_32)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6375) = coupl(nGC_11)**2d0*coupl(nGC_20)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6376) = coupl(nGC_11)**2d0*coupl(nGC_29)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6377) = coupl(nGC_11)**2d0*coupl(nGC_21)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6378) = coupl(nGC_11)**2d0*coupl(nGC_30)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6379) = coupl(nGC_11)**2d0*coupl(nGC_19)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6380) = coupl(nGC_11)**2d0*coupl(nGC_28)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6381) = coupl(nGC_11)**2d0*coupl(nGC_23)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6382) = coupl(nGC_11)**2d0*coupl(nGC_14)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6383) = coupl(nGC_11)**2d0*coupl(nGC_26)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6384) = coupl(nGC_11)**2d0*coupl(nGC_17)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6385) = coupl(nGC_11)**2d0*coupl(nGC_15)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6386) = coupl(nGC_11)**2d0*coupl(nGC_24)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6387) = coupl(nGC_11)**2d0*coupl(nGC_13)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6388) = coupl(nGC_11)**2d0*coupl(nGC_22)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6389) = coupl(nGC_11)**2d0*coupl(nGC_18)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6390) = coupl(nGC_11)**2d0*coupl(nGC_27)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6391) = coupl(nGC_11)**2d0*coupl(nGC_16)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6392) = coupl(nGC_11)**2d0*coupl(nGC_25)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6393) = coupl(nGC_11)**2d0*coupl(nGC_456)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6394) = coupl(nGC_11)**2d0*coupl(nGC_250)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6395) = coupl(nGC_11)**2d0*coupl(nGC_530)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6396) = coupl(nGC_11)**2d0*coupl(nGC_253)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6397) = coupl(nGC_11)**2d0*coupl(nGC_448)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6398) = coupl(nGC_11)**2d0*coupl(nGC_254)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6399) = coupl(nGC_11)**2d0*coupl(nGC_452)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6400) = coupl(nGC_11)**2d0*coupl(nGC_262)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6401) = coupl(nGC_11)**2d0*coupl(nGC_534)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6402) = coupl(nGC_11)**2d0*coupl(nGC_265)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6403) = coupl(nGC_11)**2d0*coupl(nGC_526)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6404) = coupl(nGC_11)**2d0*coupl(nGC_270)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6405) = coupl(nGC_11)**2d0*coupl(nGC_72)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6406) = coupl(nGC_11)**2d0*coupl(nGC_71)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6407) = coupl(nGC_11)**2d0*coupl(nGC_82)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6408) = coupl(nGC_11)**2d0*coupl(nGC_79)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6409) = coupl(nGC_11)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6410) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6411) = coupl(nGC_11)**2d0*coupl(nGC_74)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6412) = coupl(nGC_11)**2d0*coupl(nGC_73)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6413) = coupl(nGC_11)**2d0*coupl(nGC_76)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6414) = coupl(nGC_11)**2d0*coupl(nGC_75)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6415) = coupl(nGC_11)**2d0*coupl(nGC_80)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6416) = coupl(nGC_11)**2d0*coupl(nGC_77)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6417) = coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6418) = coupl(nGC_11)**2d0*coupl(nGC_83)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6419) = coupl(nGC_11)**2d0*coupl(nGC_81)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6420) = coupl(nGC_11)**2d0*coupl(nGC_78)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6421) = coupl(nGC_11)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6422) = coupl(nGC_11)**2d0*coupl(nGC_84)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6423) = coupl(nGC_11)**2d0*coupl(nGC_96)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6424) = coupl(nGC_11)**2d0*coupl(nGC_93)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6425) = coupl(nGC_11)**2d0*coupl(nGC_90)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6426) = coupl(nGC_11)**2d0*coupl(nGC_544)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6427) = coupl(nGC_11)**2d0*coupl(nGC_110)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6428) = coupl(nGC_105)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6429) = coupl(nGC_11)**2d0*coupl(nGC_95)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6430) = coupl(nGC_11)**2d0*coupl(nGC_92)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6431) = coupl(nGC_109)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6432) = coupl(nGC_104)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6433) = coupl(nGC_11)**2d0*coupl(nGC_91)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6434) = coupl(nGC_11)**2d0*coupl(nGC_556)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6435) = coupl(nGC_11)**2d0*coupl(nGC_114)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6436) = coupl(nGC_11)**2d0*coupl(nGC_112)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6437) = coupl(nGC_11)**2d0*coupl(nGC_131)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6438) = coupl(nGC_11)**2d0*coupl(nGC_126)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6439) = coupl(nGC_11)**2d0*coupl(nGC_113)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6440) = coupl(nGC_11)**2d0*coupl(nGC_111)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6441) = coupl(nGC_11)**2d0*coupl(nGC_130)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6442) = coupl(nGC_11)**2d0*coupl(nGC_125)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6443) = coupl(nGC_11)**2d0*coupl(nGC_94)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6444) = coupl(nGC_11)**2d0*coupl(nGC_572)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6445) = coupl(nGC_107)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6446) = coupl(nGC_103)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6447) = coupl(nGC_106)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6448) = coupl(nGC_102)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6449) = coupl(nGC_108)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6450) = coupl(nGC_11)**2d0*coupl(nGC_612)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6451) = coupl(nGC_11)**2d0*coupl(nGC_115)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6452) = coupl(nGC_11)**2d0*coupl(nGC_632)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6453) = coupl(nGC_11)**2d0*coupl(nGC_133)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6454) = coupl(nGC_11)**2d0*coupl(nGC_128)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6455) = coupl(nGC_11)**2d0*coupl(nGC_132)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6456) = coupl(nGC_11)**2d0*coupl(nGC_127)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6457) = coupl(nGC_11)**2d0*coupl(nGC_129)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6458) = coupl(nGC_11)**2d0*coupl(nGC_648)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6459) = coupl(nGC_11)**2d0*coupl(nGC_251)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6460) = coupl(nGC_11)**2d0*coupl(nGC_252)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6461) = coupl(nGC_11)**2d0*coupl(nGC_255)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6462) = coupl(nGC_11)**2d0*coupl(nGC_263)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6463) = coupl(nGC_11)**2d0*coupl(nGC_264)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6464) = coupl(nGC_11)**2d0*coupl(nGC_269)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6465) = coupl(nGC_11)**2d0*coupl(nGC_146)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6466) = coupl(nGC_11)**2d0*coupl(nGC_143)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6467) = coupl(nGC_11)**2d0*coupl(nGC_149)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6468) = coupl(nGC_11)**2d0*coupl(nGC_144)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6469) = coupl(nGC_11)**2d0*coupl(nGC_145)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6470) = coupl(nGC_11)**2d0*coupl(nGC_147)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6471) = coupl(nGC_11)**2d0*coupl(nGC_141)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6472) = coupl(nGC_11)**2d0*coupl(nGC_148)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6473) = coupl(nGC_11)**2d0*coupl(nGC_142)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6474) = coupl(nGC_11)**2d0*coupl(nGC_276)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6475) = coupl(nGC_11)**2d0*coupl(nGC_279)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6476) = coupl(nGC_11)**2d0*coupl(nGC_273)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6477) = coupl(nGC_11)**2d0*coupl(nGC_274)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6478) = coupl(nGC_11)**2d0*coupl(nGC_275)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6479) = coupl(nGC_11)**2d0*coupl(nGC_277)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6480) = coupl(nGC_11)**2d0*coupl(nGC_271)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6481) = coupl(nGC_11)**2d0*coupl(nGC_278)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
