!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-12-12 18:37             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_6482) = coupl(nGC_11)**2d0*coupl(nGC_272)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6483) = coupl(nGC_11)**2d0*coupl(nGC_172)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6484) = coupl(nGC_11)**2d0*coupl(nGC_190)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6485) = coupl(nGC_11)**2d0*coupl(nGC_175)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6486) = coupl(nGC_11)**2d0*coupl(nGC_193)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6487) = coupl(nGC_11)**2d0*coupl(nGC_169)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6488) = coupl(nGC_11)**2d0*coupl(nGC_187)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6489) = coupl(nGC_11)**2d0*coupl(nGC_170)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6490) = coupl(nGC_11)**2d0*coupl(nGC_188)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6491) = coupl(nGC_11)**2d0*coupl(nGC_171)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6492) = coupl(nGC_11)**2d0*coupl(nGC_189)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6493) = coupl(nGC_11)**2d0*coupl(nGC_173)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6494) = coupl(nGC_11)**2d0*coupl(nGC_191)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6495) = coupl(nGC_11)**2d0*coupl(nGC_167)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6496) = coupl(nGC_11)**2d0*coupl(nGC_185)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6497) = coupl(nGC_11)**2d0*coupl(nGC_174)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6498) = coupl(nGC_11)**2d0*coupl(nGC_192)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6499) = coupl(nGC_11)**2d0*coupl(nGC_168)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6500) = coupl(nGC_11)**2d0*coupl(nGC_186)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6501) = coupl(nGC_11)**2d0*coupl(nGC_1238)*sq2**2d0*(Nc**2d0 -   &
                      1d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_6502) = coupl(nGC_11)**2d0*coupl(nGC_1236)*sq2**2d0*(Nc**2d0 -   &
                      1d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_6503) = coupl(nGC_11)**2d0*coupl(nGC_1222)*sq2**2d0*(Nc**2d0 -   &
                      1d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_6504) = coupl(nGC_11)**2d0*coupl(nGC_1220)*sq2**2d0*(Nc**2d0 -   &
                      1d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_6505) = coupl(nGC_11)**2d0*coupl(nGC_196)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6506) = coupl(nGC_11)**2d0*coupl(nGC_205)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6507) = coupl(nGC_11)**2d0*coupl(nGC_54)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6508) = coupl(nGC_11)**2d0*coupl(nGC_63)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6509) = coupl(nGC_11)**2d0*coupl(nGC_55)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6510) = coupl(nGC_11)**2d0*coupl(nGC_64)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6511) = coupl(nGC_11)**2d0*coupl(nGC_54)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6512) = coupl(nGC_11)**2d0*coupl(nGC_63)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6513) = coupl(nGC_11)**2d0*coupl(nGC_55)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6514) = coupl(nGC_11)**2d0*coupl(nGC_64)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6515) = coupl(nGC_11)**2d0*coupl(nGC_201)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6516) = coupl(nGC_11)**2d0*coupl(nGC_210)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6517) = coupl(nGC_11)**2d0*coupl(nGC_61)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6518) = coupl(nGC_11)**2d0*coupl(nGC_70)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6519) = coupl(nGC_11)**2d0*coupl(nGC_59)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6520) = coupl(nGC_11)**2d0*coupl(nGC_68)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6521) = coupl(nGC_11)**2d0*coupl(nGC_194)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6522) = coupl(nGC_11)**2d0*coupl(nGC_203)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6523) = coupl(nGC_11)**2d0*coupl(nGC_53)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6524) = coupl(nGC_11)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6525) = coupl(nGC_11)**2d0*coupl(nGC_195)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6526) = coupl(nGC_11)**2d0*coupl(nGC_204)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6527) = coupl(nGC_11)**2d0*coupl(nGC_211)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6528) = coupl(nGC_11)**2d0*coupl(nGC_202)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6529) = coupl(nGC_11)**2d0*coupl(nGC_60)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6530) = coupl(nGC_11)**2d0*coupl(nGC_69)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6531) = coupl(nGC_11)**2d0*coupl(nGC_200)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6532) = coupl(nGC_11)**2d0*coupl(nGC_209)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6891) = coupl(nGC_288)*dZgs_QCD2
    coupl(nGC_10253) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_6891)
    coupl(nGC_10254) = coupl(nGC_10250) + coupl(nGC_10253)
    coupl(nGC_10255) = coupl(nGC_10249) + coupl(nGC_10253)
    coupl(nGC_10264) = coupl(nGC_10253) + coupl(nGC_10261)
    coupl(nGC_10265) = coupl(nGC_10253) + coupl(nGC_10260)
    coupl(nGC_10274) = coupl(nGC_10253) + coupl(nGC_10271)
    coupl(nGC_10275) = coupl(nGC_10253) + coupl(nGC_10270)
    coupl(nGC_10284) = coupl(nGC_10253) + coupl(nGC_10281)
    coupl(nGC_10285) = coupl(nGC_10253) + coupl(nGC_10280)
    coupl(nGC_10294) = coupl(nGC_10253) + coupl(nGC_10291)
    coupl(nGC_10295) = coupl(nGC_10253) + coupl(nGC_10290)
    coupl(nGC_10304) = coupl(nGC_10253) + coupl(nGC_10301)
    coupl(nGC_10305) = coupl(nGC_10253) + coupl(nGC_10300)
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
