!******************************************************************************!
!                                                                              !
!    vertices_info4.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info4.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-12-12 18:37             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info4
  implicit none
  contains
  subroutine fill_vertices_mdl4()
    use class_vertices
    use class_couplings
    allocate(vertices(897)%branchCT(0:0))
    call avCT(897, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10092, nGC_10091])

    allocate(vertices(898)%branchCT(0:0))
    call avCT(898, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10092, nGC_10091])

    allocate(vertices(899)%branchCT(0:0))
    call avCT(899, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10098, nGC_10097])

    allocate(vertices(900)%branchCT(0:0))
    call avCT(900, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10098, nGC_10097])

    allocate(vertices(901)%branchCT(0:0))
    call avCT(901, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10098, nGC_10097])

    allocate(vertices(902)%branchCT(0:0))
    call avCT(902, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10098, nGC_10097])

    allocate(vertices(903)%branchCT(0:0))
    call avCT(903, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10098, nGC_10097])

    allocate(vertices(904)%branchCT(0:0))
    call avCT(904, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10104, nGC_10103])

    allocate(vertices(905)%branchCT(0:0))
    call avCT(905, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10104, nGC_10103])

    allocate(vertices(906)%branchCT(0:0))
    call avCT(906, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10104, nGC_10103])

    allocate(vertices(907)%branchCT(0:0))
    call avCT(907, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10104, nGC_10103])

    allocate(vertices(908)%branchCT(0:0))
    call avCT(908, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10104, nGC_10103])

    allocate(vertices(909)%branchCT(0:0))
    call avCT(909, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10110, nGC_10109])

    allocate(vertices(910)%branchCT(0:0))
    call avCT(910, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10110, nGC_10109])

    allocate(vertices(911)%branchCT(0:0))
    call avCT(911, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10110, nGC_10109])

    allocate(vertices(912)%branchCT(0:0))
    call avCT(912, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10110, nGC_10109])

    allocate(vertices(913)%branchCT(0:0))
    call avCT(913, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10110, nGC_10109])

    allocate(vertices(914)%branchCT(0:0))
    call avCT(914, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10116, nGC_10115])

    allocate(vertices(915)%branchCT(0:0))
    call avCT(915, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10116, nGC_10115])

    allocate(vertices(916)%branchCT(0:0))
    call avCT(916, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10116, nGC_10115])

    allocate(vertices(917)%branchCT(0:0))
    call avCT(917, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10116, nGC_10115])

    allocate(vertices(918)%branchCT(0:0))
    call avCT(918, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10116, nGC_10115])

    allocate(vertices(919)%branchCT(0:0))
    call avCT(919, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10122, nGC_10121])

    allocate(vertices(920)%branchCT(0:0))
    call avCT(920, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10122, nGC_10121])

    allocate(vertices(921)%branchCT(0:0))
    call avCT(921, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10122, nGC_10121])

    allocate(vertices(922)%branchCT(0:0))
    call avCT(922, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10122, nGC_10121])

    allocate(vertices(923)%branchCT(0:0))
    call avCT(923, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10122, nGC_10121])

    allocate(vertices(924)%branchCT(0:0))
    call avCT(924, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10128, nGC_10127])

    allocate(vertices(925)%branchCT(0:0))
    call avCT(925, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10128, nGC_10127])

    allocate(vertices(926)%branchCT(0:0))
    call avCT(926, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10128, nGC_10127])

    allocate(vertices(927)%branchCT(0:0))
    call avCT(927, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10128, nGC_10127])

    allocate(vertices(928)%branchCT(0:0))
    call avCT(928, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10128, nGC_10127])

    allocate(vertices(1379)%branchCT(0:0))
    call avCT(1379, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10165, nGC_10166])

    allocate(vertices(1380)%branchCT(0:0))
    call avCT(1380, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10165, nGC_10166])

    allocate(vertices(1381)%branchCT(0:0))
    call avCT(1381, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10165, nGC_10166])

    allocate(vertices(1382)%branchCT(0:0))
    call avCT(1382, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10165, nGC_10166])

    allocate(vertices(1383)%branchCT(0:0))
    call avCT(1383, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10165, nGC_10166])

    allocate(vertices(1384)%branchCT(0:0))
    call avCT(1384, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10167, nGC_10168])

    allocate(vertices(1385)%branchCT(0:0))
    call avCT(1385, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10167, nGC_10168])

    allocate(vertices(1386)%branchCT(0:0))
    call avCT(1386, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10167, nGC_10168])

    allocate(vertices(1387)%branchCT(0:0))
    call avCT(1387, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10167, nGC_10168])

    allocate(vertices(1388)%branchCT(0:0))
    call avCT(1388, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10167, nGC_10168])

    allocate(vertices(1389)%branchCT(0:0))
    call avCT(1389, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10169, nGC_10170])

    allocate(vertices(1390)%branchCT(0:0))
    call avCT(1390, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10169, nGC_10170])

    allocate(vertices(1391)%branchCT(0:0))
    call avCT(1391, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10169, nGC_10170])

    allocate(vertices(1392)%branchCT(0:0))
    call avCT(1392, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10169, nGC_10170])

    allocate(vertices(1393)%branchCT(0:0))
    call avCT(1393, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10169, nGC_10170])

    allocate(vertices(1394)%branchCT(0:0))
    call avCT(1394, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10171, nGC_10172])

    allocate(vertices(1395)%branchCT(0:0))
    call avCT(1395, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10171, nGC_10172])

    allocate(vertices(1396)%branchCT(0:0))
    call avCT(1396, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10171, nGC_10172])

    allocate(vertices(1397)%branchCT(0:0))
    call avCT(1397, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10171, nGC_10172])

    allocate(vertices(1398)%branchCT(0:0))
    call avCT(1398, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10171, nGC_10172])

    allocate(vertices(1399)%branchCT(0:0))
    call avCT(1399, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10173, nGC_10174])

    allocate(vertices(1400)%branchCT(0:0))
    call avCT(1400, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10173, nGC_10174])

    allocate(vertices(1401)%branchCT(0:0))
    call avCT(1401, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10173, nGC_10174])

    allocate(vertices(1402)%branchCT(0:0))
    call avCT(1402, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10173, nGC_10174])

    allocate(vertices(1403)%branchCT(0:0))
    call avCT(1403, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10173, nGC_10174])

    allocate(vertices(1404)%branchCT(0:0))
    call avCT(1404, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10175, nGC_10176])

    allocate(vertices(1405)%branchCT(0:0))
    call avCT(1405, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10175, nGC_10176])

    allocate(vertices(1406)%branchCT(0:0))
    call avCT(1406, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10175, nGC_10176])

    allocate(vertices(1407)%branchCT(0:0))
    call avCT(1407, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10175, nGC_10176])

    allocate(vertices(1408)%branchCT(0:0))
    call avCT(1408, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10175, nGC_10176])

    allocate(vertices(1409)%branchCT(0:0))
    call avCT(1409, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10177, nGC_10178])

    allocate(vertices(1410)%branchCT(0:0))
    call avCT(1410, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10177, nGC_10178])

    allocate(vertices(1411)%branchCT(0:0))
    call avCT(1411, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10177, nGC_10178])

    allocate(vertices(1412)%branchCT(0:0))
    call avCT(1412, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10177, nGC_10178])

    allocate(vertices(1413)%branchCT(0:0))
    call avCT(1413, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10177, nGC_10178])

    allocate(vertices(1414)%branchCT(0:0))
    call avCT(1414, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10179, nGC_10180])

    allocate(vertices(1415)%branchCT(0:0))
    call avCT(1415, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10179, nGC_10180])

    allocate(vertices(1416)%branchCT(0:0))
    call avCT(1416, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10179, nGC_10180])

    allocate(vertices(1417)%branchCT(0:0))
    call avCT(1417, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10179, nGC_10180])

    allocate(vertices(1418)%branchCT(0:0))
    call avCT(1418, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10179, nGC_10180])

    allocate(vertices(1419)%branchCT(0:0))
    call avCT(1419, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10181, nGC_10182])

    allocate(vertices(1420)%branchCT(0:0))
    call avCT(1420, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10181, nGC_10182])

    allocate(vertices(1421)%branchCT(0:0))
    call avCT(1421, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10181, nGC_10182])

    allocate(vertices(1422)%branchCT(0:0))
    call avCT(1422, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10181, nGC_10182])

    allocate(vertices(1423)%branchCT(0:0))
    call avCT(1423, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10181, nGC_10182])

    allocate(vertices(1469)%branchCT(0:0))
    call avCT(1469, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10183, nGC_10184])

    allocate(vertices(1470)%branchCT(0:0))
    call avCT(1470, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10183, nGC_10184])

    allocate(vertices(1471)%branchCT(0:0))
    call avCT(1471, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10183, nGC_10184])

    allocate(vertices(1472)%branchCT(0:0))
    call avCT(1472, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10183, nGC_10184])

    allocate(vertices(1473)%branchCT(0:0))
    call avCT(1473, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10183, nGC_10184])

    allocate(vertices(1474)%branchCT(0:0))
    call avCT(1474, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10185, nGC_10186])

    allocate(vertices(1475)%branchCT(0:0))
    call avCT(1475, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10185, nGC_10186])

    allocate(vertices(1476)%branchCT(0:0))
    call avCT(1476, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10185, nGC_10186])

    allocate(vertices(1477)%branchCT(0:0))
    call avCT(1477, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10185, nGC_10186])

    allocate(vertices(1478)%branchCT(0:0))
    call avCT(1478, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10185, nGC_10186])

    allocate(vertices(1479)%branchCT(0:0))
    call avCT(1479, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10187, nGC_10188])

    allocate(vertices(1480)%branchCT(0:0))
    call avCT(1480, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10187, nGC_10188])

    allocate(vertices(1481)%branchCT(0:0))
    call avCT(1481, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10187, nGC_10188])

    allocate(vertices(1482)%branchCT(0:0))
    call avCT(1482, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10187, nGC_10188])

    allocate(vertices(1483)%branchCT(0:0))
    call avCT(1483, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10187, nGC_10188])

    allocate(vertices(1484)%branchCT(0:0))
    call avCT(1484, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10185, nGC_10186])

    allocate(vertices(1485)%branchCT(0:0))
    call avCT(1485, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10185, nGC_10186])

    allocate(vertices(1486)%branchCT(0:0))
    call avCT(1486, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10185, nGC_10186])

    allocate(vertices(1487)%branchCT(0:0))
    call avCT(1487, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10185, nGC_10186])

    allocate(vertices(1488)%branchCT(0:0))
    call avCT(1488, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10185, nGC_10186])

    allocate(vertices(1489)%branchCT(0:0))
    call avCT(1489, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10191, nGC_10192])

    allocate(vertices(1490)%branchCT(0:0))
    call avCT(1490, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10191, nGC_10192])

    allocate(vertices(1491)%branchCT(0:0))
    call avCT(1491, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10191, nGC_10192])

    allocate(vertices(1492)%branchCT(0:0))
    call avCT(1492, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10191, nGC_10192])

    allocate(vertices(1493)%branchCT(0:0))
    call avCT(1493, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10191, nGC_10192])

    allocate(vertices(1494)%branchCT(0:0))
    call avCT(1494, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10193, nGC_10194])

    allocate(vertices(1495)%branchCT(0:0))
    call avCT(1495, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10193, nGC_10194])

    allocate(vertices(1496)%branchCT(0:0))
    call avCT(1496, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10193, nGC_10194])

    allocate(vertices(1497)%branchCT(0:0))
    call avCT(1497, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10193, nGC_10194])

    allocate(vertices(1498)%branchCT(0:0))
    call avCT(1498, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10193, nGC_10194])

    allocate(vertices(1499)%branchCT(0:0))
    call avCT(1499, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10187, nGC_10188])

    allocate(vertices(1500)%branchCT(0:0))
    call avCT(1500, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10187, nGC_10188])

    allocate(vertices(1501)%branchCT(0:0))
    call avCT(1501, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10187, nGC_10188])

    allocate(vertices(1502)%branchCT(0:0))
    call avCT(1502, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10187, nGC_10188])

    allocate(vertices(1503)%branchCT(0:0))
    call avCT(1503, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10187, nGC_10188])

    allocate(vertices(1504)%branchCT(0:0))
    call avCT(1504, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10193, nGC_10194])

    allocate(vertices(1505)%branchCT(0:0))
    call avCT(1505, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10193, nGC_10194])

    allocate(vertices(1506)%branchCT(0:0))
    call avCT(1506, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10193, nGC_10194])

    allocate(vertices(1507)%branchCT(0:0))
    call avCT(1507, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10193, nGC_10194])

    allocate(vertices(1508)%branchCT(0:0))
    call avCT(1508, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10193, nGC_10194])

    allocate(vertices(1509)%branchCT(0:0))
    call avCT(1509, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10199, nGC_10200])

    allocate(vertices(1510)%branchCT(0:0))
    call avCT(1510, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10199, nGC_10200])

    allocate(vertices(1511)%branchCT(0:0))
    call avCT(1511, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10199, nGC_10200])

    allocate(vertices(1512)%branchCT(0:0))
    call avCT(1512, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10199, nGC_10200])

    allocate(vertices(1513)%branchCT(0:0))
    call avCT(1513, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10199, nGC_10200])

    allocate(vertices(1559)%branchCT(0:0))
    call avCT(1559, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10201, nGC_10202])

    allocate(vertices(1560)%branchCT(0:0))
    call avCT(1560, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10201, nGC_10202])

    allocate(vertices(1561)%branchCT(0:0))
    call avCT(1561, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10201, nGC_10202])

    allocate(vertices(1562)%branchCT(0:0))
    call avCT(1562, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10201, nGC_10202])

    allocate(vertices(1563)%branchCT(0:0))
    call avCT(1563, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10201, nGC_10202])

    allocate(vertices(1564)%branchCT(0:0))
    call avCT(1564, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10203, nGC_10204])

    allocate(vertices(1565)%branchCT(0:0))
    call avCT(1565, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10203, nGC_10204])

    allocate(vertices(1566)%branchCT(0:0))
    call avCT(1566, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10203, nGC_10204])

    allocate(vertices(1567)%branchCT(0:0))
    call avCT(1567, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10203, nGC_10204])

    allocate(vertices(1568)%branchCT(0:0))
    call avCT(1568, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10203, nGC_10204])

    allocate(vertices(1569)%branchCT(0:0))
    call avCT(1569, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10205, nGC_10206])

    allocate(vertices(1570)%branchCT(0:0))
    call avCT(1570, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10205, nGC_10206])

    allocate(vertices(1571)%branchCT(0:0))
    call avCT(1571, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10205, nGC_10206])

    allocate(vertices(1572)%branchCT(0:0))
    call avCT(1572, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10205, nGC_10206])

    allocate(vertices(1573)%branchCT(0:0))
    call avCT(1573, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10205, nGC_10206])

    allocate(vertices(1574)%branchCT(0:0))
    call avCT(1574, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10203, nGC_10204])

    allocate(vertices(1575)%branchCT(0:0))
    call avCT(1575, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10203, nGC_10204])

    allocate(vertices(1576)%branchCT(0:0))
    call avCT(1576, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10203, nGC_10204])

    allocate(vertices(1577)%branchCT(0:0))
    call avCT(1577, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10203, nGC_10204])

    allocate(vertices(1578)%branchCT(0:0))
    call avCT(1578, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10203, nGC_10204])

    allocate(vertices(1579)%branchCT(0:0))
    call avCT(1579, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10209, nGC_10210])

    allocate(vertices(1580)%branchCT(0:0))
    call avCT(1580, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10209, nGC_10210])

    allocate(vertices(1581)%branchCT(0:0))
    call avCT(1581, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10209, nGC_10210])

    allocate(vertices(1582)%branchCT(0:0))
    call avCT(1582, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10209, nGC_10210])

    allocate(vertices(1583)%branchCT(0:0))
    call avCT(1583, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10209, nGC_10210])

    allocate(vertices(1584)%branchCT(0:0))
    call avCT(1584, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10211, nGC_10212])

    allocate(vertices(1585)%branchCT(0:0))
    call avCT(1585, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10211, nGC_10212])

    allocate(vertices(1586)%branchCT(0:0))
    call avCT(1586, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10211, nGC_10212])

    allocate(vertices(1587)%branchCT(0:0))
    call avCT(1587, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10211, nGC_10212])

    allocate(vertices(1588)%branchCT(0:0))
    call avCT(1588, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10211, nGC_10212])

    allocate(vertices(1589)%branchCT(0:0))
    call avCT(1589, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10205, nGC_10206])

    allocate(vertices(1590)%branchCT(0:0))
    call avCT(1590, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10205, nGC_10206])

    allocate(vertices(1591)%branchCT(0:0))
    call avCT(1591, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10205, nGC_10206])

    allocate(vertices(1592)%branchCT(0:0))
    call avCT(1592, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10205, nGC_10206])

    allocate(vertices(1593)%branchCT(0:0))
    call avCT(1593, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10205, nGC_10206])

    allocate(vertices(1594)%branchCT(0:0))
    call avCT(1594, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10211, nGC_10212])

    allocate(vertices(1595)%branchCT(0:0))
    call avCT(1595, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10211, nGC_10212])

    allocate(vertices(1596)%branchCT(0:0))
    call avCT(1596, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10211, nGC_10212])

    allocate(vertices(1597)%branchCT(0:0))
    call avCT(1597, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10211, nGC_10212])

    allocate(vertices(1598)%branchCT(0:0))
    call avCT(1598, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10211, nGC_10212])

    allocate(vertices(1599)%branchCT(0:0))
    call avCT(1599, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10217, nGC_10218])

    allocate(vertices(1600)%branchCT(0:0))
    call avCT(1600, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10217, nGC_10218])

    allocate(vertices(1601)%branchCT(0:0))
    call avCT(1601, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10217, nGC_10218])

    allocate(vertices(1602)%branchCT(0:0))
    call avCT(1602, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10217, nGC_10218])

    allocate(vertices(1603)%branchCT(0:0))
    call avCT(1603, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10217, nGC_10218])

    allocate(vertices(1604)%branchCT(0:0))
    call avCT(1604, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10165, nGC_10166])

    allocate(vertices(1605)%branchCT(0:0))
    call avCT(1605, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10165, nGC_10166])

    allocate(vertices(1606)%branchCT(0:0))
    call avCT(1606, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10165, nGC_10166])

    allocate(vertices(1607)%branchCT(0:0))
    call avCT(1607, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10165, nGC_10166])

    allocate(vertices(1608)%branchCT(0:0))
    call avCT(1608, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10165, nGC_10166])

    allocate(vertices(1609)%branchCT(0:0))
    call avCT(1609, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10171, nGC_10172])

    allocate(vertices(1610)%branchCT(0:0))
    call avCT(1610, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10171, nGC_10172])

    allocate(vertices(1611)%branchCT(0:0))
    call avCT(1611, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10171, nGC_10172])

    allocate(vertices(1612)%branchCT(0:0))
    call avCT(1612, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10171, nGC_10172])

    allocate(vertices(1613)%branchCT(0:0))
    call avCT(1613, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10171, nGC_10172])

    allocate(vertices(1614)%branchCT(0:0))
    call avCT(1614, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10177, nGC_10178])

    allocate(vertices(1615)%branchCT(0:0))
    call avCT(1615, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10177, nGC_10178])

    allocate(vertices(1616)%branchCT(0:0))
    call avCT(1616, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10177, nGC_10178])

    allocate(vertices(1617)%branchCT(0:0))
    call avCT(1617, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10177, nGC_10178])

    allocate(vertices(1618)%branchCT(0:0))
    call avCT(1618, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10177, nGC_10178])

    allocate(vertices(1619)%branchCT(0:0))
    call avCT(1619, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10167, nGC_10168])

    allocate(vertices(1620)%branchCT(0:0))
    call avCT(1620, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10167, nGC_10168])

    allocate(vertices(1621)%branchCT(0:0))
    call avCT(1621, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10167, nGC_10168])

    allocate(vertices(1622)%branchCT(0:0))
    call avCT(1622, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10167, nGC_10168])

    allocate(vertices(1623)%branchCT(0:0))
    call avCT(1623, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10167, nGC_10168])

    allocate(vertices(1624)%branchCT(0:0))
    call avCT(1624, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10173, nGC_10174])

    allocate(vertices(1625)%branchCT(0:0))
    call avCT(1625, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10173, nGC_10174])

    allocate(vertices(1626)%branchCT(0:0))
    call avCT(1626, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10173, nGC_10174])

    allocate(vertices(1627)%branchCT(0:0))
    call avCT(1627, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10173, nGC_10174])

    allocate(vertices(1628)%branchCT(0:0))
    call avCT(1628, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10173, nGC_10174])

    allocate(vertices(1629)%branchCT(0:0))
    call avCT(1629, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10179, nGC_10180])

    allocate(vertices(1630)%branchCT(0:0))
    call avCT(1630, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10179, nGC_10180])

    allocate(vertices(1631)%branchCT(0:0))
    call avCT(1631, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10179, nGC_10180])

    allocate(vertices(1632)%branchCT(0:0))
    call avCT(1632, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10179, nGC_10180])

    allocate(vertices(1633)%branchCT(0:0))
    call avCT(1633, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10179, nGC_10180])

    allocate(vertices(1634)%branchCT(0:0))
    call avCT(1634, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10169, nGC_10170])

    allocate(vertices(1635)%branchCT(0:0))
    call avCT(1635, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10169, nGC_10170])

    allocate(vertices(1636)%branchCT(0:0))
    call avCT(1636, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10169, nGC_10170])

    allocate(vertices(1637)%branchCT(0:0))
    call avCT(1637, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10169, nGC_10170])

    allocate(vertices(1638)%branchCT(0:0))
    call avCT(1638, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10169, nGC_10170])

    allocate(vertices(1639)%branchCT(0:0))
    call avCT(1639, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10175, nGC_10176])

    allocate(vertices(1640)%branchCT(0:0))
    call avCT(1640, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10175, nGC_10176])

    allocate(vertices(1641)%branchCT(0:0))
    call avCT(1641, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10175, nGC_10176])

    allocate(vertices(1642)%branchCT(0:0))
    call avCT(1642, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10175, nGC_10176])

    allocate(vertices(1643)%branchCT(0:0))
    call avCT(1643, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10175, nGC_10176])

    allocate(vertices(1644)%branchCT(0:0))
    call avCT(1644, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_10181, nGC_10182])

    allocate(vertices(1645)%branchCT(0:0))
    call avCT(1645, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_10181, nGC_10182])

    allocate(vertices(1646)%branchCT(0:0))
    call avCT(1646, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_10181, nGC_10182])

    allocate(vertices(1647)%branchCT(0:0))
    call avCT(1647, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_10181, nGC_10182])

    allocate(vertices(1648)%branchCT(0:0))
    call avCT(1648, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_10181, nGC_10182])

    allocate(vertices(1709)%branchCT(0:0))
    call avCT(1709, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_10238, nGC_10237])

    allocate(vertices(1710)%branchCT(0:0))
    call avCT(1710, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_10238, nGC_10237])

    allocate(vertices(1711)%branchCT(0:0))
    call avCT(1711, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_10238, nGC_10237])

    allocate(vertices(1712)%branchCT(0:0))
    call avCT(1712, 0, 18, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_10238, nGC_10237])

    allocate(vertices(1713)%branchCT(0:0))
    call avCT(1713, 0, 17, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_10238, nGC_10237])

    allocate(vertices(1714)%branchCT(0:0))
    call avCT(1714, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_10240, nGC_10239])

    allocate(vertices(1715)%branchCT(0:0))
    call avCT(1715, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_10240, nGC_10239])

    allocate(vertices(1716)%branchCT(0:0))
    call avCT(1716, 0, 18, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_10240, nGC_10239])

    allocate(vertices(1717)%branchCT(0:0))
    call avCT(1717, 0, 17, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_10240, nGC_10239])

    allocate(vertices(1718)%branchCT(0:0))
    call avCT(1718, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_10240, nGC_10239])

    allocate(vertices(1719)%branchCT(0:0))
    call avCT(1719, 0, 18, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_10242, nGC_10241])

    allocate(vertices(1720)%branchCT(0:0))
    call avCT(1720, 0, 17, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_10242, nGC_10241])

    allocate(vertices(1721)%branchCT(0:0))
    call avCT(1721, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_10242, nGC_10241])

    allocate(vertices(1722)%branchCT(0:0))
    call avCT(1722, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_10242, nGC_10241])

    allocate(vertices(1723)%branchCT(0:0))
    call avCT(1723, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_10242, nGC_10241])

    allocate(vertices(1724)%branchCT(0:0))
    call avCT(1724, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_10244, nGC_10243])

    allocate(vertices(1725)%branchCT(0:0))
    call avCT(1725, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_10244, nGC_10243])

    allocate(vertices(1726)%branchCT(0:0))
    call avCT(1726, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_10244, nGC_10243])

    allocate(vertices(1727)%branchCT(0:0))
    call avCT(1727, 0, 18, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_10244, nGC_10243])

    allocate(vertices(1728)%branchCT(0:0))
    call avCT(1728, 0, 17, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_10244, nGC_10243])

    allocate(vertices(1729)%branchCT(0:0))
    call avCT(1729, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_10246, nGC_10245])

    allocate(vertices(1730)%branchCT(0:0))
    call avCT(1730, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_10246, nGC_10245])

    allocate(vertices(1731)%branchCT(0:0))
    call avCT(1731, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_10246, nGC_10245])

    allocate(vertices(1732)%branchCT(0:0))
    call avCT(1732, 0, 18, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_10246, nGC_10245])

    allocate(vertices(1733)%branchCT(0:0))
    call avCT(1733, 0, 17, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_10246, nGC_10245])

    allocate(vertices(1734)%branchCT(0:0))
    call avCT(1734, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_10248, nGC_10247])

    allocate(vertices(1735)%branchCT(0:0))
    call avCT(1735, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_10248, nGC_10247])

    allocate(vertices(1736)%branchCT(0:0))
    call avCT(1736, 0, 18, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_10248, nGC_10247])

    allocate(vertices(1737)%branchCT(0:0))
    call avCT(1737, 0, 17, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_10248, nGC_10247])

    allocate(vertices(1738)%branchCT(0:0))
    call avCT(1738, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_10248, nGC_10247])

    allocate(vertices(1739)%branchCT(0:1))
    call avCT(1739, 0, 23, 6, 0, VFFa0, 0, [3, 0, 0], [nGC_10254, nGC_10255])

    call avCT(1739, 1, 24, 7, 0, VFFa0, 0, [3, 0, 0], [nGC_10254, nGC_10255])

    allocate(vertices(1740)%branchCT(0:1))
    call avCT(1740, 0, 21, 6, 0, VFaF0, 0, [3, 0, 0], [nGC_10254, nGC_10255])

    call avCT(1740, 1, 22, 7, 0, VFaF0, 0, [3, 0, 0], [nGC_10254, nGC_10255])

    allocate(vertices(1741)%branchCT(0:1))
    call avCT(1741, 0, 29, 6, 0, FVFa0, 0, [3, 0, 0], [nGC_10254, nGC_10255])

    call avCT(1741, 1, 30, 7, 0, FVFa0, 0, [3, 0, 0], [nGC_10254, nGC_10255])

    allocate(vertices(1742)%branchCT(0:1))
    call avCT(1742, 0, 25, 6, 0, FaVF0, 0, [3, 0, 0], [nGC_10254, nGC_10255])

    call avCT(1742, 1, 26, 7, 0, FaVF0, 0, [3, 0, 0], [nGC_10254, nGC_10255])

    allocate(vertices(1743)%branchCT(0:1))
    call avCT(1743, 0, 27, 6, 0, FaFV0, 0, [3, 0, 0], [nGC_10254, nGC_10255])

    call avCT(1743, 1, 28, 7, 0, FaFV0, 0, [3, 0, 0], [nGC_10254, nGC_10255])

    allocate(vertices(1744)%branchCT(0:1))
    call avCT(1744, 0, 21, 6, 0, VFaF0, 0, [3, 0, 0], [nGC_10264, nGC_10265])

    call avCT(1744, 1, 22, 7, 0, VFaF0, 0, [3, 0, 0], [nGC_10264, nGC_10265])

    allocate(vertices(1745)%branchCT(0:1))
    call avCT(1745, 0, 23, 6, 0, VFFa0, 0, [3, 0, 0], [nGC_10264, nGC_10265])

    call avCT(1745, 1, 24, 7, 0, VFFa0, 0, [3, 0, 0], [nGC_10264, nGC_10265])

    allocate(vertices(1746)%branchCT(0:1))
    call avCT(1746, 0, 25, 6, 0, FaVF0, 0, [3, 0, 0], [nGC_10264, nGC_10265])

    call avCT(1746, 1, 26, 7, 0, FaVF0, 0, [3, 0, 0], [nGC_10264, nGC_10265])

    allocate(vertices(1747)%branchCT(0:1))
    call avCT(1747, 0, 27, 6, 0, FaFV0, 0, [3, 0, 0], [nGC_10264, nGC_10265])

    call avCT(1747, 1, 28, 7, 0, FaFV0, 0, [3, 0, 0], [nGC_10264, nGC_10265])

    allocate(vertices(1748)%branchCT(0:1))
    call avCT(1748, 0, 29, 6, 0, FVFa0, 0, [3, 0, 0], [nGC_10264, nGC_10265])

    call avCT(1748, 1, 30, 7, 0, FVFa0, 0, [3, 0, 0], [nGC_10264, nGC_10265])

    allocate(vertices(1749)%branchCT(0:1))
    call avCT(1749, 0, 25, 6, 0, FaVF0, 0, [3, 0, 0], [nGC_10274, nGC_10275])

    call avCT(1749, 1, 26, 7, 0, FaVF0, 0, [3, 0, 0], [nGC_10274, nGC_10275])

    allocate(vertices(1750)%branchCT(0:1))
    call avCT(1750, 0, 27, 6, 0, FaFV0, 0, [3, 0, 0], [nGC_10274, nGC_10275])

    call avCT(1750, 1, 28, 7, 0, FaFV0, 0, [3, 0, 0], [nGC_10274, nGC_10275])

    allocate(vertices(1751)%branchCT(0:1))
    call avCT(1751, 0, 21, 6, 0, VFaF0, 0, [3, 0, 0], [nGC_10274, nGC_10275])

    call avCT(1751, 1, 22, 7, 0, VFaF0, 0, [3, 0, 0], [nGC_10274, nGC_10275])

    allocate(vertices(1752)%branchCT(0:1))
    call avCT(1752, 0, 23, 6, 0, VFFa0, 0, [3, 0, 0], [nGC_10274, nGC_10275])

    call avCT(1752, 1, 24, 7, 0, VFFa0, 0, [3, 0, 0], [nGC_10274, nGC_10275])

    allocate(vertices(1753)%branchCT(0:1))
    call avCT(1753, 0, 29, 6, 0, FVFa0, 0, [3, 0, 0], [nGC_10274, nGC_10275])

    call avCT(1753, 1, 30, 7, 0, FVFa0, 0, [3, 0, 0], [nGC_10274, nGC_10275])

    allocate(vertices(1754)%branchCT(0:1))
    call avCT(1754, 0, 23, 6, 0, VFFa0, 0, [3, 0, 0], [nGC_10284, nGC_10285])

    call avCT(1754, 1, 24, 7, 0, VFFa0, 0, [3, 0, 0], [nGC_10284, nGC_10285])

    allocate(vertices(1755)%branchCT(0:1))
    call avCT(1755, 0, 21, 6, 0, VFaF0, 0, [3, 0, 0], [nGC_10284, nGC_10285])

    call avCT(1755, 1, 22, 7, 0, VFaF0, 0, [3, 0, 0], [nGC_10284, nGC_10285])

    allocate(vertices(1756)%branchCT(0:1))
    call avCT(1756, 0, 29, 6, 0, FVFa0, 0, [3, 0, 0], [nGC_10284, nGC_10285])

    call avCT(1756, 1, 30, 7, 0, FVFa0, 0, [3, 0, 0], [nGC_10284, nGC_10285])

    allocate(vertices(1757)%branchCT(0:1))
    call avCT(1757, 0, 25, 6, 0, FaVF0, 0, [3, 0, 0], [nGC_10284, nGC_10285])

    call avCT(1757, 1, 26, 7, 0, FaVF0, 0, [3, 0, 0], [nGC_10284, nGC_10285])

    allocate(vertices(1758)%branchCT(0:1))
    call avCT(1758, 0, 27, 6, 0, FaFV0, 0, [3, 0, 0], [nGC_10284, nGC_10285])

    call avCT(1758, 1, 28, 7, 0, FaFV0, 0, [3, 0, 0], [nGC_10284, nGC_10285])

    allocate(vertices(1759)%branchCT(0:1))
    call avCT(1759, 0, 23, 6, 0, VFFa0, 0, [3, 0, 0], [nGC_10294, nGC_10295])

    call avCT(1759, 1, 24, 7, 0, VFFa0, 0, [3, 0, 0], [nGC_10294, nGC_10295])

    allocate(vertices(1760)%branchCT(0:1))
    call avCT(1760, 0, 21, 6, 0, VFaF0, 0, [3, 0, 0], [nGC_10294, nGC_10295])

    call avCT(1760, 1, 22, 7, 0, VFaF0, 0, [3, 0, 0], [nGC_10294, nGC_10295])

    allocate(vertices(1761)%branchCT(0:1))
    call avCT(1761, 0, 29, 6, 0, FVFa0, 0, [3, 0, 0], [nGC_10294, nGC_10295])

    call avCT(1761, 1, 30, 7, 0, FVFa0, 0, [3, 0, 0], [nGC_10294, nGC_10295])

    allocate(vertices(1762)%branchCT(0:1))
    call avCT(1762, 0, 25, 6, 0, FaVF0, 0, [3, 0, 0], [nGC_10294, nGC_10295])

    call avCT(1762, 1, 26, 7, 0, FaVF0, 0, [3, 0, 0], [nGC_10294, nGC_10295])

    allocate(vertices(1763)%branchCT(0:1))
    call avCT(1763, 0, 27, 6, 0, FaFV0, 0, [3, 0, 0], [nGC_10294, nGC_10295])

    call avCT(1763, 1, 28, 7, 0, FaFV0, 0, [3, 0, 0], [nGC_10294, nGC_10295])

    allocate(vertices(1764)%branchCT(0:1))
    call avCT(1764, 0, 21, 6, 0, VFaF0, 0, [3, 0, 0], [nGC_10304, nGC_10305])

    call avCT(1764, 1, 22, 7, 0, VFaF0, 0, [3, 0, 0], [nGC_10304, nGC_10305])

    allocate(vertices(1765)%branchCT(0:1))
    call avCT(1765, 0, 23, 6, 0, VFFa0, 0, [3, 0, 0], [nGC_10304, nGC_10305])

    call avCT(1765, 1, 24, 7, 0, VFFa0, 0, [3, 0, 0], [nGC_10304, nGC_10305])

    allocate(vertices(1766)%branchCT(0:1))
    call avCT(1766, 0, 25, 6, 0, FaVF0, 0, [3, 0, 0], [nGC_10304, nGC_10305])

    call avCT(1766, 1, 26, 7, 0, FaVF0, 0, [3, 0, 0], [nGC_10304, nGC_10305])

    allocate(vertices(1767)%branchCT(0:1))
    call avCT(1767, 0, 27, 6, 0, FaFV0, 0, [3, 0, 0], [nGC_10304, nGC_10305])

    call avCT(1767, 1, 28, 7, 0, FaFV0, 0, [3, 0, 0], [nGC_10304, nGC_10305])

    allocate(vertices(1768)%branchCT(0:1))
    call avCT(1768, 0, 29, 6, 0, FVFa0, 0, [3, 0, 0], [nGC_10304, nGC_10305])

    call avCT(1768, 1, 30, 7, 0, FVFa0, 0, [3, 0, 0], [nGC_10304, nGC_10305])

    allocate(vertices(1769)%branchCT(0:0))
    call avCT(1769, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_10310])

    allocate(vertices(1770)%branchCT(0:0))
    call avCT(1770, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_10310])

    allocate(vertices(1771)%branchCT(0:0))
    call avCT(1771, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_10310])

    allocate(vertices(1772)%branchCT(0:0))
    call avCT(1772, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_10310])

    allocate(vertices(1773)%branchCT(0:0))
    call avCT(1773, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_10310])

    allocate(vertices(1774)%branchCT(0:0))
    call avCT(1774, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_10311])

    allocate(vertices(1775)%branchCT(0:0))
    call avCT(1775, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_10311])

    allocate(vertices(1776)%branchCT(0:0))
    call avCT(1776, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_10311])

    allocate(vertices(1777)%branchCT(0:0))
    call avCT(1777, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_10311])

    allocate(vertices(1778)%branchCT(0:0))
    call avCT(1778, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_10311])

    allocate(vertices(1779)%branchCT(0:0))
    call avCT(1779, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_10312])

    allocate(vertices(1780)%branchCT(0:0))
    call avCT(1780, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_10312])

    allocate(vertices(1781)%branchCT(0:0))
    call avCT(1781, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_10312])

    allocate(vertices(1782)%branchCT(0:0))
    call avCT(1782, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_10312])

    allocate(vertices(1783)%branchCT(0:0))
    call avCT(1783, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_10312])

    allocate(vertices(1784)%branchCT(0:0))
    call avCT(1784, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_10313])

    allocate(vertices(1785)%branchCT(0:0))
    call avCT(1785, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_10313])

    allocate(vertices(1786)%branchCT(0:0))
    call avCT(1786, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_10313])

    allocate(vertices(1787)%branchCT(0:0))
    call avCT(1787, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_10313])

    allocate(vertices(1788)%branchCT(0:0))
    call avCT(1788, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_10313])

    allocate(vertices(1789)%branchCT(0:0))
    call avCT(1789, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_10314])

    allocate(vertices(1790)%branchCT(0:0))
    call avCT(1790, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_10314])

    allocate(vertices(1791)%branchCT(0:0))
    call avCT(1791, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_10314])

    allocate(vertices(1792)%branchCT(0:0))
    call avCT(1792, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_10314])

    allocate(vertices(1793)%branchCT(0:0))
    call avCT(1793, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_10314])

    allocate(vertices(1794)%branchCT(0:0))
    call avCT(1794, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_10315])

    allocate(vertices(1795)%branchCT(0:0))
    call avCT(1795, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_10315])

    allocate(vertices(1796)%branchCT(0:0))
    call avCT(1796, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_10315])

    allocate(vertices(1797)%branchCT(0:0))
    call avCT(1797, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_10315])

    allocate(vertices(1798)%branchCT(0:0))
    call avCT(1798, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_10315])

    allocate(vertices(1799)%branchCT(0:0))
    call avCT(1799, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_10316])

    allocate(vertices(1800)%branchCT(0:0))
    call avCT(1800, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_10316])

    allocate(vertices(1801)%branchCT(0:0))
    call avCT(1801, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_10316])

    allocate(vertices(1802)%branchCT(0:0))
    call avCT(1802, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_10316])

    allocate(vertices(1803)%branchCT(0:0))
    call avCT(1803, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_10316])

    allocate(vertices(1804)%branchCT(0:0))
    call avCT(1804, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_10317])

    allocate(vertices(1805)%branchCT(0:0))
    call avCT(1805, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_10317])

    allocate(vertices(1806)%branchCT(0:0))
    call avCT(1806, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_10317])

    allocate(vertices(1807)%branchCT(0:0))
    call avCT(1807, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_10317])

    allocate(vertices(1808)%branchCT(0:0))
    call avCT(1808, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_10317])

    allocate(vertices(1809)%branchCT(0:0))
    call avCT(1809, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_10318])

    allocate(vertices(1810)%branchCT(0:0))
    call avCT(1810, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_10318])

    allocate(vertices(1811)%branchCT(0:0))
    call avCT(1811, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_10318])

    allocate(vertices(1812)%branchCT(0:0))
    call avCT(1812, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_10318])

    allocate(vertices(1813)%branchCT(0:0))
    call avCT(1813, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_10318])

    allocate(vertices(1814)%branchCT(0:0))
    call avCT(1814, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_10319])

    allocate(vertices(1815)%branchCT(0:0))
    call avCT(1815, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_10319])

    allocate(vertices(1816)%branchCT(0:0))
    call avCT(1816, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_10319])

    allocate(vertices(1817)%branchCT(0:0))
    call avCT(1817, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_10319])

    allocate(vertices(1818)%branchCT(0:0))
    call avCT(1818, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_10319])

    allocate(vertices(1819)%branchCT(0:0))
    call avCT(1819, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_10320])

    allocate(vertices(1820)%branchCT(0:0))
    call avCT(1820, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_10320])

    allocate(vertices(1821)%branchCT(0:0))
    call avCT(1821, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_10320])

    allocate(vertices(1822)%branchCT(0:0))
    call avCT(1822, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_10320])

    allocate(vertices(1823)%branchCT(0:0))
    call avCT(1823, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_10320])

    allocate(vertices(1824)%branchCT(0:0))
    call avCT(1824, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_10321])

    allocate(vertices(1825)%branchCT(0:0))
    call avCT(1825, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_10321])

    allocate(vertices(1826)%branchCT(0:0))
    call avCT(1826, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_10321])

    allocate(vertices(1827)%branchCT(0:0))
    call avCT(1827, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_10321])

    allocate(vertices(1828)%branchCT(0:0))
    call avCT(1828, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_10321])

    allocate(vertices(1829)%branchCT(0:0))
    call avCT(1829, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_10322])

    allocate(vertices(1830)%branchCT(0:0))
    call avCT(1830, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_10322])

    allocate(vertices(1831)%branchCT(0:0))
    call avCT(1831, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_10322])

    allocate(vertices(1832)%branchCT(0:0))
    call avCT(1832, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_10322])

    allocate(vertices(1833)%branchCT(0:0))
    call avCT(1833, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_10322])

    allocate(vertices(1834)%branchCT(0:0))
    call avCT(1834, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_10323])

    allocate(vertices(1835)%branchCT(0:0))
    call avCT(1835, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_10323])

    allocate(vertices(1836)%branchCT(0:0))
    call avCT(1836, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_10323])

    allocate(vertices(1837)%branchCT(0:0))
    call avCT(1837, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_10323])

    allocate(vertices(1838)%branchCT(0:0))
    call avCT(1838, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_10323])

    allocate(vertices(1839)%branchCT(0:0))
    call avCT(1839, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_10324])

    allocate(vertices(1840)%branchCT(0:0))
    call avCT(1840, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_10324])

    allocate(vertices(1841)%branchCT(0:0))
    call avCT(1841, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_10324])

    allocate(vertices(1842)%branchCT(0:0))
    call avCT(1842, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_10324])

    allocate(vertices(1843)%branchCT(0:0))
    call avCT(1843, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_10324])

    allocate(vertices(1844)%branchCT(0:0))
    call avCT(1844, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_10325])

    allocate(vertices(1845)%branchCT(0:0))
    call avCT(1845, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_10325])

    allocate(vertices(1846)%branchCT(0:0))
    call avCT(1846, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_10325])

    allocate(vertices(1847)%branchCT(0:0))
    call avCT(1847, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_10325])

    allocate(vertices(1848)%branchCT(0:0))
    call avCT(1848, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_10325])

    allocate(vertices(1849)%branchCT(0:0))
    call avCT(1849, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_10326])

    allocate(vertices(1850)%branchCT(0:0))
    call avCT(1850, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_10326])

    allocate(vertices(1851)%branchCT(0:0))
    call avCT(1851, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_10326])

    allocate(vertices(1852)%branchCT(0:0))
    call avCT(1852, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_10326])

    allocate(vertices(1853)%branchCT(0:0))
    call avCT(1853, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_10326])

    allocate(vertices(1854)%branchCT(0:0))
    call avCT(1854, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_10327])

    allocate(vertices(1855)%branchCT(0:0))
    call avCT(1855, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_10327])

    allocate(vertices(1856)%branchCT(0:0))
    call avCT(1856, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_10327])

    allocate(vertices(1857)%branchCT(0:0))
    call avCT(1857, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_10327])

    allocate(vertices(1858)%branchCT(0:0))
    call avCT(1858, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_10327])

    allocate(vertices(1889)%branchCT(0:0))
    call avCT(1889, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_10332, nGC_10331])

    allocate(vertices(1890)%branchCT(0:0))
    call avCT(1890, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_10332, nGC_10331])

    allocate(vertices(1891)%branchCT(0:0))
    call avCT(1891, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_10332, nGC_10331])

    allocate(vertices(1892)%branchCT(0:0))
    call avCT(1892, 0, 17, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_10332, nGC_10331])

    allocate(vertices(1893)%branchCT(0:0))
    call avCT(1893, 0, 18, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_10332, nGC_10331])

    allocate(vertices(1894)%branchCT(0:0))
    call avCT(1894, 0, 18, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_10337, nGC_10336])

    allocate(vertices(1895)%branchCT(0:0))
    call avCT(1895, 0, 17, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_10337, nGC_10336])

    allocate(vertices(1896)%branchCT(0:0))
    call avCT(1896, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_10337, nGC_10336])

    allocate(vertices(1897)%branchCT(0:0))
    call avCT(1897, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_10337, nGC_10336])

    allocate(vertices(1898)%branchCT(0:0))
    call avCT(1898, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_10337, nGC_10336])

    allocate(vertices(1899)%branchCT(0:0))
    call avCT(1899, 0, 18, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_10342, nGC_10341])

    allocate(vertices(1900)%branchCT(0:0))
    call avCT(1900, 0, 17, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_10342, nGC_10341])

    allocate(vertices(1901)%branchCT(0:0))
    call avCT(1901, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_10342, nGC_10341])

    allocate(vertices(1902)%branchCT(0:0))
    call avCT(1902, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_10342, nGC_10341])

    allocate(vertices(1903)%branchCT(0:0))
    call avCT(1903, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_10342, nGC_10341])

    allocate(vertices(1904)%branchCT(0:0))
    call avCT(1904, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_10347, nGC_10346])

    allocate(vertices(1905)%branchCT(0:0))
    call avCT(1905, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_10347, nGC_10346])

    allocate(vertices(1906)%branchCT(0:0))
    call avCT(1906, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_10347, nGC_10346])

    allocate(vertices(1907)%branchCT(0:0))
    call avCT(1907, 0, 17, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_10347, nGC_10346])

    allocate(vertices(1908)%branchCT(0:0))
    call avCT(1908, 0, 18, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_10347, nGC_10346])

    allocate(vertices(1909)%branchCT(0:0))
    call avCT(1909, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_10352, nGC_10351])

    allocate(vertices(1910)%branchCT(0:0))
    call avCT(1910, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_10352, nGC_10351])

    allocate(vertices(1911)%branchCT(0:0))
    call avCT(1911, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_10352, nGC_10351])

    allocate(vertices(1912)%branchCT(0:0))
    call avCT(1912, 0, 17, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_10352, nGC_10351])

    allocate(vertices(1913)%branchCT(0:0))
    call avCT(1913, 0, 18, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_10352, nGC_10351])

    allocate(vertices(1914)%branchCT(0:0))
    call avCT(1914, 0, 18, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_10357, nGC_10356])

    allocate(vertices(1915)%branchCT(0:0))
    call avCT(1915, 0, 17, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_10357, nGC_10356])

    allocate(vertices(1916)%branchCT(0:0))
    call avCT(1916, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_10357, nGC_10356])

    allocate(vertices(1917)%branchCT(0:0))
    call avCT(1917, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_10357, nGC_10356])

    allocate(vertices(1918)%branchCT(0:0))
    call avCT(1918, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_10357, nGC_10356])

    allocate(vertices(1956)%branchCT(0:0))
    call avCT(1956, 0, 31, 1, 0, FaF0, 0, [2, 0, 0], [nGC_10362, nGC_10361,    &
    nGC_10363, nGC_10363])

    allocate(vertices(1957)%branchCT(0:0))
    call avCT(1957, 0, 31, 1, 0, FaF0, 0, [2, 0, 0], [nGC_10368, nGC_10367,    &
    nGC_10369, nGC_10369])

    allocate(vertices(1958)%branchCT(0:0))
    call avCT(1958, 0, 31, 1, 0, FaF0, 0, [2, 0, 0], [nGC_10374, nGC_10373,    &
    nGC_10375, nGC_10375])

    allocate(vertices(1959)%branchCT(0:0))
    call avCT(1959, 0, 31, 1, 0, FaF0, 0, [2, 0, 0], [nGC_10380, nGC_10379,    &
    nGC_10381, nGC_10381])

    allocate(vertices(1960)%branchCT(0:0))
    call avCT(1960, 0, 31, 1, 0, FaF0, 0, [2, 0, 0], [nGC_10386, nGC_10385,    &
    nGC_10387, nGC_10387])

    allocate(vertices(1961)%branchCT(0:0))
    call avCT(1961, 0, 31, 1, 0, FaF0, 0, [2, 0, 0], [nGC_10392, nGC_10391,    &
    nGC_10393, nGC_10393])

    allocate(vertices(1954)%branchR2(0:0))
    call avR2(1954, 0, 13, 1, 0, FFa0, 0, [2, 0, 0], [nGC_6348, nGC_6348,      &
    nGC_6349, nGC_6349])

    allocate(vertices(1961)%branchR2(0:0))
    call avR2(1961, 0, 31, 1, 0, FaF0, 0, [2, 0, 0], [nGC_6348, nGC_6348,      &
    nGC_6349, nGC_6349])

    allocate(vertices(1952)%branchR2(0:0))
    call avR2(1952, 0, 13, 1, 0, FFa0, 0, [2, 0, 0], [nGC_6348, nGC_6348,      &
    nGC_6350, nGC_6350])

    allocate(vertices(1959)%branchR2(0:0))
    call avR2(1959, 0, 31, 1, 0, FaF0, 0, [2, 0, 0], [nGC_6348, nGC_6348,      &
    nGC_6350, nGC_6350])

    allocate(vertices(1951)%branchR2(0:0))
    call avR2(1951, 0, 13, 1, 0, FFa0, 0, [2, 0, 0], [nGC_6348, nGC_6348,      &
    nGC_6351, nGC_6351])

    allocate(vertices(1958)%branchR2(0:0))
    call avR2(1958, 0, 31, 1, 0, FaF0, 0, [2, 0, 0], [nGC_6348, nGC_6348,      &
    nGC_6351, nGC_6351])

    allocate(vertices(1960)%branchR2(0:0))
    call avR2(1960, 0, 31, 1, 0, FaF0, 0, [2, 0, 0], [nGC_6348, nGC_6348,      &
    nGC_6352, nGC_6352])

    allocate(vertices(1953)%branchR2(0:0))
    call avR2(1953, 0, 13, 1, 0, FFa0, 0, [2, 0, 0], [nGC_6348, nGC_6348,      &
    nGC_6352, nGC_6352])

    allocate(vertices(1949)%branchR2(0:0))
    call avR2(1949, 0, 13, 1, 0, FFa0, 0, [2, 0, 0], [nGC_6348, nGC_6348,      &
    nGC_6353, nGC_6353])

    allocate(vertices(1956)%branchR2(0:0))
    call avR2(1956, 0, 31, 1, 0, FaF0, 0, [2, 0, 0], [nGC_6348, nGC_6348,      &
    nGC_6353, nGC_6353])

    allocate(vertices(1950)%branchR2(0:0))
    call avR2(1950, 0, 13, 1, 0, FFa0, 0, [2, 0, 0], [nGC_6348, nGC_6348,      &
    nGC_6354, nGC_6354])

    allocate(vertices(1957)%branchR2(0:0))
    call avR2(1957, 0, 31, 1, 0, FaF0, 0, [2, 0, 0], [nGC_6348, nGC_6348,      &
    nGC_6354, nGC_6354])

    allocate(vertices(1715)%branchR2(0:0))
    call avR2(1715, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_6355, nGC_6355])

    allocate(vertices(1714)%branchR2(0:0))
    call avR2(1714, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_6355, nGC_6355])

    allocate(vertices(1718)%branchR2(0:0))
    call avR2(1718, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_6355, nGC_6355])

    allocate(vertices(242)%branchR2(0:0))
    call avR2(242, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_6355, nGC_6355])

    allocate(vertices(1716)%branchR2(0:0))
    call avR2(1716, 0, 18, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_6355, nGC_6355])

    allocate(vertices(1717)%branchR2(0:0))
    call avR2(1717, 0, 17, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_6355, nGC_6355])

    allocate(vertices(1735)%branchR2(0:0))
    call avR2(1735, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_6356, nGC_6356])

    allocate(vertices(1734)%branchR2(0:0))
    call avR2(1734, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_6356, nGC_6356])

    allocate(vertices(1738)%branchR2(0:0))
    call avR2(1738, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_6356, nGC_6356])

    allocate(vertices(246)%branchR2(0:0))
    call avR2(246, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_6356, nGC_6356])

    allocate(vertices(1736)%branchR2(0:0))
    call avR2(1736, 0, 18, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_6356, nGC_6356])

    allocate(vertices(1737)%branchR2(0:0))
    call avR2(1737, 0, 17, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_6356, nGC_6356])

    allocate(vertices(1726)%branchR2(0:0))
    call avR2(1726, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_6356, nGC_6356])

    allocate(vertices(244)%branchR2(0:0))
    call avR2(244, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_6356, nGC_6356])

    allocate(vertices(1724)%branchR2(0:0))
    call avR2(1724, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_6356, nGC_6356])

    allocate(vertices(1725)%branchR2(0:0))
    call avR2(1725, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_6356, nGC_6356])

    allocate(vertices(1728)%branchR2(0:0))
    call avR2(1728, 0, 17, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_6356, nGC_6356])

    allocate(vertices(1727)%branchR2(0:0))
    call avR2(1727, 0, 18, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_6356, nGC_6356])

    allocate(vertices(1732)%branchR2(0:0))
    call avR2(1732, 0, 18, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_6356, nGC_6356])

    allocate(vertices(1733)%branchR2(0:0))
    call avR2(1733, 0, 17, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_6356, nGC_6356])

    allocate(vertices(1730)%branchR2(0:0))
    call avR2(1730, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_6356, nGC_6356])

    allocate(vertices(1729)%branchR2(0:0))
    call avR2(1729, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_6356, nGC_6356])

    allocate(vertices(245)%branchR2(0:0))
    call avR2(245, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_6356, nGC_6356])

    allocate(vertices(1731)%branchR2(0:0))
    call avR2(1731, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_6356, nGC_6356])

    allocate(vertices(1722)%branchR2(0:0))
    call avR2(1722, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_6355, nGC_6355])

    allocate(vertices(1721)%branchR2(0:0))
    call avR2(1721, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_6355, nGC_6355])

    allocate(vertices(1723)%branchR2(0:0))
    call avR2(1723, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_6355, nGC_6355])

    allocate(vertices(243)%branchR2(0:0))
    call avR2(243, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_6355, nGC_6355])

    allocate(vertices(1719)%branchR2(0:0))
    call avR2(1719, 0, 18, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_6355, nGC_6355])

    allocate(vertices(1720)%branchR2(0:0))
    call avR2(1720, 0, 17, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_6355, nGC_6355])

    allocate(vertices(1711)%branchR2(0:0))
    call avR2(1711, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_6355, nGC_6355])

    allocate(vertices(241)%branchR2(0:0))
    call avR2(241, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_6355, nGC_6355])

    allocate(vertices(1709)%branchR2(0:0))
    call avR2(1709, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_6355, nGC_6355])

    allocate(vertices(1710)%branchR2(0:0))
    call avR2(1710, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_6355, nGC_6355])

    allocate(vertices(1713)%branchR2(0:0))
    call avR2(1713, 0, 17, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_6355, nGC_6355])

    allocate(vertices(1712)%branchR2(0:0))
    call avR2(1712, 0, 18, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_6355, nGC_6355])

    allocate(vertices(612)%branchR2(0:0))
    call avR2(612, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6357, nGC_6358])

    allocate(vertices(611)%branchR2(0:0))
    call avR2(611, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6357, nGC_6358])

    allocate(vertices(613)%branchR2(0:0))
    call avR2(613, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6357, nGC_6358])

    allocate(vertices(66)%branchR2(0:0))
    call avR2(66, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6357, nGC_6358])

    allocate(vertices(609)%branchR2(0:0))
    call avR2(609, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6357, nGC_6358])

    allocate(vertices(610)%branchR2(0:0))
    call avR2(610, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6357, nGC_6358])

    allocate(vertices(627)%branchR2(0:0))
    call avR2(627, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6359, nGC_6360])

    allocate(vertices(626)%branchR2(0:0))
    call avR2(626, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6359, nGC_6360])

    allocate(vertices(628)%branchR2(0:0))
    call avR2(628, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6359, nGC_6360])

    allocate(vertices(69)%branchR2(0:0))
    call avR2(69, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6359, nGC_6360])

    allocate(vertices(624)%branchR2(0:0))
    call avR2(624, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6359, nGC_6360])

    allocate(vertices(625)%branchR2(0:0))
    call avR2(625, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6359, nGC_6360])

    allocate(vertices(595)%branchR2(0:0))
    call avR2(595, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6361, nGC_6362])

    allocate(vertices(594)%branchR2(0:0))
    call avR2(594, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6361, nGC_6362])

    allocate(vertices(598)%branchR2(0:0))
    call avR2(598, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6361, nGC_6362])

    allocate(vertices(63)%branchR2(0:0))
    call avR2(63, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6361, nGC_6362])

    allocate(vertices(596)%branchR2(0:0))
    call avR2(596, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6361, nGC_6362])

    allocate(vertices(597)%branchR2(0:0))
    call avR2(597, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6361, nGC_6362])

    allocate(vertices(603)%branchR2(0:0))
    call avR2(603, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6364, nGC_6363])

    allocate(vertices(602)%branchR2(0:0))
    call avR2(602, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6364, nGC_6363])

    allocate(vertices(601)%branchR2(0:0))
    call avR2(601, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6364, nGC_6363])

    allocate(vertices(64)%branchR2(0:0))
    call avR2(64, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6364, nGC_6363])

    allocate(vertices(600)%branchR2(0:0))
    call avR2(600, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6364, nGC_6363])

    allocate(vertices(599)%branchR2(0:0))
    call avR2(599, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6364, nGC_6363])

    allocate(vertices(607)%branchR2(0:0))
    call avR2(607, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6366, nGC_6365])

    allocate(vertices(608)%branchR2(0:0))
    call avR2(608, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6366, nGC_6365])

    allocate(vertices(604)%branchR2(0:0))
    call avR2(604, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6366, nGC_6365])

    allocate(vertices(65)%branchR2(0:0))
    call avR2(65, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6366, nGC_6365])

    allocate(vertices(606)%branchR2(0:0))
    call avR2(606, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6366, nGC_6365])

    allocate(vertices(605)%branchR2(0:0))
    call avR2(605, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6366, nGC_6365])

    allocate(vertices(618)%branchR2(0:0))
    call avR2(618, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6367, nGC_6368])

    allocate(vertices(617)%branchR2(0:0))
    call avR2(617, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6367, nGC_6368])

    allocate(vertices(616)%branchR2(0:0))
    call avR2(616, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6367, nGC_6368])

    allocate(vertices(67)%branchR2(0:0))
    call avR2(67, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6367, nGC_6368])

    allocate(vertices(615)%branchR2(0:0))
    call avR2(615, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6367, nGC_6368])

    allocate(vertices(614)%branchR2(0:0))
    call avR2(614, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6367, nGC_6368])

    allocate(vertices(587)%branchR2(0:0))
    call avR2(587, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6369, nGC_6370])

    allocate(vertices(588)%branchR2(0:0))
    call avR2(588, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6369, nGC_6370])

    allocate(vertices(584)%branchR2(0:0))
    call avR2(584, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6369, nGC_6370])

    allocate(vertices(61)%branchR2(0:0))
    call avR2(61, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6369, nGC_6370])

    allocate(vertices(585)%branchR2(0:0))
    call avR2(585, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6369, nGC_6370])

    allocate(vertices(586)%branchR2(0:0))
    call avR2(586, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6369, nGC_6370])

    allocate(vertices(622)%branchR2(0:0))
    call avR2(622, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6371, nGC_6372])

    allocate(vertices(623)%branchR2(0:0))
    call avR2(623, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6371, nGC_6372])

    allocate(vertices(620)%branchR2(0:0))
    call avR2(620, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6371, nGC_6372])

    allocate(vertices(619)%branchR2(0:0))
    call avR2(619, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6371, nGC_6372])

    allocate(vertices(621)%branchR2(0:0))
    call avR2(621, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6371, nGC_6372])

    allocate(vertices(68)%branchR2(0:0))
    call avR2(68, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6371, nGC_6372])

    allocate(vertices(591)%branchR2(0:0))
    call avR2(591, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6373, nGC_6374])

    allocate(vertices(590)%branchR2(0:0))
    call avR2(590, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6373, nGC_6374])

    allocate(vertices(593)%branchR2(0:0))
    call avR2(593, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6373, nGC_6374])

    allocate(vertices(592)%branchR2(0:0))
    call avR2(592, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6373, nGC_6374])

    allocate(vertices(589)%branchR2(0:0))
    call avR2(589, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6373, nGC_6374])

    allocate(vertices(62)%branchR2(0:0))
    call avR2(62, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6373, nGC_6374])

    allocate(vertices(502)%branchR2(0:0))
    call avR2(502, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6376, nGC_6375])

    allocate(vertices(501)%branchR2(0:0))
    call avR2(501, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6376, nGC_6375])

    allocate(vertices(503)%branchR2(0:0))
    call avR2(503, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6376, nGC_6375])

    allocate(vertices(44)%branchR2(0:0))
    call avR2(44, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6376, nGC_6375])

    allocate(vertices(499)%branchR2(0:0))
    call avR2(499, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6376, nGC_6375])

    allocate(vertices(500)%branchR2(0:0))
    call avR2(500, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6376, nGC_6375])

    allocate(vertices(506)%branchR2(0:0))
    call avR2(506, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6378, nGC_6377])

    allocate(vertices(45)%branchR2(0:0))
    call avR2(45, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6378, nGC_6377])

    allocate(vertices(508)%branchR2(0:0))
    call avR2(508, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6378, nGC_6377])

    allocate(vertices(507)%branchR2(0:0))
    call avR2(507, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6378, nGC_6377])

    allocate(vertices(504)%branchR2(0:0))
    call avR2(504, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6378, nGC_6377])

    allocate(vertices(505)%branchR2(0:0))
    call avR2(505, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6378, nGC_6377])

    allocate(vertices(494)%branchR2(0:0))
    call avR2(494, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6380, nGC_6379])

    allocate(vertices(43)%branchR2(0:0))
    call avR2(43, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6380, nGC_6379])

    allocate(vertices(497)%branchR2(0:0))
    call avR2(497, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6380, nGC_6379])

    allocate(vertices(498)%branchR2(0:0))
    call avR2(498, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6380, nGC_6379])

    allocate(vertices(495)%branchR2(0:0))
    call avR2(495, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6380, nGC_6379])

    allocate(vertices(496)%branchR2(0:0))
    call avR2(496, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6380, nGC_6379])

    allocate(vertices(471)%branchR2(0:0))
    call avR2(471, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6381, nGC_6382])

    allocate(vertices(472)%branchR2(0:0))
    call avR2(472, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6381, nGC_6382])

    allocate(vertices(469)%branchR2(0:0))
    call avR2(469, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6381, nGC_6382])

    allocate(vertices(470)%branchR2(0:0))
    call avR2(470, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6381, nGC_6382])

    allocate(vertices(473)%branchR2(0:0))
    call avR2(473, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6381, nGC_6382])

    allocate(vertices(38)%branchR2(0:0))
    call avR2(38, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6381, nGC_6382])

    allocate(vertices(484)%branchR2(0:0))
    call avR2(484, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6383, nGC_6384])

    allocate(vertices(485)%branchR2(0:0))
    call avR2(485, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6383, nGC_6384])

    allocate(vertices(486)%branchR2(0:0))
    call avR2(486, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6383, nGC_6384])

    allocate(vertices(487)%branchR2(0:0))
    call avR2(487, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6383, nGC_6384])

    allocate(vertices(41)%branchR2(0:0))
    call avR2(41, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6383, nGC_6384])

    allocate(vertices(488)%branchR2(0:0))
    call avR2(488, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6383, nGC_6384])

    allocate(vertices(477)%branchR2(0:0))
    call avR2(477, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6386, nGC_6385])

    allocate(vertices(478)%branchR2(0:0))
    call avR2(478, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6386, nGC_6385])

    allocate(vertices(39)%branchR2(0:0))
    call avR2(39, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6386, nGC_6385])

    allocate(vertices(476)%branchR2(0:0))
    call avR2(476, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6386, nGC_6385])

    allocate(vertices(474)%branchR2(0:0))
    call avR2(474, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6386, nGC_6385])

    allocate(vertices(475)%branchR2(0:0))
    call avR2(475, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6386, nGC_6385])

    allocate(vertices(467)%branchR2(0:0))
    call avR2(467, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6388, nGC_6387])

    allocate(vertices(468)%branchR2(0:0))
    call avR2(468, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6388, nGC_6387])

    allocate(vertices(37)%branchR2(0:0))
    call avR2(37, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6388, nGC_6387])

    allocate(vertices(464)%branchR2(0:0))
    call avR2(464, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6388, nGC_6387])

    allocate(vertices(465)%branchR2(0:0))
    call avR2(465, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6388, nGC_6387])

    allocate(vertices(466)%branchR2(0:0))
    call avR2(466, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6388, nGC_6387])

    allocate(vertices(489)%branchR2(0:0))
    call avR2(489, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6390, nGC_6389])

    allocate(vertices(490)%branchR2(0:0))
    call avR2(490, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6390, nGC_6389])

    allocate(vertices(42)%branchR2(0:0))
    call avR2(42, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6390, nGC_6389])

    allocate(vertices(491)%branchR2(0:0))
    call avR2(491, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6390, nGC_6389])

    allocate(vertices(492)%branchR2(0:0))
    call avR2(492, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6390, nGC_6389])

    allocate(vertices(493)%branchR2(0:0))
    call avR2(493, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6390, nGC_6389])

    allocate(vertices(480)%branchR2(0:0))
    call avR2(480, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6392, nGC_6391])

    allocate(vertices(481)%branchR2(0:0))
    call avR2(481, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6392, nGC_6391])

    allocate(vertices(40)%branchR2(0:0))
    call avR2(40, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6392, nGC_6391])

    allocate(vertices(479)%branchR2(0:0))
    call avR2(479, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6392, nGC_6391])

    allocate(vertices(483)%branchR2(0:0))
    call avR2(483, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6392, nGC_6391])

    allocate(vertices(482)%branchR2(0:0))
    call avR2(482, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6392, nGC_6391])

    allocate(vertices(523)%branchR2(0:0))
    call avR2(523, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6393, nGC_6394])

    allocate(vertices(48)%branchR2(0:0))
    call avR2(48, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6393, nGC_6394])

    allocate(vertices(520)%branchR2(0:0))
    call avR2(520, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6393, nGC_6394])

    allocate(vertices(519)%branchR2(0:0))
    call avR2(519, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6393, nGC_6394])

    allocate(vertices(522)%branchR2(0:0))
    call avR2(522, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6393, nGC_6394])

    allocate(vertices(521)%branchR2(0:0))
    call avR2(521, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6393, nGC_6394])

    allocate(vertices(638)%branchR2(0:0))
    call avR2(638, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6395, nGC_6396])

    allocate(vertices(71)%branchR2(0:0))
    call avR2(71, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6395, nGC_6396])

    allocate(vertices(635)%branchR2(0:0))
    call avR2(635, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6395, nGC_6396])

    allocate(vertices(634)%branchR2(0:0))
    call avR2(634, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6395, nGC_6396])

    allocate(vertices(637)%branchR2(0:0))
    call avR2(637, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6395, nGC_6396])

    allocate(vertices(636)%branchR2(0:0))
    call avR2(636, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6395, nGC_6396])

    allocate(vertices(46)%branchR2(0:0))
    call avR2(46, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6397, nGC_6398])

    allocate(vertices(511)%branchR2(0:0))
    call avR2(511, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6397, nGC_6398])

    allocate(vertices(513)%branchR2(0:0))
    call avR2(513, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6397, nGC_6398])

    allocate(vertices(512)%branchR2(0:0))
    call avR2(512, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6397, nGC_6398])

    allocate(vertices(509)%branchR2(0:0))
    call avR2(509, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6397, nGC_6398])

    allocate(vertices(510)%branchR2(0:0))
    call avR2(510, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6397, nGC_6398])

    allocate(vertices(517)%branchR2(0:0))
    call avR2(517, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6399, nGC_6400])

    allocate(vertices(518)%branchR2(0:0))
    call avR2(518, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6399, nGC_6400])

    allocate(vertices(515)%branchR2(0:0))
    call avR2(515, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6399, nGC_6400])

    allocate(vertices(514)%branchR2(0:0))
    call avR2(514, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6399, nGC_6400])

    allocate(vertices(47)%branchR2(0:0))
    call avR2(47, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6399, nGC_6400])

    allocate(vertices(516)%branchR2(0:0))
    call avR2(516, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6399, nGC_6400])

    allocate(vertices(72)%branchR2(0:0))
    call avR2(72, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6401, nGC_6402])

    allocate(vertices(641)%branchR2(0:0))
    call avR2(641, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6401, nGC_6402])

    allocate(vertices(640)%branchR2(0:0))
    call avR2(640, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6401, nGC_6402])

    allocate(vertices(639)%branchR2(0:0))
    call avR2(639, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6401, nGC_6402])

    allocate(vertices(643)%branchR2(0:0))
    call avR2(643, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6401, nGC_6402])

    allocate(vertices(642)%branchR2(0:0))
    call avR2(642, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6401, nGC_6402])

    allocate(vertices(633)%branchR2(0:0))
    call avR2(633, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6403, nGC_6404])

    allocate(vertices(632)%branchR2(0:0))
    call avR2(632, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6403, nGC_6404])

    allocate(vertices(70)%branchR2(0:0))
    call avR2(70, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6403, nGC_6404])

    allocate(vertices(631)%branchR2(0:0))
    call avR2(631, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6403, nGC_6404])

    allocate(vertices(629)%branchR2(0:0))
    call avR2(629, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6403, nGC_6404])

    allocate(vertices(630)%branchR2(0:0))
    call avR2(630, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6403, nGC_6404])

    allocate(vertices(887)%branchR2(0:0))
    call avR2(887, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6405, nGC_6406])

    allocate(vertices(886)%branchR2(0:0))
    call avR2(886, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6405, nGC_6406])

    allocate(vertices(888)%branchR2(0:0))
    call avR2(888, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6405, nGC_6406])

    allocate(vertices(121)%branchR2(0:0))
    call avR2(121, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6405, nGC_6406])

    allocate(vertices(884)%branchR2(0:0))
    call avR2(884, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6405, nGC_6406])

    allocate(vertices(885)%branchR2(0:0))
    call avR2(885, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6405, nGC_6406])

    allocate(vertices(902)%branchR2(0:0))
    call avR2(902, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6407, nGC_6408])

    allocate(vertices(901)%branchR2(0:0))
    call avR2(901, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6407, nGC_6408])

    allocate(vertices(903)%branchR2(0:0))
    call avR2(903, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6407, nGC_6408])

    allocate(vertices(124)%branchR2(0:0))
    call avR2(124, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6407, nGC_6408])

    allocate(vertices(899)%branchR2(0:0))
    call avR2(899, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6407, nGC_6408])

    allocate(vertices(900)%branchR2(0:0))
    call avR2(900, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6407, nGC_6408])

    allocate(vertices(915)%branchR2(0:0))
    call avR2(915, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6409, nGC_6410])

    allocate(vertices(914)%branchR2(0:0))
    call avR2(914, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6409, nGC_6410])

    allocate(vertices(918)%branchR2(0:0))
    call avR2(918, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6409, nGC_6410])

    allocate(vertices(127)%branchR2(0:0))
    call avR2(127, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6409, nGC_6410])

    allocate(vertices(916)%branchR2(0:0))
    call avR2(916, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6409, nGC_6410])

    allocate(vertices(917)%branchR2(0:0))
    call avR2(917, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6409, nGC_6410])

    allocate(vertices(891)%branchR2(0:0))
    call avR2(891, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6412, nGC_6411])

    allocate(vertices(122)%branchR2(0:0))
    call avR2(122, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6412, nGC_6411])

    allocate(vertices(893)%branchR2(0:0))
    call avR2(893, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6412, nGC_6411])

    allocate(vertices(892)%branchR2(0:0))
    call avR2(892, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6412, nGC_6411])

    allocate(vertices(889)%branchR2(0:0))
    call avR2(889, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6412, nGC_6411])

    allocate(vertices(890)%branchR2(0:0))
    call avR2(890, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6412, nGC_6411])

    allocate(vertices(897)%branchR2(0:0))
    call avR2(897, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6414, nGC_6413])

    allocate(vertices(898)%branchR2(0:0))
    call avR2(898, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6414, nGC_6413])

    allocate(vertices(894)%branchR2(0:0))
    call avR2(894, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6414, nGC_6413])

    allocate(vertices(123)%branchR2(0:0))
    call avR2(123, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6414, nGC_6413])

    allocate(vertices(896)%branchR2(0:0))
    call avR2(896, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6414, nGC_6413])

    allocate(vertices(895)%branchR2(0:0))
    call avR2(895, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6414, nGC_6413])

    allocate(vertices(906)%branchR2(0:0))
    call avR2(906, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6415, nGC_6416])

    allocate(vertices(125)%branchR2(0:0))
    call avR2(125, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6415, nGC_6416])

    allocate(vertices(908)%branchR2(0:0))
    call avR2(908, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6415, nGC_6416])

    allocate(vertices(907)%branchR2(0:0))
    call avR2(907, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6415, nGC_6416])

    allocate(vertices(904)%branchR2(0:0))
    call avR2(904, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6415, nGC_6416])

    allocate(vertices(905)%branchR2(0:0))
    call avR2(905, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6415, nGC_6416])

    allocate(vertices(921)%branchR2(0:0))
    call avR2(921, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6417, nGC_6418])

    allocate(vertices(128)%branchR2(0:0))
    call avR2(128, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6417, nGC_6418])

    allocate(vertices(919)%branchR2(0:0))
    call avR2(919, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6417, nGC_6418])

    allocate(vertices(920)%branchR2(0:0))
    call avR2(920, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6417, nGC_6418])

    allocate(vertices(922)%branchR2(0:0))
    call avR2(922, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6417, nGC_6418])

    allocate(vertices(923)%branchR2(0:0))
    call avR2(923, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6417, nGC_6418])

    allocate(vertices(912)%branchR2(0:0))
    call avR2(912, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6419, nGC_6420])

    allocate(vertices(913)%branchR2(0:0))
    call avR2(913, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6419, nGC_6420])

    allocate(vertices(910)%branchR2(0:0))
    call avR2(910, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6419, nGC_6420])

    allocate(vertices(909)%branchR2(0:0))
    call avR2(909, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6419, nGC_6420])

    allocate(vertices(911)%branchR2(0:0))
    call avR2(911, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6419, nGC_6420])

    allocate(vertices(126)%branchR2(0:0))
    call avR2(126, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6419, nGC_6420])

    allocate(vertices(926)%branchR2(0:0))
    call avR2(926, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6421, nGC_6422])

    allocate(vertices(925)%branchR2(0:0))
    call avR2(925, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6421, nGC_6422])

    allocate(vertices(928)%branchR2(0:0))
    call avR2(928, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6421, nGC_6422])

    allocate(vertices(927)%branchR2(0:0))
    call avR2(927, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6421, nGC_6422])

    allocate(vertices(924)%branchR2(0:0))
    call avR2(924, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6421, nGC_6422])

    allocate(vertices(129)%branchR2(0:0))
    call avR2(129, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6421, nGC_6422])

    allocate(vertices(797)%branchR2(0:0))
    call avR2(797, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6406, nGC_6405])

    allocate(vertices(796)%branchR2(0:0))
    call avR2(796, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6406, nGC_6405])

    allocate(vertices(798)%branchR2(0:0))
    call avR2(798, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6406, nGC_6405])

    allocate(vertices(103)%branchR2(0:0))
    call avR2(103, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6406, nGC_6405])

    allocate(vertices(794)%branchR2(0:0))
    call avR2(794, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6406, nGC_6405])

    allocate(vertices(795)%branchR2(0:0))
    call avR2(795, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6406, nGC_6405])

    allocate(vertices(811)%branchR2(0:0))
    call avR2(811, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6408, nGC_6407])

    allocate(vertices(106)%branchR2(0:0))
    call avR2(106, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6408, nGC_6407])

    allocate(vertices(813)%branchR2(0:0))
    call avR2(813, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6408, nGC_6407])

    allocate(vertices(812)%branchR2(0:0))
    call avR2(812, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6408, nGC_6407])

    allocate(vertices(809)%branchR2(0:0))
    call avR2(809, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6408, nGC_6407])

    allocate(vertices(810)%branchR2(0:0))
    call avR2(810, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6408, nGC_6407])

    allocate(vertices(824)%branchR2(0:0))
    call avR2(824, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6410, nGC_6409])

    allocate(vertices(109)%branchR2(0:0))
    call avR2(109, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6410, nGC_6409])

    allocate(vertices(827)%branchR2(0:0))
    call avR2(827, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6410, nGC_6409])

    allocate(vertices(828)%branchR2(0:0))
    call avR2(828, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6410, nGC_6409])

    allocate(vertices(825)%branchR2(0:0))
    call avR2(825, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6410, nGC_6409])

    allocate(vertices(826)%branchR2(0:0))
    call avR2(826, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6410, nGC_6409])

    allocate(vertices(801)%branchR2(0:0))
    call avR2(801, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6411, nGC_6412])

    allocate(vertices(802)%branchR2(0:0))
    call avR2(802, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6411, nGC_6412])

    allocate(vertices(799)%branchR2(0:0))
    call avR2(799, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6411, nGC_6412])

    allocate(vertices(800)%branchR2(0:0))
    call avR2(800, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6411, nGC_6412])

    allocate(vertices(104)%branchR2(0:0))
    call avR2(104, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6411, nGC_6412])

    allocate(vertices(803)%branchR2(0:0))
    call avR2(803, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6411, nGC_6412])

    allocate(vertices(806)%branchR2(0:0))
    call avR2(806, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6413, nGC_6414])

    allocate(vertices(807)%branchR2(0:0))
    call avR2(807, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6413, nGC_6414])

    allocate(vertices(804)%branchR2(0:0))
    call avR2(804, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6413, nGC_6414])

    allocate(vertices(805)%branchR2(0:0))
    call avR2(805, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6413, nGC_6414])

    allocate(vertices(105)%branchR2(0:0))
    call avR2(105, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6413, nGC_6414])

    allocate(vertices(808)%branchR2(0:0))
    call avR2(808, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6413, nGC_6414])

    allocate(vertices(107)%branchR2(0:0))
    call avR2(107, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6416, nGC_6415])

    allocate(vertices(814)%branchR2(0:0))
    call avR2(814, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6416, nGC_6415])

    allocate(vertices(815)%branchR2(0:0))
    call avR2(815, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6416, nGC_6415])

    allocate(vertices(816)%branchR2(0:0))
    call avR2(816, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6416, nGC_6415])

    allocate(vertices(817)%branchR2(0:0))
    call avR2(817, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6416, nGC_6415])

    allocate(vertices(818)%branchR2(0:0))
    call avR2(818, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6416, nGC_6415])

    allocate(vertices(110)%branchR2(0:0))
    call avR2(110, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6418, nGC_6417])

    allocate(vertices(829)%branchR2(0:0))
    call avR2(829, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6418, nGC_6417])

    allocate(vertices(830)%branchR2(0:0))
    call avR2(830, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6418, nGC_6417])

    allocate(vertices(831)%branchR2(0:0))
    call avR2(831, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6418, nGC_6417])

    allocate(vertices(832)%branchR2(0:0))
    call avR2(832, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6418, nGC_6417])

    allocate(vertices(833)%branchR2(0:0))
    call avR2(833, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6418, nGC_6417])

    allocate(vertices(819)%branchR2(0:0))
    call avR2(819, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6420, nGC_6419])

    allocate(vertices(820)%branchR2(0:0))
    call avR2(820, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6420, nGC_6419])

    allocate(vertices(108)%branchR2(0:0))
    call avR2(108, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6420, nGC_6419])

    allocate(vertices(821)%branchR2(0:0))
    call avR2(821, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6420, nGC_6419])

    allocate(vertices(822)%branchR2(0:0))
    call avR2(822, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6420, nGC_6419])

    allocate(vertices(823)%branchR2(0:0))
    call avR2(823, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6420, nGC_6419])

    allocate(vertices(835)%branchR2(0:0))
    call avR2(835, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6422, nGC_6421])

    allocate(vertices(836)%branchR2(0:0))
    call avR2(836, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6422, nGC_6421])

    allocate(vertices(111)%branchR2(0:0))
    call avR2(111, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6422, nGC_6421])

    allocate(vertices(834)%branchR2(0:0))
    call avR2(834, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6422, nGC_6421])

    allocate(vertices(838)%branchR2(0:0))
    call avR2(838, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6422, nGC_6421])

    allocate(vertices(837)%branchR2(0:0))
    call avR2(837, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6422, nGC_6421])

    allocate(vertices(667)%branchR2(0:0))
    call avR2(667, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6423, nGC_6424])

    allocate(vertices(666)%branchR2(0:0))
    call avR2(666, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6423, nGC_6424])

    allocate(vertices(77)%branchR2(0:0))
    call avR2(77, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6423, nGC_6424])

    allocate(vertices(668)%branchR2(0:0))
    call avR2(668, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6423, nGC_6424])

    allocate(vertices(664)%branchR2(0:0))
    call avR2(664, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6423, nGC_6424])

    allocate(vertices(665)%branchR2(0:0))
    call avR2(665, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6423, nGC_6424])

    allocate(vertices(663)%branchR2(0:0))
    call avR2(663, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6425, nGC_6426])

    allocate(vertices(76)%branchR2(0:0))
    call avR2(76, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6425, nGC_6426])

    allocate(vertices(660)%branchR2(0:0))
    call avR2(660, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6425, nGC_6426])

    allocate(vertices(659)%branchR2(0:0))
    call avR2(659, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6425, nGC_6426])

    allocate(vertices(662)%branchR2(0:0))
    call avR2(662, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6425, nGC_6426])

    allocate(vertices(661)%branchR2(0:0))
    call avR2(661, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6425, nGC_6426])

    allocate(vertices(672)%branchR2(0:0))
    call avR2(672, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6427, nGC_6428])

    allocate(vertices(671)%branchR2(0:0))
    call avR2(671, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6427, nGC_6428])

    allocate(vertices(78)%branchR2(0:0))
    call avR2(78, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6427, nGC_6428])

    allocate(vertices(673)%branchR2(0:0))
    call avR2(673, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6427, nGC_6428])

    allocate(vertices(669)%branchR2(0:0))
    call avR2(669, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6427, nGC_6428])

    allocate(vertices(670)%branchR2(0:0))
    call avR2(670, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6427, nGC_6428])

    allocate(vertices(693)%branchR2(0:0))
    call avR2(693, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6430, nGC_6429])

    allocate(vertices(82)%branchR2(0:0))
    call avR2(82, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6430, nGC_6429])

    allocate(vertices(690)%branchR2(0:0))
    call avR2(690, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6430, nGC_6429])

    allocate(vertices(689)%branchR2(0:0))
    call avR2(689, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6430, nGC_6429])

    allocate(vertices(692)%branchR2(0:0))
    call avR2(692, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6430, nGC_6429])

    allocate(vertices(691)%branchR2(0:0))
    call avR2(691, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6430, nGC_6429])

    allocate(vertices(734)%branchR2(0:0))
    call avR2(734, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6432, nGC_6431])

    allocate(vertices(91)%branchR2(0:0))
    call avR2(91, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6432, nGC_6431])

    allocate(vertices(737)%branchR2(0:0))
    call avR2(737, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6432, nGC_6431])

    allocate(vertices(738)%branchR2(0:0))
    call avR2(738, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6432, nGC_6431])

    allocate(vertices(735)%branchR2(0:0))
    call avR2(735, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6432, nGC_6431])

    allocate(vertices(736)%branchR2(0:0))
    call avR2(736, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6432, nGC_6431])

    allocate(vertices(678)%branchR2(0:0))
    call avR2(678, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6433, nGC_6434])

    allocate(vertices(79)%branchR2(0:0))
    call avR2(79, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6433, nGC_6434])

    allocate(vertices(675)%branchR2(0:0))
    call avR2(675, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6433, nGC_6434])

    allocate(vertices(674)%branchR2(0:0))
    call avR2(674, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6433, nGC_6434])

    allocate(vertices(677)%branchR2(0:0))
    call avR2(677, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6433, nGC_6434])

    allocate(vertices(676)%branchR2(0:0))
    call avR2(676, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6433, nGC_6434])

    allocate(vertices(80)%branchR2(0:0))
    call avR2(80, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6435, nGC_6436])

    allocate(vertices(683)%branchR2(0:0))
    call avR2(683, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6435, nGC_6436])

    allocate(vertices(680)%branchR2(0:0))
    call avR2(680, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6435, nGC_6436])

    allocate(vertices(679)%branchR2(0:0))
    call avR2(679, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6435, nGC_6436])

    allocate(vertices(682)%branchR2(0:0))
    call avR2(682, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6435, nGC_6436])

    allocate(vertices(681)%branchR2(0:0))
    call avR2(681, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6435, nGC_6436])

    allocate(vertices(81)%branchR2(0:0))
    call avR2(81, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6437, nGC_6438])

    allocate(vertices(688)%branchR2(0:0))
    call avR2(688, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6437, nGC_6438])

    allocate(vertices(687)%branchR2(0:0))
    call avR2(687, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6437, nGC_6438])

    allocate(vertices(686)%branchR2(0:0))
    call avR2(686, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6437, nGC_6438])

    allocate(vertices(685)%branchR2(0:0))
    call avR2(685, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6437, nGC_6438])

    allocate(vertices(684)%branchR2(0:0))
    call avR2(684, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6437, nGC_6438])

    allocate(vertices(768)%branchR2(0:0))
    call avR2(768, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6440, nGC_6439])

    allocate(vertices(97)%branchR2(0:0))
    call avR2(97, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6440, nGC_6439])

    allocate(vertices(765)%branchR2(0:0))
    call avR2(765, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6440, nGC_6439])

    allocate(vertices(764)%branchR2(0:0))
    call avR2(764, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6440, nGC_6439])

    allocate(vertices(767)%branchR2(0:0))
    call avR2(767, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6440, nGC_6439])

    allocate(vertices(766)%branchR2(0:0))
    call avR2(766, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6440, nGC_6439])

    allocate(vertices(779)%branchR2(0:0))
    call avR2(779, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6442, nGC_6441])

    allocate(vertices(100)%branchR2(0:0))
    call avR2(100, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6442, nGC_6441])

    allocate(vertices(782)%branchR2(0:0))
    call avR2(782, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6442, nGC_6441])

    allocate(vertices(783)%branchR2(0:0))
    call avR2(783, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6442, nGC_6441])

    allocate(vertices(781)%branchR2(0:0))
    call avR2(781, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6442, nGC_6441])

    allocate(vertices(780)%branchR2(0:0))
    call avR2(780, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6442, nGC_6441])

    allocate(vertices(83)%branchR2(0:0))
    call avR2(83, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6443, nGC_6444])

    allocate(vertices(696)%branchR2(0:0))
    call avR2(696, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6443, nGC_6444])

    allocate(vertices(698)%branchR2(0:0))
    call avR2(698, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6443, nGC_6444])

    allocate(vertices(697)%branchR2(0:0))
    call avR2(697, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6443, nGC_6444])

    allocate(vertices(694)%branchR2(0:0))
    call avR2(694, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6443, nGC_6444])

    allocate(vertices(695)%branchR2(0:0))
    call avR2(695, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6443, nGC_6444])

    allocate(vertices(84)%branchR2(0:0))
    call avR2(84, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6445, nGC_6446])

    allocate(vertices(701)%branchR2(0:0))
    call avR2(701, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6445, nGC_6446])

    allocate(vertices(703)%branchR2(0:0))
    call avR2(703, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6445, nGC_6446])

    allocate(vertices(702)%branchR2(0:0))
    call avR2(702, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6445, nGC_6446])

    allocate(vertices(699)%branchR2(0:0))
    call avR2(699, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6445, nGC_6446])

    allocate(vertices(700)%branchR2(0:0))
    call avR2(700, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6445, nGC_6446])

    allocate(vertices(743)%branchR2(0:0))
    call avR2(743, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6448, nGC_6447])

    allocate(vertices(742)%branchR2(0:0))
    call avR2(742, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6448, nGC_6447])

    allocate(vertices(741)%branchR2(0:0))
    call avR2(741, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6448, nGC_6447])

    allocate(vertices(740)%branchR2(0:0))
    call avR2(740, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6448, nGC_6447])

    allocate(vertices(92)%branchR2(0:0))
    call avR2(92, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6448, nGC_6447])

    allocate(vertices(739)%branchR2(0:0))
    call avR2(739, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6448, nGC_6447])

    allocate(vertices(745)%branchR2(0:0))
    call avR2(745, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6449, nGC_6450])

    allocate(vertices(746)%branchR2(0:0))
    call avR2(746, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6449, nGC_6450])

    allocate(vertices(748)%branchR2(0:0))
    call avR2(748, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6449, nGC_6450])

    allocate(vertices(747)%branchR2(0:0))
    call avR2(747, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6449, nGC_6450])

    allocate(vertices(93)%branchR2(0:0))
    call avR2(93, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6449, nGC_6450])

    allocate(vertices(744)%branchR2(0:0))
    call avR2(744, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6449, nGC_6450])

    allocate(vertices(98)%branchR2(0:0))
    call avR2(98, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6451, nGC_6452])

    allocate(vertices(773)%branchR2(0:0))
    call avR2(773, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6451, nGC_6452])

    allocate(vertices(770)%branchR2(0:0))
    call avR2(770, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6451, nGC_6452])

    allocate(vertices(769)%branchR2(0:0))
    call avR2(769, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6451, nGC_6452])

    allocate(vertices(772)%branchR2(0:0))
    call avR2(772, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6451, nGC_6452])

    allocate(vertices(771)%branchR2(0:0))
    call avR2(771, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6451, nGC_6452])

    allocate(vertices(99)%branchR2(0:0))
    call avR2(99, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6453, nGC_6454])

    allocate(vertices(778)%branchR2(0:0))
    call avR2(778, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6453, nGC_6454])

    allocate(vertices(777)%branchR2(0:0))
    call avR2(777, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6453, nGC_6454])

    allocate(vertices(776)%branchR2(0:0))
    call avR2(776, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6453, nGC_6454])

    allocate(vertices(775)%branchR2(0:0))
    call avR2(775, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6453, nGC_6454])

    allocate(vertices(774)%branchR2(0:0))
    call avR2(774, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6453, nGC_6454])

    allocate(vertices(101)%branchR2(0:0))
    call avR2(101, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6456, nGC_6455])

    allocate(vertices(786)%branchR2(0:0))
    call avR2(786, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6456, nGC_6455])

    allocate(vertices(784)%branchR2(0:0))
    call avR2(784, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6456, nGC_6455])

    allocate(vertices(785)%branchR2(0:0))
    call avR2(785, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6456, nGC_6455])

    allocate(vertices(788)%branchR2(0:0))
    call avR2(788, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6456, nGC_6455])

    allocate(vertices(787)%branchR2(0:0))
    call avR2(787, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6456, nGC_6455])

  end subroutine fill_vertices_mdl4
end module vertices_info4
