!******************************************************************************!
!                                                                              !
!    vertices_info5.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info5.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-12-12 18:37             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info5
  implicit none
  contains
  subroutine fill_vertices_mdl5()
    use class_vertices
    use class_couplings
    allocate(vertices(102)%branchR2(0:0))
    call avR2(102, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_6457, nGC_6458])

    allocate(vertices(789)%branchR2(0:0))
    call avR2(789, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_6457, nGC_6458])

    allocate(vertices(791)%branchR2(0:0))
    call avR2(791, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_6457, nGC_6458])

    allocate(vertices(790)%branchR2(0:0))
    call avR2(790, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_6457, nGC_6458])

    allocate(vertices(792)%branchR2(0:0))
    call avR2(792, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_6457, nGC_6458])

    allocate(vertices(793)%branchR2(0:0))
    call avR2(793, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_6457, nGC_6458])

    allocate(vertices(537)%branchR2(0:0))
    call avR2(537, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6459, nGC_6459])

    allocate(vertices(536)%branchR2(0:0))
    call avR2(536, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6459, nGC_6459])

    allocate(vertices(538)%branchR2(0:0))
    call avR2(538, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6459, nGC_6459])

    allocate(vertices(51)%branchR2(0:0))
    call avR2(51, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6459, nGC_6459])

    allocate(vertices(534)%branchR2(0:0))
    call avR2(534, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6459, nGC_6459])

    allocate(vertices(535)%branchR2(0:0))
    call avR2(535, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6459, nGC_6459])

    allocate(vertices(652)%branchR2(0:0))
    call avR2(652, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6460, nGC_6460])

    allocate(vertices(651)%branchR2(0:0))
    call avR2(651, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6460, nGC_6460])

    allocate(vertices(653)%branchR2(0:0))
    call avR2(653, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6460, nGC_6460])

    allocate(vertices(74)%branchR2(0:0))
    call avR2(74, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6460, nGC_6460])

    allocate(vertices(649)%branchR2(0:0))
    call avR2(649, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6460, nGC_6460])

    allocate(vertices(650)%branchR2(0:0))
    call avR2(650, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6460, nGC_6460])

    allocate(vertices(524)%branchR2(0:0))
    call avR2(524, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6461, nGC_6461])

    allocate(vertices(49)%branchR2(0:0))
    call avR2(49, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6461, nGC_6461])

    allocate(vertices(525)%branchR2(0:0))
    call avR2(525, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6461, nGC_6461])

    allocate(vertices(526)%branchR2(0:0))
    call avR2(526, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6461, nGC_6461])

    allocate(vertices(527)%branchR2(0:0))
    call avR2(527, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6461, nGC_6461])

    allocate(vertices(528)%branchR2(0:0))
    call avR2(528, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6461, nGC_6461])

    allocate(vertices(531)%branchR2(0:0))
    call avR2(531, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6462, nGC_6462])

    allocate(vertices(530)%branchR2(0:0))
    call avR2(530, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6462, nGC_6462])

    allocate(vertices(533)%branchR2(0:0))
    call avR2(533, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6462, nGC_6462])

    allocate(vertices(532)%branchR2(0:0))
    call avR2(532, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6462, nGC_6462])

    allocate(vertices(50)%branchR2(0:0))
    call avR2(50, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6462, nGC_6462])

    allocate(vertices(529)%branchR2(0:0))
    call avR2(529, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6462, nGC_6462])

    allocate(vertices(658)%branchR2(0:0))
    call avR2(658, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6463, nGC_6463])

    allocate(vertices(657)%branchR2(0:0))
    call avR2(657, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6463, nGC_6463])

    allocate(vertices(656)%branchR2(0:0))
    call avR2(656, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6463, nGC_6463])

    allocate(vertices(75)%branchR2(0:0))
    call avR2(75, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6463, nGC_6463])

    allocate(vertices(655)%branchR2(0:0))
    call avR2(655, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6463, nGC_6463])

    allocate(vertices(654)%branchR2(0:0))
    call avR2(654, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6463, nGC_6463])

    allocate(vertices(644)%branchR2(0:0))
    call avR2(644, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_6464, nGC_6464])

    allocate(vertices(73)%branchR2(0:0))
    call avR2(73, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_6464, nGC_6464])

    allocate(vertices(647)%branchR2(0:0))
    call avR2(647, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_6464, nGC_6464])

    allocate(vertices(648)%branchR2(0:0))
    call avR2(648, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_6464, nGC_6464])

    allocate(vertices(645)%branchR2(0:0))
    call avR2(645, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_6464, nGC_6464])

    allocate(vertices(646)%branchR2(0:0))
    call avR2(646, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_6464, nGC_6464])

    allocate(vertices(1797)%branchR2(0:0))
    call avR2(1797, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_6465])

    allocate(vertices(1796)%branchR2(0:0))
    call avR2(1796, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_6465])

    allocate(vertices(1798)%branchR2(0:0))
    call avR2(1798, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_6465])

    allocate(vertices(258)%branchR2(0:0))
    call avR2(258, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_6465])

    allocate(vertices(1794)%branchR2(0:0))
    call avR2(1794, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_6465])

    allocate(vertices(1795)%branchR2(0:0))
    call avR2(1795, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_6465])

    allocate(vertices(1780)%branchR2(0:0))
    call avR2(1780, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_6466])

    allocate(vertices(1779)%branchR2(0:0))
    call avR2(1779, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_6466])

    allocate(vertices(1783)%branchR2(0:0))
    call avR2(1783, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_6466])

    allocate(vertices(255)%branchR2(0:0))
    call avR2(255, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_6466])

    allocate(vertices(1781)%branchR2(0:0))
    call avR2(1781, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_6466])

    allocate(vertices(1782)%branchR2(0:0))
    call avR2(1782, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_6466])

    allocate(vertices(1812)%branchR2(0:0))
    call avR2(1812, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_6467])

    allocate(vertices(1811)%branchR2(0:0))
    call avR2(1811, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_6467])

    allocate(vertices(1813)%branchR2(0:0))
    call avR2(1813, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_6467])

    allocate(vertices(261)%branchR2(0:0))
    call avR2(261, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_6467])

    allocate(vertices(1809)%branchR2(0:0))
    call avR2(1809, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_6467])

    allocate(vertices(1810)%branchR2(0:0))
    call avR2(1810, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_6467])

    allocate(vertices(1786)%branchR2(0:0))
    call avR2(1786, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_6468])

    allocate(vertices(256)%branchR2(0:0))
    call avR2(256, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_6468])

    allocate(vertices(1788)%branchR2(0:0))
    call avR2(1788, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_6468])

    allocate(vertices(1787)%branchR2(0:0))
    call avR2(1787, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_6468])

    allocate(vertices(1784)%branchR2(0:0))
    call avR2(1784, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_6468])

    allocate(vertices(1785)%branchR2(0:0))
    call avR2(1785, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_6468])

    allocate(vertices(1792)%branchR2(0:0))
    call avR2(1792, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_6469])

    allocate(vertices(1793)%branchR2(0:0))
    call avR2(1793, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_6469])

    allocate(vertices(1789)%branchR2(0:0))
    call avR2(1789, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_6469])

    allocate(vertices(257)%branchR2(0:0))
    call avR2(257, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_6469])

    allocate(vertices(1791)%branchR2(0:0))
    call avR2(1791, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_6469])

    allocate(vertices(1790)%branchR2(0:0))
    call avR2(1790, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_6469])

    allocate(vertices(1801)%branchR2(0:0))
    call avR2(1801, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_6470])

    allocate(vertices(259)%branchR2(0:0))
    call avR2(259, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_6470])

    allocate(vertices(1803)%branchR2(0:0))
    call avR2(1803, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_6470])

    allocate(vertices(1802)%branchR2(0:0))
    call avR2(1802, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_6470])

    allocate(vertices(1799)%branchR2(0:0))
    call avR2(1799, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_6470])

    allocate(vertices(1800)%branchR2(0:0))
    call avR2(1800, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_6470])

    allocate(vertices(1769)%branchR2(0:0))
    call avR2(1769, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_6471])

    allocate(vertices(253)%branchR2(0:0))
    call avR2(253, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_6471])

    allocate(vertices(1772)%branchR2(0:0))
    call avR2(1772, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_6471])

    allocate(vertices(1773)%branchR2(0:0))
    call avR2(1773, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_6471])

    allocate(vertices(1770)%branchR2(0:0))
    call avR2(1770, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_6471])

    allocate(vertices(1771)%branchR2(0:0))
    call avR2(1771, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_6471])

    allocate(vertices(1807)%branchR2(0:0))
    call avR2(1807, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_6472])

    allocate(vertices(1808)%branchR2(0:0))
    call avR2(1808, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_6472])

    allocate(vertices(1805)%branchR2(0:0))
    call avR2(1805, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_6472])

    allocate(vertices(1804)%branchR2(0:0))
    call avR2(1804, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_6472])

    allocate(vertices(1806)%branchR2(0:0))
    call avR2(1806, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_6472])

    allocate(vertices(260)%branchR2(0:0))
    call avR2(260, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_6472])

    allocate(vertices(1778)%branchR2(0:0))
    call avR2(1778, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_6473])

    allocate(vertices(1777)%branchR2(0:0))
    call avR2(1777, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_6473])

    allocate(vertices(1776)%branchR2(0:0))
    call avR2(1776, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_6473])

    allocate(vertices(1775)%branchR2(0:0))
    call avR2(1775, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_6473])

    allocate(vertices(1774)%branchR2(0:0))
    call avR2(1774, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_6473])

    allocate(vertices(254)%branchR2(0:0))
    call avR2(254, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_6473])

    allocate(vertices(1852)%branchR2(0:0))
    call avR2(1852, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_6474])

    allocate(vertices(1851)%branchR2(0:0))
    call avR2(1851, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_6474])

    allocate(vertices(1853)%branchR2(0:0))
    call avR2(1853, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_6474])

    allocate(vertices(269)%branchR2(0:0))
    call avR2(269, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_6474])

    allocate(vertices(1849)%branchR2(0:0))
    call avR2(1849, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_6474])

    allocate(vertices(1850)%branchR2(0:0))
    call avR2(1850, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_6474])

    allocate(vertices(1858)%branchR2(0:0))
    call avR2(1858, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_6475])

    allocate(vertices(1857)%branchR2(0:0))
    call avR2(1857, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_6475])

    allocate(vertices(1856)%branchR2(0:0))
    call avR2(1856, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_6475])

    allocate(vertices(270)%branchR2(0:0))
    call avR2(270, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_6475])

    allocate(vertices(1855)%branchR2(0:0))
    call avR2(1855, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_6475])

    allocate(vertices(1854)%branchR2(0:0))
    call avR2(1854, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_6475])

    allocate(vertices(1844)%branchR2(0:0))
    call avR2(1844, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_6476])

    allocate(vertices(268)%branchR2(0:0))
    call avR2(268, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_6476])

    allocate(vertices(1847)%branchR2(0:0))
    call avR2(1847, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_6476])

    allocate(vertices(1848)%branchR2(0:0))
    call avR2(1848, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_6476])

    allocate(vertices(1845)%branchR2(0:0))
    call avR2(1845, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_6476])

    allocate(vertices(1846)%branchR2(0:0))
    call avR2(1846, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_6476])

    allocate(vertices(1819)%branchR2(0:0))
    call avR2(1819, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_6477])

    allocate(vertices(1820)%branchR2(0:0))
    call avR2(1820, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_6477])

    allocate(vertices(1821)%branchR2(0:0))
    call avR2(1821, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_6477])

    allocate(vertices(1822)%branchR2(0:0))
    call avR2(1822, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_6477])

    allocate(vertices(1823)%branchR2(0:0))
    call avR2(1823, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_6477])

    allocate(vertices(263)%branchR2(0:0))
    call avR2(263, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_6477])

    allocate(vertices(1834)%branchR2(0:0))
    call avR2(1834, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_6478])

    allocate(vertices(1835)%branchR2(0:0))
    call avR2(1835, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_6478])

    allocate(vertices(1836)%branchR2(0:0))
    call avR2(1836, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_6478])

    allocate(vertices(1837)%branchR2(0:0))
    call avR2(1837, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_6478])

    allocate(vertices(266)%branchR2(0:0))
    call avR2(266, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_6478])

    allocate(vertices(1838)%branchR2(0:0))
    call avR2(1838, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_6478])

    allocate(vertices(1824)%branchR2(0:0))
    call avR2(1824, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_6479])

    allocate(vertices(1825)%branchR2(0:0))
    call avR2(1825, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_6479])

    allocate(vertices(1827)%branchR2(0:0))
    call avR2(1827, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_6479])

    allocate(vertices(1828)%branchR2(0:0))
    call avR2(1828, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_6479])

    allocate(vertices(1826)%branchR2(0:0))
    call avR2(1826, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_6479])

    allocate(vertices(264)%branchR2(0:0))
    call avR2(264, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_6479])

    allocate(vertices(1814)%branchR2(0:0))
    call avR2(1814, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_6480])

    allocate(vertices(262)%branchR2(0:0))
    call avR2(262, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_6480])

    allocate(vertices(1815)%branchR2(0:0))
    call avR2(1815, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_6480])

    allocate(vertices(1816)%branchR2(0:0))
    call avR2(1816, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_6480])

    allocate(vertices(1817)%branchR2(0:0))
    call avR2(1817, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_6480])

    allocate(vertices(1818)%branchR2(0:0))
    call avR2(1818, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_6480])

    allocate(vertices(1840)%branchR2(0:0))
    call avR2(1840, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_6481])

    allocate(vertices(1839)%branchR2(0:0))
    call avR2(1839, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_6481])

    allocate(vertices(1842)%branchR2(0:0))
    call avR2(1842, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_6481])

    allocate(vertices(1843)%branchR2(0:0))
    call avR2(1843, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_6481])

    allocate(vertices(267)%branchR2(0:0))
    call avR2(267, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_6481])

    allocate(vertices(1841)%branchR2(0:0))
    call avR2(1841, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_6481])

    allocate(vertices(265)%branchR2(0:0))
    call avR2(265, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_6482])

    allocate(vertices(1829)%branchR2(0:0))
    call avR2(1829, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_6482])

    allocate(vertices(1830)%branchR2(0:0))
    call avR2(1830, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_6482])

    allocate(vertices(1831)%branchR2(0:0))
    call avR2(1831, 0, 18, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_6482])

    allocate(vertices(1833)%branchR2(0:0))
    call avR2(1833, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_6482])

    allocate(vertices(1832)%branchR2(0:0))
    call avR2(1832, 0, 19, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_6482])

    allocate(vertices(1407)%branchR2(0:0))
    call avR2(1407, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6484, nGC_6483])

    allocate(vertices(1406)%branchR2(0:0))
    call avR2(1406, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6484, nGC_6483])

    allocate(vertices(1408)%branchR2(0:0))
    call avR2(1408, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6484, nGC_6483])

    allocate(vertices(180)%branchR2(0:0))
    call avR2(180, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6484, nGC_6483])

    allocate(vertices(1404)%branchR2(0:0))
    call avR2(1404, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6484, nGC_6483])

    allocate(vertices(1405)%branchR2(0:0))
    call avR2(1405, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6484, nGC_6483])

    allocate(vertices(1422)%branchR2(0:0))
    call avR2(1422, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6486, nGC_6485])

    allocate(vertices(1421)%branchR2(0:0))
    call avR2(1421, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6486, nGC_6485])

    allocate(vertices(1423)%branchR2(0:0))
    call avR2(1423, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6486, nGC_6485])

    allocate(vertices(183)%branchR2(0:0))
    call avR2(183, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6486, nGC_6485])

    allocate(vertices(1419)%branchR2(0:0))
    call avR2(1419, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6486, nGC_6485])

    allocate(vertices(1420)%branchR2(0:0))
    call avR2(1420, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6486, nGC_6485])

    allocate(vertices(1392)%branchR2(0:0))
    call avR2(1392, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6488, nGC_6487])

    allocate(vertices(1391)%branchR2(0:0))
    call avR2(1391, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6488, nGC_6487])

    allocate(vertices(1393)%branchR2(0:0))
    call avR2(1393, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6488, nGC_6487])

    allocate(vertices(177)%branchR2(0:0))
    call avR2(177, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6488, nGC_6487])

    allocate(vertices(1389)%branchR2(0:0))
    call avR2(1389, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6488, nGC_6487])

    allocate(vertices(1390)%branchR2(0:0))
    call avR2(1390, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6488, nGC_6487])

    allocate(vertices(1398)%branchR2(0:0))
    call avR2(1398, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6490, nGC_6489])

    allocate(vertices(1397)%branchR2(0:0))
    call avR2(1397, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6490, nGC_6489])

    allocate(vertices(1396)%branchR2(0:0))
    call avR2(1396, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6490, nGC_6489])

    allocate(vertices(178)%branchR2(0:0))
    call avR2(178, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6490, nGC_6489])

    allocate(vertices(1395)%branchR2(0:0))
    call avR2(1395, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6490, nGC_6489])

    allocate(vertices(1394)%branchR2(0:0))
    call avR2(1394, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6490, nGC_6489])

    allocate(vertices(1402)%branchR2(0:0))
    call avR2(1402, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6492, nGC_6491])

    allocate(vertices(1403)%branchR2(0:0))
    call avR2(1403, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6492, nGC_6491])

    allocate(vertices(1399)%branchR2(0:0))
    call avR2(1399, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6492, nGC_6491])

    allocate(vertices(179)%branchR2(0:0))
    call avR2(179, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6492, nGC_6491])

    allocate(vertices(1401)%branchR2(0:0))
    call avR2(1401, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6492, nGC_6491])

    allocate(vertices(1400)%branchR2(0:0))
    call avR2(1400, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6492, nGC_6491])

    allocate(vertices(1413)%branchR2(0:0))
    call avR2(1413, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6494, nGC_6493])

    allocate(vertices(1412)%branchR2(0:0))
    call avR2(1412, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6494, nGC_6493])

    allocate(vertices(1411)%branchR2(0:0))
    call avR2(1411, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6494, nGC_6493])

    allocate(vertices(181)%branchR2(0:0))
    call avR2(181, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6494, nGC_6493])

    allocate(vertices(1410)%branchR2(0:0))
    call avR2(1410, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6494, nGC_6493])

    allocate(vertices(1409)%branchR2(0:0))
    call avR2(1409, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6494, nGC_6493])

    allocate(vertices(1382)%branchR2(0:0))
    call avR2(1382, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6496, nGC_6495])

    allocate(vertices(1383)%branchR2(0:0))
    call avR2(1383, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6496, nGC_6495])

    allocate(vertices(1379)%branchR2(0:0))
    call avR2(1379, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6496, nGC_6495])

    allocate(vertices(175)%branchR2(0:0))
    call avR2(175, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6496, nGC_6495])

    allocate(vertices(1381)%branchR2(0:0))
    call avR2(1381, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6496, nGC_6495])

    allocate(vertices(1380)%branchR2(0:0))
    call avR2(1380, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6496, nGC_6495])

    allocate(vertices(1417)%branchR2(0:0))
    call avR2(1417, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6498, nGC_6497])

    allocate(vertices(1418)%branchR2(0:0))
    call avR2(1418, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6498, nGC_6497])

    allocate(vertices(1415)%branchR2(0:0))
    call avR2(1415, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6498, nGC_6497])

    allocate(vertices(1414)%branchR2(0:0))
    call avR2(1414, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6498, nGC_6497])

    allocate(vertices(1416)%branchR2(0:0))
    call avR2(1416, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6498, nGC_6497])

    allocate(vertices(182)%branchR2(0:0))
    call avR2(182, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6498, nGC_6497])

    allocate(vertices(1388)%branchR2(0:0))
    call avR2(1388, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6500, nGC_6499])

    allocate(vertices(1387)%branchR2(0:0))
    call avR2(1387, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6500, nGC_6499])

    allocate(vertices(1386)%branchR2(0:0))
    call avR2(1386, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6500, nGC_6499])

    allocate(vertices(1385)%branchR2(0:0))
    call avR2(1385, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6500, nGC_6499])

    allocate(vertices(1384)%branchR2(0:0))
    call avR2(1384, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6500, nGC_6499])

    allocate(vertices(176)%branchR2(0:0))
    call avR2(176, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6500, nGC_6499])

    allocate(vertices(1642)%branchR2(0:0))
    call avR2(1642, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6484, nGC_6483])

    allocate(vertices(1641)%branchR2(0:0))
    call avR2(1641, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6484, nGC_6483])

    allocate(vertices(1643)%branchR2(0:0))
    call avR2(1643, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6484, nGC_6483])

    allocate(vertices(227)%branchR2(0:0))
    call avR2(227, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6484, nGC_6483])

    allocate(vertices(1639)%branchR2(0:0))
    call avR2(1639, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6484, nGC_6483])

    allocate(vertices(1640)%branchR2(0:0))
    call avR2(1640, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6484, nGC_6483])

    allocate(vertices(1648)%branchR2(0:0))
    call avR2(1648, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6486, nGC_6485])

    allocate(vertices(228)%branchR2(0:0))
    call avR2(228, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6486, nGC_6485])

    allocate(vertices(1647)%branchR2(0:0))
    call avR2(1647, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6486, nGC_6485])

    allocate(vertices(1646)%branchR2(0:0))
    call avR2(1646, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6486, nGC_6485])

    allocate(vertices(1645)%branchR2(0:0))
    call avR2(1645, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6486, nGC_6485])

    allocate(vertices(1644)%branchR2(0:0))
    call avR2(1644, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6486, nGC_6485])

    allocate(vertices(1634)%branchR2(0:0))
    call avR2(1634, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6488, nGC_6487])

    allocate(vertices(226)%branchR2(0:0))
    call avR2(226, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6488, nGC_6487])

    allocate(vertices(1637)%branchR2(0:0))
    call avR2(1637, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6488, nGC_6487])

    allocate(vertices(1638)%branchR2(0:0))
    call avR2(1638, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6488, nGC_6487])

    allocate(vertices(1635)%branchR2(0:0))
    call avR2(1635, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6488, nGC_6487])

    allocate(vertices(1636)%branchR2(0:0))
    call avR2(1636, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6488, nGC_6487])

    allocate(vertices(1611)%branchR2(0:0))
    call avR2(1611, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6490, nGC_6489])

    allocate(vertices(1612)%branchR2(0:0))
    call avR2(1612, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6490, nGC_6489])

    allocate(vertices(1609)%branchR2(0:0))
    call avR2(1609, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6490, nGC_6489])

    allocate(vertices(1610)%branchR2(0:0))
    call avR2(1610, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6490, nGC_6489])

    allocate(vertices(221)%branchR2(0:0))
    call avR2(221, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6490, nGC_6489])

    allocate(vertices(1613)%branchR2(0:0))
    call avR2(1613, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6490, nGC_6489])

    allocate(vertices(1626)%branchR2(0:0))
    call avR2(1626, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6492, nGC_6491])

    allocate(vertices(1627)%branchR2(0:0))
    call avR2(1627, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6492, nGC_6491])

    allocate(vertices(1624)%branchR2(0:0))
    call avR2(1624, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6492, nGC_6491])

    allocate(vertices(1625)%branchR2(0:0))
    call avR2(1625, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6492, nGC_6491])

    allocate(vertices(224)%branchR2(0:0))
    call avR2(224, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6492, nGC_6491])

    allocate(vertices(1628)%branchR2(0:0))
    call avR2(1628, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6492, nGC_6491])

    allocate(vertices(222)%branchR2(0:0))
    call avR2(222, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6494, nGC_6493])

    allocate(vertices(1616)%branchR2(0:0))
    call avR2(1616, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6494, nGC_6493])

    allocate(vertices(1618)%branchR2(0:0))
    call avR2(1618, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6494, nGC_6493])

    allocate(vertices(1617)%branchR2(0:0))
    call avR2(1617, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6494, nGC_6493])

    allocate(vertices(1614)%branchR2(0:0))
    call avR2(1614, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6494, nGC_6493])

    allocate(vertices(1615)%branchR2(0:0))
    call avR2(1615, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6494, nGC_6493])

    allocate(vertices(220)%branchR2(0:0))
    call avR2(220, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6496, nGC_6495])

    allocate(vertices(1604)%branchR2(0:0))
    call avR2(1604, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6496, nGC_6495])

    allocate(vertices(1607)%branchR2(0:0))
    call avR2(1607, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6496, nGC_6495])

    allocate(vertices(1608)%branchR2(0:0))
    call avR2(1608, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6496, nGC_6495])

    allocate(vertices(1605)%branchR2(0:0))
    call avR2(1605, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6496, nGC_6495])

    allocate(vertices(1606)%branchR2(0:0))
    call avR2(1606, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6496, nGC_6495])

    allocate(vertices(1632)%branchR2(0:0))
    call avR2(1632, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6498, nGC_6497])

    allocate(vertices(1631)%branchR2(0:0))
    call avR2(1631, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6498, nGC_6497])

    allocate(vertices(225)%branchR2(0:0))
    call avR2(225, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6498, nGC_6497])

    allocate(vertices(1633)%branchR2(0:0))
    call avR2(1633, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6498, nGC_6497])

    allocate(vertices(1629)%branchR2(0:0))
    call avR2(1629, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6498, nGC_6497])

    allocate(vertices(1630)%branchR2(0:0))
    call avR2(1630, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6498, nGC_6497])

    allocate(vertices(1622)%branchR2(0:0))
    call avR2(1622, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6500, nGC_6499])

    allocate(vertices(1623)%branchR2(0:0))
    call avR2(1623, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6500, nGC_6499])

    allocate(vertices(223)%branchR2(0:0))
    call avR2(223, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6500, nGC_6499])

    allocate(vertices(1619)%branchR2(0:0))
    call avR2(1619, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6500, nGC_6499])

    allocate(vertices(1621)%branchR2(0:0))
    call avR2(1621, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6500, nGC_6499])

    allocate(vertices(1620)%branchR2(0:0))
    call avR2(1620, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6500, nGC_6499])

    allocate(vertices(1917)%branchR2(0:0))
    call avR2(1917, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_6502, nGC_6501])

    allocate(vertices(1916)%branchR2(0:0))
    call avR2(1916, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_6502, nGC_6501])

    allocate(vertices(1918)%branchR2(0:0))
    call avR2(1918, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_6502, nGC_6501])

    allocate(vertices(282)%branchR2(0:0))
    call avR2(282, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_6502, nGC_6501])

    allocate(vertices(1914)%branchR2(0:0))
    call avR2(1914, 0, 18, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_6502, nGC_6501])

    allocate(vertices(1915)%branchR2(0:0))
    call avR2(1915, 0, 17, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_6502, nGC_6501])

    allocate(vertices(1897)%branchR2(0:0))
    call avR2(1897, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_6504, nGC_6503])

    allocate(vertices(1896)%branchR2(0:0))
    call avR2(1896, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_6504, nGC_6503])

    allocate(vertices(1898)%branchR2(0:0))
    call avR2(1898, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_6504, nGC_6503])

    allocate(vertices(278)%branchR2(0:0))
    call avR2(278, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_6504, nGC_6503])

    allocate(vertices(1894)%branchR2(0:0))
    call avR2(1894, 0, 18, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_6504, nGC_6503])

    allocate(vertices(1895)%branchR2(0:0))
    call avR2(1895, 0, 17, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_6504, nGC_6503])

    allocate(vertices(280)%branchR2(0:0))
    call avR2(280, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_6502, nGC_6501])

    allocate(vertices(1904)%branchR2(0:0))
    call avR2(1904, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_6502, nGC_6501])

    allocate(vertices(1907)%branchR2(0:0))
    call avR2(1907, 0, 17, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_6502, nGC_6501])

    allocate(vertices(1908)%branchR2(0:0))
    call avR2(1908, 0, 18, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_6502, nGC_6501])

    allocate(vertices(1905)%branchR2(0:0))
    call avR2(1905, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_6502, nGC_6501])

    allocate(vertices(1906)%branchR2(0:0))
    call avR2(1906, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_6502, nGC_6501])

    allocate(vertices(1913)%branchR2(0:0))
    call avR2(1913, 0, 18, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_6502, nGC_6501])

    allocate(vertices(1912)%branchR2(0:0))
    call avR2(1912, 0, 17, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_6502, nGC_6501])

    allocate(vertices(1911)%branchR2(0:0))
    call avR2(1911, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_6502, nGC_6501])

    allocate(vertices(1910)%branchR2(0:0))
    call avR2(1910, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_6502, nGC_6501])

    allocate(vertices(281)%branchR2(0:0))
    call avR2(281, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_6502, nGC_6501])

    allocate(vertices(1909)%branchR2(0:0))
    call avR2(1909, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_6502, nGC_6501])

    allocate(vertices(1903)%branchR2(0:0))
    call avR2(1903, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_6504, nGC_6503])

    allocate(vertices(279)%branchR2(0:0))
    call avR2(279, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_6504, nGC_6503])

    allocate(vertices(1902)%branchR2(0:0))
    call avR2(1902, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_6504, nGC_6503])

    allocate(vertices(1901)%branchR2(0:0))
    call avR2(1901, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_6504, nGC_6503])

    allocate(vertices(1900)%branchR2(0:0))
    call avR2(1900, 0, 17, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_6504, nGC_6503])

    allocate(vertices(1899)%branchR2(0:0))
    call avR2(1899, 0, 18, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_6504, nGC_6503])

    allocate(vertices(1889)%branchR2(0:0))
    call avR2(1889, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_6504, nGC_6503])

    allocate(vertices(277)%branchR2(0:0))
    call avR2(277, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_6504, nGC_6503])

    allocate(vertices(1890)%branchR2(0:0))
    call avR2(1890, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_6504, nGC_6503])

    allocate(vertices(1891)%branchR2(0:0))
    call avR2(1891, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_6504, nGC_6503])

    allocate(vertices(1892)%branchR2(0:0))
    call avR2(1892, 0, 17, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_6504, nGC_6503])

    allocate(vertices(1893)%branchR2(0:0))
    call avR2(1893, 0, 18, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_6504, nGC_6503])

    allocate(vertices(201)%branchR2(0:0))
    call avR2(201, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6506, nGC_6505])

    allocate(vertices(1513)%branchR2(0:0))
    call avR2(1513, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6506, nGC_6505])

    allocate(vertices(1510)%branchR2(0:0))
    call avR2(1510, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6506, nGC_6505])

    allocate(vertices(1509)%branchR2(0:0))
    call avR2(1509, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6506, nGC_6505])

    allocate(vertices(1512)%branchR2(0:0))
    call avR2(1512, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6506, nGC_6505])

    allocate(vertices(1511)%branchR2(0:0))
    call avR2(1511, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6506, nGC_6505])

    allocate(vertices(1482)%branchR2(0:0))
    call avR2(1482, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6508, nGC_6507])

    allocate(vertices(1481)%branchR2(0:0))
    call avR2(1481, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6508, nGC_6507])

    allocate(vertices(195)%branchR2(0:0))
    call avR2(195, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6508, nGC_6507])

    allocate(vertices(1483)%branchR2(0:0))
    call avR2(1483, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6508, nGC_6507])

    allocate(vertices(1479)%branchR2(0:0))
    call avR2(1479, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6508, nGC_6507])

    allocate(vertices(1480)%branchR2(0:0))
    call avR2(1480, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6508, nGC_6507])

    allocate(vertices(1495)%branchR2(0:0))
    call avR2(1495, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6510, nGC_6509])

    allocate(vertices(1494)%branchR2(0:0))
    call avR2(1494, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6510, nGC_6509])

    allocate(vertices(198)%branchR2(0:0))
    call avR2(198, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6510, nGC_6509])

    allocate(vertices(1498)%branchR2(0:0))
    call avR2(1498, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6510, nGC_6509])

    allocate(vertices(1496)%branchR2(0:0))
    call avR2(1496, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6510, nGC_6509])

    allocate(vertices(1497)%branchR2(0:0))
    call avR2(1497, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6510, nGC_6509])

    allocate(vertices(199)%branchR2(0:0))
    call avR2(199, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6512, nGC_6511])

    allocate(vertices(1501)%branchR2(0:0))
    call avR2(1501, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6512, nGC_6511])

    allocate(vertices(1499)%branchR2(0:0))
    call avR2(1499, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6512, nGC_6511])

    allocate(vertices(1500)%branchR2(0:0))
    call avR2(1500, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6512, nGC_6511])

    allocate(vertices(1503)%branchR2(0:0))
    call avR2(1503, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6512, nGC_6511])

    allocate(vertices(1502)%branchR2(0:0))
    call avR2(1502, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6512, nGC_6511])

    allocate(vertices(1505)%branchR2(0:0))
    call avR2(1505, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6514, nGC_6513])

    allocate(vertices(1506)%branchR2(0:0))
    call avR2(1506, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6514, nGC_6513])

    allocate(vertices(200)%branchR2(0:0))
    call avR2(200, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6514, nGC_6513])

    allocate(vertices(1504)%branchR2(0:0))
    call avR2(1504, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6514, nGC_6513])

    allocate(vertices(1507)%branchR2(0:0))
    call avR2(1507, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6514, nGC_6513])

    allocate(vertices(1508)%branchR2(0:0))
    call avR2(1508, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6514, nGC_6513])

    allocate(vertices(215)%branchR2(0:0))
    call avR2(215, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6516, nGC_6515])

    allocate(vertices(1583)%branchR2(0:0))
    call avR2(1583, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6516, nGC_6515])

    allocate(vertices(1580)%branchR2(0:0))
    call avR2(1580, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6516, nGC_6515])

    allocate(vertices(1579)%branchR2(0:0))
    call avR2(1579, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6516, nGC_6515])

    allocate(vertices(1582)%branchR2(0:0))
    call avR2(1582, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6516, nGC_6515])

    allocate(vertices(1581)%branchR2(0:0))
    call avR2(1581, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6516, nGC_6515])

    allocate(vertices(218)%branchR2(0:0))
    call avR2(218, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6518, nGC_6517])

    allocate(vertices(1598)%branchR2(0:0))
    call avR2(1598, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6518, nGC_6517])

    allocate(vertices(1595)%branchR2(0:0))
    call avR2(1595, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6518, nGC_6517])

    allocate(vertices(1594)%branchR2(0:0))
    call avR2(1594, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6518, nGC_6517])

    allocate(vertices(1597)%branchR2(0:0))
    call avR2(1597, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6518, nGC_6517])

    allocate(vertices(1596)%branchR2(0:0))
    call avR2(1596, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6518, nGC_6517])

    allocate(vertices(212)%branchR2(0:0))
    call avR2(212, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6520, nGC_6519])

    allocate(vertices(1568)%branchR2(0:0))
    call avR2(1568, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6520, nGC_6519])

    allocate(vertices(1565)%branchR2(0:0))
    call avR2(1565, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6520, nGC_6519])

    allocate(vertices(1564)%branchR2(0:0))
    call avR2(1564, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6520, nGC_6519])

    allocate(vertices(1567)%branchR2(0:0))
    call avR2(1567, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6520, nGC_6519])

    allocate(vertices(1566)%branchR2(0:0))
    call avR2(1566, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6520, nGC_6519])

    allocate(vertices(216)%branchR2(0:0))
    call avR2(216, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6518, nGC_6517])

    allocate(vertices(1586)%branchR2(0:0))
    call avR2(1586, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6518, nGC_6517])

    allocate(vertices(1584)%branchR2(0:0))
    call avR2(1584, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6518, nGC_6517])

    allocate(vertices(1585)%branchR2(0:0))
    call avR2(1585, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6518, nGC_6517])

    allocate(vertices(1588)%branchR2(0:0))
    call avR2(1588, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6518, nGC_6517])

    allocate(vertices(1587)%branchR2(0:0))
    call avR2(1587, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6518, nGC_6517])

    allocate(vertices(214)%branchR2(0:0))
    call avR2(214, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6520, nGC_6519])

    allocate(vertices(1574)%branchR2(0:0))
    call avR2(1574, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6520, nGC_6519])

    allocate(vertices(1575)%branchR2(0:0))
    call avR2(1575, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6520, nGC_6519])

    allocate(vertices(1576)%branchR2(0:0))
    call avR2(1576, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6520, nGC_6519])

    allocate(vertices(1577)%branchR2(0:0))
    call avR2(1577, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6520, nGC_6519])

    allocate(vertices(1578)%branchR2(0:0))
    call avR2(1578, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6520, nGC_6519])

    allocate(vertices(193)%branchR2(0:0))
    call avR2(193, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6522, nGC_6521])

    allocate(vertices(1469)%branchR2(0:0))
    call avR2(1469, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6522, nGC_6521])

    allocate(vertices(1472)%branchR2(0:0))
    call avR2(1472, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6522, nGC_6521])

    allocate(vertices(1473)%branchR2(0:0))
    call avR2(1473, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6522, nGC_6521])

    allocate(vertices(1470)%branchR2(0:0))
    call avR2(1470, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6522, nGC_6521])

    allocate(vertices(1471)%branchR2(0:0))
    call avR2(1471, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6522, nGC_6521])

    allocate(vertices(196)%branchR2(0:0))
    call avR2(196, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6524, nGC_6523])

    allocate(vertices(1484)%branchR2(0:0))
    call avR2(1484, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6524, nGC_6523])

    allocate(vertices(1485)%branchR2(0:0))
    call avR2(1485, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6524, nGC_6523])

    allocate(vertices(1486)%branchR2(0:0))
    call avR2(1486, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6524, nGC_6523])

    allocate(vertices(1487)%branchR2(0:0))
    call avR2(1487, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6524, nGC_6523])

    allocate(vertices(1488)%branchR2(0:0))
    call avR2(1488, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6524, nGC_6523])

    allocate(vertices(1477)%branchR2(0:0))
    call avR2(1477, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6524, nGC_6523])

    allocate(vertices(1478)%branchR2(0:0))
    call avR2(1478, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6524, nGC_6523])

    allocate(vertices(194)%branchR2(0:0))
    call avR2(194, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6524, nGC_6523])

    allocate(vertices(1474)%branchR2(0:0))
    call avR2(1474, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6524, nGC_6523])

    allocate(vertices(1476)%branchR2(0:0))
    call avR2(1476, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6524, nGC_6523])

    allocate(vertices(1475)%branchR2(0:0))
    call avR2(1475, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6524, nGC_6523])

    allocate(vertices(1490)%branchR2(0:0))
    call avR2(1490, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6526, nGC_6525])

    allocate(vertices(1491)%branchR2(0:0))
    call avR2(1491, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6526, nGC_6525])

    allocate(vertices(197)%branchR2(0:0))
    call avR2(197, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6526, nGC_6525])

    allocate(vertices(1489)%branchR2(0:0))
    call avR2(1489, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6526, nGC_6525])

    allocate(vertices(1493)%branchR2(0:0))
    call avR2(1493, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6526, nGC_6525])

    allocate(vertices(1492)%branchR2(0:0))
    call avR2(1492, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6526, nGC_6525])

    allocate(vertices(219)%branchR2(0:0))
    call avR2(219, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6527, nGC_6528])

    allocate(vertices(1601)%branchR2(0:0))
    call avR2(1601, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6527, nGC_6528])

    allocate(vertices(1599)%branchR2(0:0))
    call avR2(1599, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6527, nGC_6528])

    allocate(vertices(1600)%branchR2(0:0))
    call avR2(1600, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6527, nGC_6528])

    allocate(vertices(1603)%branchR2(0:0))
    call avR2(1603, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6527, nGC_6528])

    allocate(vertices(1602)%branchR2(0:0))
    call avR2(1602, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6527, nGC_6528])

    allocate(vertices(213)%branchR2(0:0))
    call avR2(213, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6530, nGC_6529])

    allocate(vertices(1571)%branchR2(0:0))
    call avR2(1571, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6530, nGC_6529])

    allocate(vertices(1569)%branchR2(0:0))
    call avR2(1569, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6530, nGC_6529])

    allocate(vertices(1570)%branchR2(0:0))
    call avR2(1570, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6530, nGC_6529])

    allocate(vertices(1573)%branchR2(0:0))
    call avR2(1573, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6530, nGC_6529])

    allocate(vertices(1572)%branchR2(0:0))
    call avR2(1572, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6530, nGC_6529])

    allocate(vertices(217)%branchR2(0:0))
    call avR2(217, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6530, nGC_6529])

    allocate(vertices(1591)%branchR2(0:0))
    call avR2(1591, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6530, nGC_6529])

    allocate(vertices(1589)%branchR2(0:0))
    call avR2(1589, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6530, nGC_6529])

    allocate(vertices(1590)%branchR2(0:0))
    call avR2(1590, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6530, nGC_6529])

    allocate(vertices(1593)%branchR2(0:0))
    call avR2(1593, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6530, nGC_6529])

    allocate(vertices(1592)%branchR2(0:0))
    call avR2(1592, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6530, nGC_6529])

    allocate(vertices(211)%branchR2(0:0))
    call avR2(211, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_6532, nGC_6531])

    allocate(vertices(1559)%branchR2(0:0))
    call avR2(1559, 0, 16, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_6532, nGC_6531])

    allocate(vertices(1560)%branchR2(0:0))
    call avR2(1560, 0, 17, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_6532, nGC_6531])

    allocate(vertices(1561)%branchR2(0:0))
    call avR2(1561, 0, 18, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_6532, nGC_6531])

    allocate(vertices(1562)%branchR2(0:0))
    call avR2(1562, 0, 19, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_6532, nGC_6531])

    allocate(vertices(1563)%branchR2(0:0))
    call avR2(1563, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_6532, nGC_6531])

  end subroutine fill_vertices_mdl5
end module vertices_info5
