!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-12-12 18:37             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_6551) = coupl(nGC_6550)*dZgs_QCD2
    coupl(nGC_6553) = coupl(nGC_6552)*dZgs_QCD2
    coupl(nGC_6554) = cima*dI2a11_QCD2_QED1
    coupl(nGC_6555) = -cima*dI1a11_QCD2_QED1
    coupl(nGC_6556) = cima*dI2a12_QCD2_QED1
    coupl(nGC_6557) = -cima*dI1a12_QCD2_QED1
    coupl(nGC_6558) = cima*dI2a13_QCD2_QED1
    coupl(nGC_6559) = -cima*dI1a13_QCD2_QED1
    coupl(nGC_6560) = cima*dI2a21_QCD2_QED1
    coupl(nGC_6561) = -cima*dI1a21_QCD2_QED1
    coupl(nGC_6562) = cima*dI2a22_QCD2_QED1
    coupl(nGC_6563) = -cima*dI1a22_QCD2_QED1
    coupl(nGC_6564) = cima*dI2a23_QCD2_QED1
    coupl(nGC_6565) = -cima*dI1a23_QCD2_QED1
    coupl(nGC_6566) = cima*dI2a31_QCD2_QED1
    coupl(nGC_6567) = -cima*dI1a31_QCD2_QED1
    coupl(nGC_6568) = cima*dI2a32_QCD2_QED1
    coupl(nGC_6569) = -cima*dI1a32_QCD2_QED1
    coupl(nGC_6570) = cima*dI2a33_QCD2_QED1
    coupl(nGC_6571) = -cima*dI1a33_QCD2_QED1
    coupl(nGC_6573) = coupl(nGC_6572)*dydo_QCD2_QED1
    coupl(nGC_6575) = coupl(nGC_6574)*dys_QCD2_QED1
    coupl(nGC_6577) = coupl(nGC_6576)*dyb_QCD2_QED1
    coupl(nGC_6579) = coupl(nGC_6578)*dydo_QCD2_QED1
    coupl(nGC_6581) = coupl(nGC_6580)*dys_QCD2_QED1
    coupl(nGC_6583) = coupl(nGC_6582)*dyb_QCD2_QED1
    coupl(nGC_6593) = -cima*dI4a11_QCD2_QED1
    coupl(nGC_6594) = cima*dI3a11_QCD2_QED1
    coupl(nGC_6595) = -cima*dI4a12_QCD2_QED1
    coupl(nGC_6596) = cima*dI3a12_QCD2_QED1
    coupl(nGC_6597) = -cima*dI4a13_QCD2_QED1
    coupl(nGC_6598) = cima*dI3a13_QCD2_QED1
    coupl(nGC_6599) = -cima*dI4a21_QCD2_QED1
    coupl(nGC_6600) = cima*dI3a21_QCD2_QED1
    coupl(nGC_6601) = -cima*dI4a22_QCD2_QED1
    coupl(nGC_6602) = cima*dI3a22_QCD2_QED1
    coupl(nGC_6603) = -cima*dI4a23_QCD2_QED1
    coupl(nGC_6604) = cima*dI3a23_QCD2_QED1
    coupl(nGC_6605) = -cima*dI4a31_QCD2_QED1
    coupl(nGC_6606) = cima*dI3a31_QCD2_QED1
    coupl(nGC_6607) = -cima*dI4a32_QCD2_QED1
    coupl(nGC_6608) = cima*dI3a32_QCD2_QED1
    coupl(nGC_6609) = -cima*dI4a33_QCD2_QED1
    coupl(nGC_6610) = cima*dI3a33_QCD2_QED1
    coupl(nGC_6612) = coupl(nGC_6611)*dyup_QCD2_QED1
    coupl(nGC_6614) = coupl(nGC_6613)*dyc_QCD2_QED1
    coupl(nGC_6616) = coupl(nGC_6615)*dyt_QCD2_QED1
    coupl(nGC_6618) = coupl(nGC_6617)*dyup_QCD2_QED1
    coupl(nGC_6620) = coupl(nGC_6619)*dyc_QCD2_QED1
    coupl(nGC_6622) = coupl(nGC_6621)*dyt_QCD2_QED1
    coupl(nGC_6624) = coupl(nGC_6623)*dMB_QCD2
    coupl(nGC_6627) = coupl(nGC_6625)*dMB_QCD2 + coupl(nGC_6626)*dMD_QCD2
    coupl(nGC_6630) = coupl(nGC_6628)*dMB_QCD2 + coupl(nGC_6629)*dMD_QCD2
    coupl(nGC_6633) = coupl(nGC_6631)*dMB_QCD2 + coupl(nGC_6632)*dMS_QCD2
    coupl(nGC_6636) = coupl(nGC_6634)*dMB_QCD2 + coupl(nGC_6635)*dMS_QCD2
    coupl(nGC_6638) = coupl(nGC_6637)*dMC_QCD2
    coupl(nGC_6641) = coupl(nGC_6639)*dMT_QCD2 + coupl(nGC_6640)*dMC_QCD2
    coupl(nGC_6644) = coupl(nGC_6642)*dMT_QCD2 + coupl(nGC_6643)*dMC_QCD2
    coupl(nGC_6647) = coupl(nGC_6645)*dMC_QCD2 + coupl(nGC_6646)*dMU_QCD2
    coupl(nGC_6650) = coupl(nGC_6648)*dMC_QCD2 + coupl(nGC_6649)*dMU_QCD2
    coupl(nGC_6653) = coupl(nGC_6651)*dMB_QCD2 + coupl(nGC_6652)*dMD_QCD2
    coupl(nGC_6656) = coupl(nGC_6654)*dMB_QCD2 + coupl(nGC_6655)*dMD_QCD2
    coupl(nGC_6658) = coupl(nGC_6657)*dMD_QCD2
    coupl(nGC_6661) = coupl(nGC_6659)*dMS_QCD2 + coupl(nGC_6660)*dMD_QCD2
    coupl(nGC_6664) = coupl(nGC_6662)*dMS_QCD2 + coupl(nGC_6663)*dMD_QCD2
    coupl(nGC_6677) = coupl(nGC_6675)*dMB_QCD2 + coupl(nGC_6676)*dMS_QCD2
    coupl(nGC_6680) = coupl(nGC_6678)*dMB_QCD2 + coupl(nGC_6679)*dMS_QCD2
    coupl(nGC_6683) = coupl(nGC_6681)*dMS_QCD2 + coupl(nGC_6682)*dMD_QCD2
    coupl(nGC_6686) = coupl(nGC_6684)*dMS_QCD2 + coupl(nGC_6685)*dMD_QCD2
    coupl(nGC_6688) = coupl(nGC_6687)*dMS_QCD2
    coupl(nGC_6696) = coupl(nGC_6694)*dMT_QCD2 + coupl(nGC_6695)*dMC_QCD2
    coupl(nGC_6699) = coupl(nGC_6697)*dMT_QCD2 + coupl(nGC_6698)*dMC_QCD2
    coupl(nGC_6701) = coupl(nGC_6700)*dMT_QCD2
    coupl(nGC_6704) = coupl(nGC_6702)*dMT_QCD2 + coupl(nGC_6703)*dMU_QCD2
    coupl(nGC_6707) = coupl(nGC_6705)*dMT_QCD2 + coupl(nGC_6706)*dMU_QCD2
    coupl(nGC_6710) = coupl(nGC_6708)*dMC_QCD2 + coupl(nGC_6709)*dMU_QCD2
    coupl(nGC_6713) = coupl(nGC_6711)*dMC_QCD2 + coupl(nGC_6712)*dMU_QCD2
    coupl(nGC_6716) = coupl(nGC_6714)*dMT_QCD2 + coupl(nGC_6715)*dMU_QCD2
    coupl(nGC_6719) = coupl(nGC_6717)*dMT_QCD2 + coupl(nGC_6718)*dMU_QCD2
    coupl(nGC_6721) = coupl(nGC_6720)*dMU_QCD2
    coupl(nGC_6724) = coupl(nGC_6722)*dMB_QCD2 + coupl(nGC_6723)*dMC_QCD2
    coupl(nGC_6727) = coupl(nGC_6725)*dMB_QCD2 + coupl(nGC_6726)*dMC_QCD2
    coupl(nGC_6730) = coupl(nGC_6728)*dMC_QCD2 + coupl(nGC_6729)*dMD_QCD2
    coupl(nGC_6733) = coupl(nGC_6731)*dMC_QCD2 + coupl(nGC_6732)*dMD_QCD2
    coupl(nGC_6736) = coupl(nGC_6734)*dMC_QCD2 + coupl(nGC_6735)*dMS_QCD2
    coupl(nGC_6739) = coupl(nGC_6737)*dMC_QCD2 + coupl(nGC_6738)*dMS_QCD2
    coupl(nGC_6742) = coupl(nGC_6740)*dMT_QCD2 + coupl(nGC_6741)*dMB_QCD2
    coupl(nGC_6745) = coupl(nGC_6743)*dMT_QCD2 + coupl(nGC_6744)*dMB_QCD2
    coupl(nGC_6748) = coupl(nGC_6746)*dMT_QCD2 + coupl(nGC_6747)*dMD_QCD2
    coupl(nGC_6751) = coupl(nGC_6749)*dMT_QCD2 + coupl(nGC_6750)*dMD_QCD2
    coupl(nGC_6754) = coupl(nGC_6752)*dMT_QCD2 + coupl(nGC_6753)*dMS_QCD2
    coupl(nGC_6757) = coupl(nGC_6755)*dMT_QCD2 + coupl(nGC_6756)*dMS_QCD2
    coupl(nGC_6760) = coupl(nGC_6758)*dMB_QCD2 + coupl(nGC_6759)*dMU_QCD2
    coupl(nGC_6763) = coupl(nGC_6761)*dMB_QCD2 + coupl(nGC_6762)*dMU_QCD2
    coupl(nGC_6766) = coupl(nGC_6764)*dMU_QCD2 + coupl(nGC_6765)*dMD_QCD2
    coupl(nGC_6769) = coupl(nGC_6767)*dMU_QCD2 + coupl(nGC_6768)*dMD_QCD2
    coupl(nGC_6772) = coupl(nGC_6770)*dMS_QCD2 + coupl(nGC_6771)*dMU_QCD2
    coupl(nGC_6775) = coupl(nGC_6773)*dMS_QCD2 + coupl(nGC_6774)*dMU_QCD2
    coupl(nGC_6916) = -cima*dMT_QCD2
    coupl(nGC_6918) = -cima*dMU_QCD2
    coupl(nGC_6919) = -cima*dMD_QCD2
    coupl(nGC_6920) = -cima*dMC_QCD2
    coupl(nGC_6921) = -cima*dMS_QCD2
    coupl(nGC_6922) = -cima*dMB_QCD2
    coupl(nGC_9786) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_6551)
    coupl(nGC_9787) = -coupl(nGC_9786)
    coupl(nGC_9792) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_6551)
    coupl(nGC_9797) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_6553)
    coupl(nGC_9798) = -2d0*coupl(nGC_9797)
    coupl(nGC_9801) = 2d0*coupl(nGC_9797)
    coupl(nGC_9802) = -coupl(nGC_9797)
    coupl(nGC_9815) = coupl(nGC_22)*dZdL_QCD2/2d0 + coupl(nGC_22)*dZuR_QCD2/2d0&
                       + coupl(nGC_6554)
    coupl(nGC_9816) = coupl(nGC_13)*dZdR_QCD2/2d0 + coupl(nGC_13)*dZuL_QCD2/2d0&
                       + coupl(nGC_6555)
    coupl(nGC_9821) = coupl(nGC_23)*dZcR_QCD2/2d0 + coupl(nGC_23)*dZdL_QCD2/2d0&
                       + coupl(nGC_6556)
    coupl(nGC_9822) = coupl(nGC_14)*dZcL_QCD2/2d0 + coupl(nGC_14)*dZdR_QCD2/2d0&
                       + coupl(nGC_6557)
    coupl(nGC_9827) = coupl(nGC_24)*dZdL_QCD2/2d0 + coupl(nGC_24)*dZtR_QCD2/2d0&
                       + coupl(nGC_6558)
    coupl(nGC_9828) = coupl(nGC_15)*dZdR_QCD2/2d0 + coupl(nGC_15)*dZtL_QCD2/2d0&
                       + coupl(nGC_6559)
    coupl(nGC_9833) = coupl(nGC_25)*dZsL_QCD2/2d0 + coupl(nGC_25)*dZuR_QCD2/2d0&
                       + coupl(nGC_6560)
    coupl(nGC_9834) = coupl(nGC_16)*dZsR_QCD2/2d0 + coupl(nGC_16)*dZuL_QCD2/2d0&
                       + coupl(nGC_6561)
    coupl(nGC_9839) = coupl(nGC_26)*dZcR_QCD2/2d0 + coupl(nGC_26)*dZsL_QCD2/2d0&
                       + coupl(nGC_6562)
    coupl(nGC_9840) = coupl(nGC_17)*dZcL_QCD2/2d0 + coupl(nGC_17)*dZsR_QCD2/2d0&
                       + coupl(nGC_6563)
    coupl(nGC_9845) = coupl(nGC_27)*dZsL_QCD2/2d0 + coupl(nGC_27)*dZtR_QCD2/2d0&
                       + coupl(nGC_6564)
    coupl(nGC_9846) = coupl(nGC_18)*dZsR_QCD2/2d0 + coupl(nGC_18)*dZtL_QCD2/2d0&
                       + coupl(nGC_6565)
    coupl(nGC_9851) = coupl(nGC_28)*dZbL_QCD2/2d0 + coupl(nGC_28)*dZuR_QCD2/2d0&
                       + coupl(nGC_6566)
    coupl(nGC_9852) = coupl(nGC_19)*dZbR_QCD2/2d0 + coupl(nGC_19)*dZuL_QCD2/2d0&
                       + coupl(nGC_6567)
    coupl(nGC_9857) = coupl(nGC_29)*dZbL_QCD2/2d0 + coupl(nGC_29)*dZcR_QCD2/2d0&
                       + coupl(nGC_6568)
    coupl(nGC_9858) = coupl(nGC_20)*dZbR_QCD2/2d0 + coupl(nGC_20)*dZcL_QCD2/2d0&
                       + coupl(nGC_6569)
    coupl(nGC_9863) = coupl(nGC_30)*dZbL_QCD2/2d0 + coupl(nGC_30)*dZtR_QCD2/2d0&
                       + coupl(nGC_6570)
    coupl(nGC_9864) = coupl(nGC_21)*dZbR_QCD2/2d0 + coupl(nGC_21)*dZtL_QCD2/2d0&
                       + coupl(nGC_6571)
    coupl(nGC_9866) = coupl(nGC_254)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_9868) = -coupl(nGC_6573) - coupl(nGC_9866)
    coupl(nGC_9869) = coupl(nGC_6573) + coupl(nGC_9866)
    coupl(nGC_9871) = coupl(nGC_262)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_9873) = -coupl(nGC_6575) - coupl(nGC_9871)
    coupl(nGC_9874) = coupl(nGC_6575) + coupl(nGC_9871)
    coupl(nGC_9876) = coupl(nGC_250)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_9878) = -coupl(nGC_6577) - coupl(nGC_9876)
    coupl(nGC_9879) = coupl(nGC_6577) + coupl(nGC_9876)
    coupl(nGC_9881) = coupl(nGC_255)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_9883) = coupl(nGC_6579) + coupl(nGC_9881)
    coupl(nGC_9885) = coupl(nGC_263)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_9887) = coupl(nGC_6581) + coupl(nGC_9885)
    coupl(nGC_9889) = coupl(nGC_251)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_9891) = coupl(nGC_6583) + coupl(nGC_9889)
    coupl(nGC_9896) = coupl(nGC_40)*dZdR_QCD2/2d0 + coupl(nGC_40)*dZuL_QCD2/2d0&
                       + coupl(nGC_6593)
    coupl(nGC_9897) = coupl(nGC_31)*dZdL_QCD2/2d0 + coupl(nGC_31)*dZuR_QCD2/2d0&
                       + coupl(nGC_6594)
    coupl(nGC_9902) = coupl(nGC_41)*dZsR_QCD2/2d0 + coupl(nGC_41)*dZuL_QCD2/2d0&
                       + coupl(nGC_6595)
    coupl(nGC_9903) = coupl(nGC_32)*dZsL_QCD2/2d0 + coupl(nGC_32)*dZuR_QCD2/2d0&
                       + coupl(nGC_6596)
    coupl(nGC_9908) = coupl(nGC_42)*dZbR_QCD2/2d0 + coupl(nGC_42)*dZuL_QCD2/2d0&
                       + coupl(nGC_6597)
    coupl(nGC_9909) = coupl(nGC_33)*dZbL_QCD2/2d0 + coupl(nGC_33)*dZuR_QCD2/2d0&
                       + coupl(nGC_6598)
    coupl(nGC_9914) = coupl(nGC_43)*dZcL_QCD2/2d0 + coupl(nGC_43)*dZdR_QCD2/2d0&
                       + coupl(nGC_6599)
    coupl(nGC_9915) = coupl(nGC_34)*dZcR_QCD2/2d0 + coupl(nGC_34)*dZdL_QCD2/2d0&
                       + coupl(nGC_6600)
    coupl(nGC_9920) = coupl(nGC_44)*dZcL_QCD2/2d0 + coupl(nGC_44)*dZsR_QCD2/2d0&
                       + coupl(nGC_6601)
    coupl(nGC_9921) = coupl(nGC_35)*dZcR_QCD2/2d0 + coupl(nGC_35)*dZsL_QCD2/2d0&
                       + coupl(nGC_6602)
    coupl(nGC_9926) = coupl(nGC_45)*dZbR_QCD2/2d0 + coupl(nGC_45)*dZcL_QCD2/2d0&
                       + coupl(nGC_6603)
    coupl(nGC_9927) = coupl(nGC_36)*dZbL_QCD2/2d0 + coupl(nGC_36)*dZcR_QCD2/2d0&
                       + coupl(nGC_6604)
    coupl(nGC_9932) = coupl(nGC_46)*dZdR_QCD2/2d0 + coupl(nGC_46)*dZtL_QCD2/2d0&
                       + coupl(nGC_6605)
    coupl(nGC_9933) = coupl(nGC_37)*dZdL_QCD2/2d0 + coupl(nGC_37)*dZtR_QCD2/2d0&
                       + coupl(nGC_6606)
    coupl(nGC_9938) = coupl(nGC_47)*dZsR_QCD2/2d0 + coupl(nGC_47)*dZtL_QCD2/2d0&
                       + coupl(nGC_6607)
    coupl(nGC_9939) = coupl(nGC_38)*dZsL_QCD2/2d0 + coupl(nGC_38)*dZtR_QCD2/2d0&
                       + coupl(nGC_6608)
    coupl(nGC_9944) = coupl(nGC_48)*dZbR_QCD2/2d0 + coupl(nGC_48)*dZtL_QCD2/2d0&
                       + coupl(nGC_6609)
    coupl(nGC_9945) = coupl(nGC_39)*dZbL_QCD2/2d0 + coupl(nGC_39)*dZtR_QCD2/2d0&
                       + coupl(nGC_6610)
    coupl(nGC_9947) = coupl(nGC_270)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_9949) = -coupl(nGC_6612) - coupl(nGC_9947)
    coupl(nGC_9950) = coupl(nGC_6612) + coupl(nGC_9947)
    coupl(nGC_9952) = coupl(nGC_253)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_9954) = -coupl(nGC_6614) - coupl(nGC_9952)
    coupl(nGC_9955) = coupl(nGC_6614) + coupl(nGC_9952)
    coupl(nGC_9957) = coupl(nGC_265)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_9959) = -coupl(nGC_6616) - coupl(nGC_9957)
    coupl(nGC_9960) = coupl(nGC_6616) + coupl(nGC_9957)
    coupl(nGC_9962) = coupl(nGC_269)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_9964) = coupl(nGC_6618) + coupl(nGC_9962)
    coupl(nGC_9966) = coupl(nGC_252)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_9968) = coupl(nGC_6620) + coupl(nGC_9966)
    coupl(nGC_9970) = coupl(nGC_264)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_9972) = coupl(nGC_6622) + coupl(nGC_9970)
    coupl(nGC_9974) = coupl(nGC_90)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_9976) = coupl(nGC_6624) + coupl(nGC_9974)
    coupl(nGC_9977) = -coupl(nGC_6624) - coupl(nGC_9974)
    coupl(nGC_9982) = coupl(nGC_6627) + coupl(nGC_96)*dZbR_QCD2/2d0 + coupl(   &
                      nGC_96)*dZdL_QCD2/2d0
    coupl(nGC_9983) = coupl(nGC_6630) + coupl(nGC_93)*dZbL_QCD2/2d0 + coupl(   &
                      nGC_93)*dZdR_QCD2/2d0
    coupl(nGC_9988) = coupl(nGC_110)*dZbR_QCD2/2d0 + coupl(nGC_110)*dZsL_QCD2/ &
                      2d0 + coupl(nGC_6633)
    coupl(nGC_9989) = coupl(nGC_105)*dZbL_QCD2/2d0 + coupl(nGC_105)*dZsR_QCD2/ &
                      2d0 + coupl(nGC_6636)
    coupl(nGC_9991) = coupl(nGC_91)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_9993) = coupl(nGC_6638) + coupl(nGC_9991)
    coupl(nGC_9994) = -coupl(nGC_6638) - coupl(nGC_9991)
    coupl(nGC_9999) = coupl(nGC_114)*dZcR_QCD2/2d0 + coupl(nGC_114)*dZtL_QCD2/ &
                      2d0 + coupl(nGC_6641)
    coupl(nGC_10000) = coupl(nGC_112)*dZcL_QCD2/2d0 + coupl(nGC_112)*dZtR_QCD2/&
                       2d0 + coupl(nGC_6644)
    coupl(nGC_10005) = coupl(nGC_131)*dZcR_QCD2/2d0 + coupl(nGC_131)*dZuL_QCD2/&
                       2d0 + coupl(nGC_6647)
    coupl(nGC_10006) = coupl(nGC_126)*dZcL_QCD2/2d0 + coupl(nGC_126)*dZuR_QCD2/&
                       2d0 + coupl(nGC_6650)
    coupl(nGC_10011) = coupl(nGC_6653) + coupl(nGC_92)*dZbL_QCD2/2d0 + coupl(  &
                       nGC_92)*dZdR_QCD2/2d0
    coupl(nGC_10012) = coupl(nGC_6656) + coupl(nGC_95)*dZbR_QCD2/2d0 + coupl(  &
                       nGC_95)*dZdL_QCD2/2d0
    coupl(nGC_10014) = coupl(nGC_94)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_10016) = coupl(nGC_10014) + coupl(nGC_6658)
    coupl(nGC_10017) = -coupl(nGC_10014) - coupl(nGC_6658)
    coupl(nGC_10022) = coupl(nGC_107)*dZdR_QCD2/2d0 + coupl(nGC_107)*dZsL_QCD2/&
                       2d0 + coupl(nGC_6661)
    coupl(nGC_10023) = coupl(nGC_103)*dZdL_QCD2/2d0 + coupl(nGC_103)*dZsR_QCD2/&
                       2d0 + coupl(nGC_6664)
    coupl(nGC_10028) = coupl(nGC_104)*dZbL_QCD2/2d0 + coupl(nGC_104)*dZsR_QCD2/&
                       2d0 + coupl(nGC_6677)
    coupl(nGC_10029) = coupl(nGC_109)*dZbR_QCD2/2d0 + coupl(nGC_109)*dZsL_QCD2/&
                       2d0 + coupl(nGC_6680)
    coupl(nGC_10034) = coupl(nGC_102)*dZdL_QCD2/2d0 + coupl(nGC_102)*dZsR_QCD2/&
                       2d0 + coupl(nGC_6683)
    coupl(nGC_10035) = coupl(nGC_106)*dZdR_QCD2/2d0 + coupl(nGC_106)*dZsL_QCD2/&
                       2d0 + coupl(nGC_6686)
    coupl(nGC_10037) = coupl(nGC_108)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_10039) = coupl(nGC_10037) + coupl(nGC_6688)
    coupl(nGC_10040) = -coupl(nGC_10037) - coupl(nGC_6688)
    coupl(nGC_10045) = coupl(nGC_111)*dZcL_QCD2/2d0 + coupl(nGC_111)*dZtR_QCD2/&
                       2d0 + coupl(nGC_6696)
    coupl(nGC_10046) = coupl(nGC_113)*dZcR_QCD2/2d0 + coupl(nGC_113)*dZtL_QCD2/&
                       2d0 + coupl(nGC_6699)
    coupl(nGC_10048) = coupl(nGC_115)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_10050) = coupl(nGC_10048) + coupl(nGC_6701)
    coupl(nGC_10051) = -coupl(nGC_10048) - coupl(nGC_6701)
    coupl(nGC_10056) = coupl(nGC_133)*dZtR_QCD2/2d0 + coupl(nGC_133)*dZuL_QCD2/&
                       2d0 + coupl(nGC_6704)
    coupl(nGC_10057) = coupl(nGC_128)*dZtL_QCD2/2d0 + coupl(nGC_128)*dZuR_QCD2/&
                       2d0 + coupl(nGC_6707)
    coupl(nGC_10062) = coupl(nGC_125)*dZcL_QCD2/2d0 + coupl(nGC_125)*dZuR_QCD2/&
                       2d0 + coupl(nGC_6710)
    coupl(nGC_10063) = coupl(nGC_130)*dZcR_QCD2/2d0 + coupl(nGC_130)*dZuL_QCD2/&
                       2d0 + coupl(nGC_6713)
    coupl(nGC_10068) = coupl(nGC_127)*dZtL_QCD2/2d0 + coupl(nGC_127)*dZuR_QCD2/&
                       2d0 + coupl(nGC_6716)
    coupl(nGC_10069) = coupl(nGC_132)*dZtR_QCD2/2d0 + coupl(nGC_132)*dZuL_QCD2/&
                       2d0 + coupl(nGC_6719)
    coupl(nGC_10071) = coupl(nGC_129)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_10073) = coupl(nGC_10071) + coupl(nGC_6721)
    coupl(nGC_10074) = -coupl(nGC_10071) - coupl(nGC_6721)
    coupl(nGC_10079) = coupl(nGC_6724) + coupl(nGC_71)*dZbL_QCD2/2d0 + coupl(  &
                       nGC_71)*dZcR_QCD2/2d0
    coupl(nGC_10080) = coupl(nGC_6727) + coupl(nGC_72)*dZbR_QCD2/2d0 + coupl(  &
                       nGC_72)*dZcL_QCD2/2d0
    coupl(nGC_10085) = coupl(nGC_6730) + coupl(nGC_74)*dZcR_QCD2/2d0 + coupl(  &
                       nGC_74)*dZdL_QCD2/2d0
    coupl(nGC_10086) = coupl(nGC_6733) + coupl(nGC_73)*dZcL_QCD2/2d0 + coupl(  &
                       nGC_73)*dZdR_QCD2/2d0
    coupl(nGC_10091) = coupl(nGC_6736) + coupl(nGC_76)*dZcR_QCD2/2d0 + coupl(  &
                       nGC_76)*dZsL_QCD2/2d0
    coupl(nGC_10092) = coupl(nGC_6739) + coupl(nGC_75)*dZcL_QCD2/2d0 + coupl(  &
                       nGC_75)*dZsR_QCD2/2d0
    coupl(nGC_10097) = coupl(nGC_6742) + coupl(nGC_79)*dZbL_QCD2/2d0 + coupl(  &
                       nGC_79)*dZtR_QCD2/2d0
    coupl(nGC_10098) = coupl(nGC_6745) + coupl(nGC_82)*dZbR_QCD2/2d0 + coupl(  &
                       nGC_82)*dZtL_QCD2/2d0
    coupl(nGC_10103) = coupl(nGC_6748) + coupl(nGC_77)*dZdL_QCD2/2d0 + coupl(  &
                       nGC_77)*dZtR_QCD2/2d0
    coupl(nGC_10104) = coupl(nGC_6751) + coupl(nGC_80)*dZdR_QCD2/2d0 + coupl(  &
                       nGC_80)*dZtL_QCD2/2d0
    coupl(nGC_10109) = coupl(nGC_6754) + coupl(nGC_78)*dZsL_QCD2/2d0 + coupl(  &
                       nGC_78)*dZtR_QCD2/2d0
    coupl(nGC_10110) = coupl(nGC_6757) + coupl(nGC_81)*dZsR_QCD2/2d0 + coupl(  &
                       nGC_81)*dZtL_QCD2/2d0
    coupl(nGC_10115) = coupl(nGC_6760) + coupl(nGC_85)*dZbL_QCD2/2d0 + coupl(  &
                       nGC_85)*dZuR_QCD2/2d0
    coupl(nGC_10116) = coupl(nGC_6763) + coupl(nGC_88)*dZbR_QCD2/2d0 + coupl(  &
                       nGC_88)*dZuL_QCD2/2d0
    coupl(nGC_10121) = coupl(nGC_6766) + coupl(nGC_83)*dZdL_QCD2/2d0 + coupl(  &
                       nGC_83)*dZuR_QCD2/2d0
    coupl(nGC_10122) = coupl(nGC_6769) + coupl(nGC_86)*dZdR_QCD2/2d0 + coupl(  &
                       nGC_86)*dZuL_QCD2/2d0
    coupl(nGC_10127) = coupl(nGC_6772) + coupl(nGC_84)*dZsL_QCD2/2d0 + coupl(  &
                       nGC_84)*dZuR_QCD2/2d0
    coupl(nGC_10128) = coupl(nGC_6775) + coupl(nGC_87)*dZsR_QCD2/2d0 + coupl(  &
                       nGC_87)*dZuL_QCD2/2d0
    coupl(nGC_10165) = coupl(nGC_185)*(dZdR_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_10166) = coupl(nGC_167)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_10167) = coupl(nGC_186)*(dZsR_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_10168) = coupl(nGC_168)*(dZsL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_10169) = coupl(nGC_187)*(dZbR_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_10170) = coupl(nGC_169)*(dZbL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_10171) = coupl(nGC_188)*(dZcR_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_10172) = coupl(nGC_170)*(dZcL_QCD2 + dZdL_QCD2)/2d0
    coupl(nGC_10173) = coupl(nGC_189)*(dZcR_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_10174) = coupl(nGC_171)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_10175) = coupl(nGC_190)*(dZbR_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_10176) = coupl(nGC_172)*(dZbL_QCD2 + dZcL_QCD2)/2d0
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
