!******************************************************************************!
!                                                                              !
!    vertices_info3.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info3.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-12-12 18:37             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info3
  implicit none
  contains
  subroutine fill_vertices_mdl3()
    use class_vertices
    use class_couplings
    allocate(vertices(1600)%branch(0:0))
    call av(1600, 0, 18, 1, 0, FaVF0, 0, [0, 1, 1], [nGC_211, nGC_202])

    allocate(vertices(1601)%branch(0:0))
    call av(1601, 0, 16, 1, 0, FVFa0, 0, [0, 1, 1], [nGC_211, nGC_202])

    allocate(vertices(1602)%branch(0:0))
    call av(1602, 0, 20, 1, 0, VFaF0, 0, [0, 1, 1], [nGC_211, nGC_202])

    allocate(vertices(1603)%branch(0:0))
    call av(1603, 0, 19, 1, 0, VFFa0, 0, [0, 1, 1], [nGC_211, nGC_202])

    allocate(vertices(1604)%branch(0:0))
    call av(1604, 0, 16, 1, 0, FVFa0, 0, [0, 1, 1], [nGC_185, nGC_167])

    allocate(vertices(1605)%branch(0:0))
    call av(1605, 0, 19, 1, 0, VFFa0, 0, [0, 1, 1], [nGC_185, nGC_167])

    allocate(vertices(1606)%branch(0:0))
    call av(1606, 0, 20, 1, 0, VFaF0, 0, [0, 1, 1], [nGC_185, nGC_167])

    allocate(vertices(1607)%branch(0:0))
    call av(1607, 0, 17, 1, 0, FaFV0, 0, [0, 1, 1], [nGC_185, nGC_167])

    allocate(vertices(1608)%branch(0:0))
    call av(1608, 0, 18, 1, 0, FaVF0, 0, [0, 1, 1], [nGC_185, nGC_167])

    allocate(vertices(1609)%branch(0:0))
    call av(1609, 0, 20, 1, 0, VFaF0, 0, [0, 1, 1], [nGC_188, nGC_170])

    allocate(vertices(1610)%branch(0:0))
    call av(1610, 0, 19, 1, 0, VFFa0, 0, [0, 1, 1], [nGC_188, nGC_170])

    allocate(vertices(1611)%branch(0:0))
    call av(1611, 0, 18, 1, 0, FaVF0, 0, [0, 1, 1], [nGC_188, nGC_170])

    allocate(vertices(1612)%branch(0:0))
    call av(1612, 0, 17, 1, 0, FaFV0, 0, [0, 1, 1], [nGC_188, nGC_170])

    allocate(vertices(1613)%branch(0:0))
    call av(1613, 0, 16, 1, 0, FVFa0, 0, [0, 1, 1], [nGC_188, nGC_170])

    allocate(vertices(1614)%branch(0:0))
    call av(1614, 0, 19, 1, 0, VFFa0, 0, [0, 1, 1], [nGC_191, nGC_173])

    allocate(vertices(1615)%branch(0:0))
    call av(1615, 0, 20, 1, 0, VFaF0, 0, [0, 1, 1], [nGC_191, nGC_173])

    allocate(vertices(1616)%branch(0:0))
    call av(1616, 0, 16, 1, 0, FVFa0, 0, [0, 1, 1], [nGC_191, nGC_173])

    allocate(vertices(1617)%branch(0:0))
    call av(1617, 0, 18, 1, 0, FaVF0, 0, [0, 1, 1], [nGC_191, nGC_173])

    allocate(vertices(1618)%branch(0:0))
    call av(1618, 0, 17, 1, 0, FaFV0, 0, [0, 1, 1], [nGC_191, nGC_173])

    allocate(vertices(1619)%branch(0:0))
    call av(1619, 0, 16, 1, 0, FVFa0, 0, [0, 1, 1], [nGC_186, nGC_168])

    allocate(vertices(1620)%branch(0:0))
    call av(1620, 0, 19, 1, 0, VFFa0, 0, [0, 1, 1], [nGC_186, nGC_168])

    allocate(vertices(1621)%branch(0:0))
    call av(1621, 0, 20, 1, 0, VFaF0, 0, [0, 1, 1], [nGC_186, nGC_168])

    allocate(vertices(1622)%branch(0:0))
    call av(1622, 0, 17, 1, 0, FaFV0, 0, [0, 1, 1], [nGC_186, nGC_168])

    allocate(vertices(1623)%branch(0:0))
    call av(1623, 0, 18, 1, 0, FaVF0, 0, [0, 1, 1], [nGC_186, nGC_168])

    allocate(vertices(1624)%branch(0:0))
    call av(1624, 0, 20, 1, 0, VFaF0, 0, [0, 1, 1], [nGC_189, nGC_171])

    allocate(vertices(1625)%branch(0:0))
    call av(1625, 0, 19, 1, 0, VFFa0, 0, [0, 1, 1], [nGC_189, nGC_171])

    allocate(vertices(1626)%branch(0:0))
    call av(1626, 0, 18, 1, 0, FaVF0, 0, [0, 1, 1], [nGC_189, nGC_171])

    allocate(vertices(1627)%branch(0:0))
    call av(1627, 0, 17, 1, 0, FaFV0, 0, [0, 1, 1], [nGC_189, nGC_171])

    allocate(vertices(1628)%branch(0:0))
    call av(1628, 0, 16, 1, 0, FVFa0, 0, [0, 1, 1], [nGC_189, nGC_171])

    allocate(vertices(1629)%branch(0:0))
    call av(1629, 0, 20, 1, 0, VFaF0, 0, [0, 1, 1], [nGC_192, nGC_174])

    allocate(vertices(1630)%branch(0:0))
    call av(1630, 0, 19, 1, 0, VFFa0, 0, [0, 1, 1], [nGC_192, nGC_174])

    allocate(vertices(1631)%branch(0:0))
    call av(1631, 0, 18, 1, 0, FaVF0, 0, [0, 1, 1], [nGC_192, nGC_174])

    allocate(vertices(1632)%branch(0:0))
    call av(1632, 0, 17, 1, 0, FaFV0, 0, [0, 1, 1], [nGC_192, nGC_174])

    allocate(vertices(1633)%branch(0:0))
    call av(1633, 0, 16, 1, 0, FVFa0, 0, [0, 1, 1], [nGC_192, nGC_174])

    allocate(vertices(1634)%branch(0:0))
    call av(1634, 0, 16, 1, 0, FVFa0, 0, [0, 1, 1], [nGC_187, nGC_169])

    allocate(vertices(1635)%branch(0:0))
    call av(1635, 0, 17, 1, 0, FaFV0, 0, [0, 1, 1], [nGC_187, nGC_169])

    allocate(vertices(1636)%branch(0:0))
    call av(1636, 0, 18, 1, 0, FaVF0, 0, [0, 1, 1], [nGC_187, nGC_169])

    allocate(vertices(1637)%branch(0:0))
    call av(1637, 0, 19, 1, 0, VFFa0, 0, [0, 1, 1], [nGC_187, nGC_169])

    allocate(vertices(1638)%branch(0:0))
    call av(1638, 0, 20, 1, 0, VFaF0, 0, [0, 1, 1], [nGC_187, nGC_169])

    allocate(vertices(1639)%branch(0:0))
    call av(1639, 0, 18, 1, 0, FaVF0, 0, [0, 1, 1], [nGC_190, nGC_172])

    allocate(vertices(1640)%branch(0:0))
    call av(1640, 0, 17, 1, 0, FaFV0, 0, [0, 1, 1], [nGC_190, nGC_172])

    allocate(vertices(1641)%branch(0:0))
    call av(1641, 0, 20, 1, 0, VFaF0, 0, [0, 1, 1], [nGC_190, nGC_172])

    allocate(vertices(1642)%branch(0:0))
    call av(1642, 0, 19, 1, 0, VFFa0, 0, [0, 1, 1], [nGC_190, nGC_172])

    allocate(vertices(1643)%branch(0:0))
    call av(1643, 0, 16, 1, 0, FVFa0, 0, [0, 1, 1], [nGC_190, nGC_172])

    allocate(vertices(1644)%branch(0:0))
    call av(1644, 0, 18, 1, 0, FaVF0, 0, [0, 1, 1], [nGC_193, nGC_175])

    allocate(vertices(1645)%branch(0:0))
    call av(1645, 0, 17, 1, 0, FaFV0, 0, [0, 1, 1], [nGC_193, nGC_175])

    allocate(vertices(1646)%branch(0:0))
    call av(1646, 0, 20, 1, 0, VFaF0, 0, [0, 1, 1], [nGC_193, nGC_175])

    allocate(vertices(1647)%branch(0:0))
    call av(1647, 0, 19, 1, 0, VFFa0, 0, [0, 1, 1], [nGC_193, nGC_175])

    allocate(vertices(1648)%branch(0:0))
    call av(1648, 0, 16, 1, 0, FVFa0, 0, [0, 1, 1], [nGC_193, nGC_175])

    allocate(vertices(1649)%branch(0:0))
    call av(1649, 0, 1, 1, 0, FaVF0, 0, [0, 1, 1], [nGC_176, nGC_158])

    allocate(vertices(1650)%branch(0:0))
    call av(1650, 0, 1, 1, 0, FaFV0, 0, [0, 1, 1], [nGC_176, nGC_158])

    allocate(vertices(1651)%branch(0:0))
    call av(1651, 0, 1, 1, 0, VFaF0, 0, [0, 1, 1], [nGC_176, nGC_158])

    allocate(vertices(1652)%branch(0:0))
    call av(1652, 0, 1, 1, 0, VFFa0, 0, [0, 1, 1], [nGC_176, nGC_158])

    allocate(vertices(1653)%branch(0:0))
    call av(1653, 0, 1, 1, 0, FVFa0, 0, [0, 1, 1], [nGC_176, nGC_158])

    allocate(vertices(1654)%branch(0:0))
    call av(1654, 0, 1, 1, 0, FaVF0, 0, [0, 1, 1], [nGC_179, nGC_161])

    allocate(vertices(1655)%branch(0:0))
    call av(1655, 0, 1, 1, 0, FaFV0, 0, [0, 1, 1], [nGC_179, nGC_161])

    allocate(vertices(1656)%branch(0:0))
    call av(1656, 0, 1, 1, 0, FVFa0, 0, [0, 1, 1], [nGC_179, nGC_161])

    allocate(vertices(1657)%branch(0:0))
    call av(1657, 0, 1, 1, 0, VFaF0, 0, [0, 1, 1], [nGC_179, nGC_161])

    allocate(vertices(1658)%branch(0:0))
    call av(1658, 0, 1, 1, 0, VFFa0, 0, [0, 1, 1], [nGC_179, nGC_161])

    allocate(vertices(1659)%branch(0:0))
    call av(1659, 0, 1, 1, 0, FVFa0, 0, [0, 1, 1], [nGC_182, nGC_164])

    allocate(vertices(1660)%branch(0:0))
    call av(1660, 0, 1, 1, 0, FaFV0, 0, [0, 1, 1], [nGC_182, nGC_164])

    allocate(vertices(1661)%branch(0:0))
    call av(1661, 0, 1, 1, 0, FaVF0, 0, [0, 1, 1], [nGC_182, nGC_164])

    allocate(vertices(1662)%branch(0:0))
    call av(1662, 0, 1, 1, 0, VFFa0, 0, [0, 1, 1], [nGC_182, nGC_164])

    allocate(vertices(1663)%branch(0:0))
    call av(1663, 0, 1, 1, 0, VFaF0, 0, [0, 1, 1], [nGC_182, nGC_164])

    allocate(vertices(1664)%branch(0:0))
    call av(1664, 0, 1, 1, 0, FaVF0, 0, [0, 1, 1], [nGC_177, nGC_159])

    allocate(vertices(1665)%branch(0:0))
    call av(1665, 0, 1, 1, 0, FaFV0, 0, [0, 1, 1], [nGC_177, nGC_159])

    allocate(vertices(1666)%branch(0:0))
    call av(1666, 0, 1, 1, 0, VFaF0, 0, [0, 1, 1], [nGC_177, nGC_159])

    allocate(vertices(1667)%branch(0:0))
    call av(1667, 0, 1, 1, 0, VFFa0, 0, [0, 1, 1], [nGC_177, nGC_159])

    allocate(vertices(1668)%branch(0:0))
    call av(1668, 0, 1, 1, 0, FVFa0, 0, [0, 1, 1], [nGC_177, nGC_159])

    allocate(vertices(1669)%branch(0:0))
    call av(1669, 0, 1, 1, 0, FaVF0, 0, [0, 1, 1], [nGC_180, nGC_162])

    allocate(vertices(1670)%branch(0:0))
    call av(1670, 0, 1, 1, 0, FaFV0, 0, [0, 1, 1], [nGC_180, nGC_162])

    allocate(vertices(1671)%branch(0:0))
    call av(1671, 0, 1, 1, 0, VFaF0, 0, [0, 1, 1], [nGC_180, nGC_162])

    allocate(vertices(1672)%branch(0:0))
    call av(1672, 0, 1, 1, 0, VFFa0, 0, [0, 1, 1], [nGC_180, nGC_162])

    allocate(vertices(1673)%branch(0:0))
    call av(1673, 0, 1, 1, 0, FVFa0, 0, [0, 1, 1], [nGC_180, nGC_162])

    allocate(vertices(1674)%branch(0:0))
    call av(1674, 0, 1, 1, 0, FaFV0, 0, [0, 1, 1], [nGC_183, nGC_165])

    allocate(vertices(1675)%branch(0:0))
    call av(1675, 0, 1, 1, 0, FaVF0, 0, [0, 1, 1], [nGC_183, nGC_165])

    allocate(vertices(1676)%branch(0:0))
    call av(1676, 0, 1, 1, 0, FVFa0, 0, [0, 1, 1], [nGC_183, nGC_165])

    allocate(vertices(1677)%branch(0:0))
    call av(1677, 0, 1, 1, 0, VFaF0, 0, [0, 1, 1], [nGC_183, nGC_165])

    allocate(vertices(1678)%branch(0:0))
    call av(1678, 0, 1, 1, 0, VFFa0, 0, [0, 1, 1], [nGC_183, nGC_165])

    allocate(vertices(1679)%branch(0:0))
    call av(1679, 0, 1, 1, 0, VFFa0, 0, [0, 1, 1], [nGC_178, nGC_160])

    allocate(vertices(1680)%branch(0:0))
    call av(1680, 0, 1, 1, 0, VFaF0, 0, [0, 1, 1], [nGC_178, nGC_160])

    allocate(vertices(1681)%branch(0:0))
    call av(1681, 0, 1, 1, 0, FVFa0, 0, [0, 1, 1], [nGC_178, nGC_160])

    allocate(vertices(1682)%branch(0:0))
    call av(1682, 0, 1, 1, 0, FaVF0, 0, [0, 1, 1], [nGC_178, nGC_160])

    allocate(vertices(1683)%branch(0:0))
    call av(1683, 0, 1, 1, 0, FaFV0, 0, [0, 1, 1], [nGC_178, nGC_160])

    allocate(vertices(1684)%branch(0:0))
    call av(1684, 0, 1, 1, 0, VFFa0, 0, [0, 1, 1], [nGC_181, nGC_163])

    allocate(vertices(1685)%branch(0:0))
    call av(1685, 0, 1, 1, 0, VFaF0, 0, [0, 1, 1], [nGC_181, nGC_163])

    allocate(vertices(1686)%branch(0:0))
    call av(1686, 0, 1, 1, 0, FVFa0, 0, [0, 1, 1], [nGC_181, nGC_163])

    allocate(vertices(1687)%branch(0:0))
    call av(1687, 0, 1, 1, 0, FaFV0, 0, [0, 1, 1], [nGC_181, nGC_163])

    allocate(vertices(1688)%branch(0:0))
    call av(1688, 0, 1, 1, 0, FaVF0, 0, [0, 1, 1], [nGC_181, nGC_163])

    allocate(vertices(1689)%branch(0:0))
    call av(1689, 0, 1, 1, 0, FVFa0, 0, [0, 1, 1], [nGC_184, nGC_166])

    allocate(vertices(1690)%branch(0:0))
    call av(1690, 0, 1, 1, 0, VFFa0, 0, [0, 1, 1], [nGC_184, nGC_166])

    allocate(vertices(1691)%branch(0:0))
    call av(1691, 0, 1, 1, 0, VFaF0, 0, [0, 1, 1], [nGC_184, nGC_166])

    allocate(vertices(1692)%branch(0:0))
    call av(1692, 0, 1, 1, 0, FaFV0, 0, [0, 1, 1], [nGC_184, nGC_166])

    allocate(vertices(1693)%branch(0:0))
    call av(1693, 0, 1, 1, 0, FaVF0, 0, [0, 1, 1], [nGC_184, nGC_166])

    allocate(vertices(1694)%branch(0:0))
    call av(1694, 0, 1, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_4, nGC_4])

    allocate(vertices(1695)%branch(0:0))
    call av(1695, 0, 1, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_4, nGC_4])

    allocate(vertices(1696)%branch(0:0))
    call av(1696, 0, 1, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_4, nGC_4])

    allocate(vertices(1697)%branch(0:0))
    call av(1697, 0, 1, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_4, nGC_4])

    allocate(vertices(1698)%branch(0:0))
    call av(1698, 0, 1, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_4, nGC_4])

    allocate(vertices(1699)%branch(0:0))
    call av(1699, 0, 1, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_4, nGC_4])

    allocate(vertices(1700)%branch(0:0))
    call av(1700, 0, 1, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_4, nGC_4])

    allocate(vertices(1701)%branch(0:0))
    call av(1701, 0, 1, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_4, nGC_4])

    allocate(vertices(1702)%branch(0:0))
    call av(1702, 0, 1, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_4, nGC_4])

    allocate(vertices(1703)%branch(0:0))
    call av(1703, 0, 1, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_4, nGC_4])

    allocate(vertices(1704)%branch(0:0))
    call av(1704, 0, 1, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_4, nGC_4])

    allocate(vertices(1705)%branch(0:0))
    call av(1705, 0, 1, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_4, nGC_4])

    allocate(vertices(1706)%branch(0:0))
    call av(1706, 0, 1, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_4, nGC_4])

    allocate(vertices(1707)%branch(0:0))
    call av(1707, 0, 1, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_4, nGC_4])

    allocate(vertices(1708)%branch(0:0))
    call av(1708, 0, 1, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_4, nGC_4])

    allocate(vertices(1709)%branch(0:0))
    call av(1709, 0, 19, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_2, nGC_2])

    allocate(vertices(1710)%branch(0:0))
    call av(1710, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_2, nGC_2])

    allocate(vertices(1711)%branch(0:0))
    call av(1711, 0, 16, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_2, nGC_2])

    allocate(vertices(1712)%branch(0:0))
    call av(1712, 0, 18, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_2, nGC_2])

    allocate(vertices(1713)%branch(0:0))
    call av(1713, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_2, nGC_2])

    allocate(vertices(1714)%branch(0:0))
    call av(1714, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_2, nGC_2])

    allocate(vertices(1715)%branch(0:0))
    call av(1715, 0, 19, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_2, nGC_2])

    allocate(vertices(1716)%branch(0:0))
    call av(1716, 0, 18, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_2, nGC_2])

    allocate(vertices(1717)%branch(0:0))
    call av(1717, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_2, nGC_2])

    allocate(vertices(1718)%branch(0:0))
    call av(1718, 0, 16, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_2, nGC_2])

    allocate(vertices(1719)%branch(0:0))
    call av(1719, 0, 18, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_2, nGC_2])

    allocate(vertices(1720)%branch(0:0))
    call av(1720, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_2, nGC_2])

    allocate(vertices(1721)%branch(0:0))
    call av(1721, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_2, nGC_2])

    allocate(vertices(1722)%branch(0:0))
    call av(1722, 0, 19, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_2, nGC_2])

    allocate(vertices(1723)%branch(0:0))
    call av(1723, 0, 16, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_2, nGC_2])

    allocate(vertices(1724)%branch(0:0))
    call av(1724, 0, 19, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_1, nGC_1])

    allocate(vertices(1725)%branch(0:0))
    call av(1725, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_1, nGC_1])

    allocate(vertices(1726)%branch(0:0))
    call av(1726, 0, 16, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_1, nGC_1])

    allocate(vertices(1727)%branch(0:0))
    call av(1727, 0, 18, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_1, nGC_1])

    allocate(vertices(1728)%branch(0:0))
    call av(1728, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_1, nGC_1])

    allocate(vertices(1729)%branch(0:0))
    call av(1729, 0, 19, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_1, nGC_1])

    allocate(vertices(1730)%branch(0:0))
    call av(1730, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_1, nGC_1])

    allocate(vertices(1731)%branch(0:0))
    call av(1731, 0, 16, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_1, nGC_1])

    allocate(vertices(1732)%branch(0:0))
    call av(1732, 0, 18, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_1, nGC_1])

    allocate(vertices(1733)%branch(0:0))
    call av(1733, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_1, nGC_1])

    allocate(vertices(1734)%branch(0:0))
    call av(1734, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_1, nGC_1])

    allocate(vertices(1735)%branch(0:0))
    call av(1735, 0, 19, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_1, nGC_1])

    allocate(vertices(1736)%branch(0:0))
    call av(1736, 0, 18, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_1, nGC_1])

    allocate(vertices(1737)%branch(0:0))
    call av(1737, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_1, nGC_1])

    allocate(vertices(1738)%branch(0:0))
    call av(1738, 0, 16, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_1, nGC_1])

    allocate(vertices(1739)%branch(0:1))
    call av(1739, 0, 23, 6, 0, VFFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1739, 1, 24, 7, 0, VFFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1740)%branch(0:1))
    call av(1740, 0, 21, 6, 0, VFaF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1740, 1, 22, 7, 0, VFaF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1741)%branch(0:1))
    call av(1741, 0, 29, 6, 0, FVFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1741, 1, 30, 7, 0, FVFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1742)%branch(0:1))
    call av(1742, 0, 25, 6, 0, FaVF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1742, 1, 26, 7, 0, FaVF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1743)%branch(0:1))
    call av(1743, 0, 27, 6, 0, FaFV0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1743, 1, 28, 7, 0, FaFV0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1744)%branch(0:1))
    call av(1744, 0, 21, 6, 0, VFaF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1744, 1, 22, 7, 0, VFaF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1745)%branch(0:1))
    call av(1745, 0, 23, 6, 0, VFFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1745, 1, 24, 7, 0, VFFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1746)%branch(0:1))
    call av(1746, 0, 25, 6, 0, FaVF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1746, 1, 26, 7, 0, FaVF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1747)%branch(0:1))
    call av(1747, 0, 27, 6, 0, FaFV0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1747, 1, 28, 7, 0, FaFV0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1748)%branch(0:1))
    call av(1748, 0, 29, 6, 0, FVFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1748, 1, 30, 7, 0, FVFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1749)%branch(0:1))
    call av(1749, 0, 25, 6, 0, FaVF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1749, 1, 26, 7, 0, FaVF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1750)%branch(0:1))
    call av(1750, 0, 27, 6, 0, FaFV0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1750, 1, 28, 7, 0, FaFV0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1751)%branch(0:1))
    call av(1751, 0, 21, 6, 0, VFaF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1751, 1, 22, 7, 0, VFaF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1752)%branch(0:1))
    call av(1752, 0, 23, 6, 0, VFFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1752, 1, 24, 7, 0, VFFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1753)%branch(0:1))
    call av(1753, 0, 29, 6, 0, FVFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1753, 1, 30, 7, 0, FVFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1754)%branch(0:1))
    call av(1754, 0, 23, 6, 0, VFFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1754, 1, 24, 7, 0, VFFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1755)%branch(0:1))
    call av(1755, 0, 21, 6, 0, VFaF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1755, 1, 22, 7, 0, VFaF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1756)%branch(0:1))
    call av(1756, 0, 29, 6, 0, FVFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1756, 1, 30, 7, 0, FVFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1757)%branch(0:1))
    call av(1757, 0, 25, 6, 0, FaVF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1757, 1, 26, 7, 0, FaVF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1758)%branch(0:1))
    call av(1758, 0, 27, 6, 0, FaFV0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1758, 1, 28, 7, 0, FaFV0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1759)%branch(0:1))
    call av(1759, 0, 23, 6, 0, VFFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1759, 1, 24, 7, 0, VFFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1760)%branch(0:1))
    call av(1760, 0, 21, 6, 0, VFaF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1760, 1, 22, 7, 0, VFaF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1761)%branch(0:1))
    call av(1761, 0, 29, 6, 0, FVFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1761, 1, 30, 7, 0, FVFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1762)%branch(0:1))
    call av(1762, 0, 25, 6, 0, FaVF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1762, 1, 26, 7, 0, FaVF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1763)%branch(0:1))
    call av(1763, 0, 27, 6, 0, FaFV0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1763, 1, 28, 7, 0, FaFV0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1764)%branch(0:1))
    call av(1764, 0, 21, 6, 0, VFaF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1764, 1, 22, 7, 0, VFaF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1765)%branch(0:1))
    call av(1765, 0, 23, 6, 0, VFFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1765, 1, 24, 7, 0, VFFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1766)%branch(0:1))
    call av(1766, 0, 25, 6, 0, FaVF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1766, 1, 26, 7, 0, FaVF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1767)%branch(0:1))
    call av(1767, 0, 27, 6, 0, FaFV0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1767, 1, 28, 7, 0, FaFV0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1768)%branch(0:1))
    call av(1768, 0, 29, 6, 0, FVFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(1768, 1, 30, 7, 0, FVFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(1769)%branch(0:0))
    call av(1769, 0, 16, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_141])

    allocate(vertices(1770)%branch(0:0))
    call av(1770, 0, 17, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_141])

    allocate(vertices(1771)%branch(0:0))
    call av(1771, 0, 18, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_141])

    allocate(vertices(1772)%branch(0:0))
    call av(1772, 0, 19, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_141])

    allocate(vertices(1773)%branch(0:0))
    call av(1773, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_141])

    allocate(vertices(1774)%branch(0:0))
    call av(1774, 0, 16, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_142])

    allocate(vertices(1775)%branch(0:0))
    call av(1775, 0, 17, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_142])

    allocate(vertices(1776)%branch(0:0))
    call av(1776, 0, 18, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_142])

    allocate(vertices(1777)%branch(0:0))
    call av(1777, 0, 19, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_142])

    allocate(vertices(1778)%branch(0:0))
    call av(1778, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_142])

    allocate(vertices(1779)%branch(0:0))
    call av(1779, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_143])

    allocate(vertices(1780)%branch(0:0))
    call av(1780, 0, 19, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_143])

    allocate(vertices(1781)%branch(0:0))
    call av(1781, 0, 18, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_143])

    allocate(vertices(1782)%branch(0:0))
    call av(1782, 0, 17, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_143])

    allocate(vertices(1783)%branch(0:0))
    call av(1783, 0, 16, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_143])

    allocate(vertices(1784)%branch(0:0))
    call av(1784, 0, 17, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_144])

    allocate(vertices(1785)%branch(0:0))
    call av(1785, 0, 18, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_144])

    allocate(vertices(1786)%branch(0:0))
    call av(1786, 0, 16, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_144])

    allocate(vertices(1787)%branch(0:0))
    call av(1787, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_144])

    allocate(vertices(1788)%branch(0:0))
    call av(1788, 0, 19, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_144])

    allocate(vertices(1789)%branch(0:0))
    call av(1789, 0, 16, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_145])

    allocate(vertices(1790)%branch(0:0))
    call av(1790, 0, 17, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_145])

    allocate(vertices(1791)%branch(0:0))
    call av(1791, 0, 18, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_145])

    allocate(vertices(1792)%branch(0:0))
    call av(1792, 0, 19, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_145])

    allocate(vertices(1793)%branch(0:0))
    call av(1793, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_145])

    allocate(vertices(1794)%branch(0:0))
    call av(1794, 0, 18, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_146])

    allocate(vertices(1795)%branch(0:0))
    call av(1795, 0, 17, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_146])

    allocate(vertices(1796)%branch(0:0))
    call av(1796, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_146])

    allocate(vertices(1797)%branch(0:0))
    call av(1797, 0, 19, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_146])

    allocate(vertices(1798)%branch(0:0))
    call av(1798, 0, 16, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_146])

    allocate(vertices(1799)%branch(0:0))
    call av(1799, 0, 17, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_147])

    allocate(vertices(1800)%branch(0:0))
    call av(1800, 0, 18, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_147])

    allocate(vertices(1801)%branch(0:0))
    call av(1801, 0, 16, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_147])

    allocate(vertices(1802)%branch(0:0))
    call av(1802, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_147])

    allocate(vertices(1803)%branch(0:0))
    call av(1803, 0, 19, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_147])

    allocate(vertices(1804)%branch(0:0))
    call av(1804, 0, 17, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_148])

    allocate(vertices(1805)%branch(0:0))
    call av(1805, 0, 18, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_148])

    allocate(vertices(1806)%branch(0:0))
    call av(1806, 0, 16, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_148])

    allocate(vertices(1807)%branch(0:0))
    call av(1807, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_148])

    allocate(vertices(1808)%branch(0:0))
    call av(1808, 0, 19, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_148])

    allocate(vertices(1809)%branch(0:0))
    call av(1809, 0, 18, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_149])

    allocate(vertices(1810)%branch(0:0))
    call av(1810, 0, 17, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_149])

    allocate(vertices(1811)%branch(0:0))
    call av(1811, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_149])

    allocate(vertices(1812)%branch(0:0))
    call av(1812, 0, 19, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_149])

    allocate(vertices(1813)%branch(0:0))
    call av(1813, 0, 16, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_149])

    allocate(vertices(1814)%branch(0:0))
    call av(1814, 0, 16, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_271])

    allocate(vertices(1815)%branch(0:0))
    call av(1815, 0, 19, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_271])

    allocate(vertices(1816)%branch(0:0))
    call av(1816, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_271])

    allocate(vertices(1817)%branch(0:0))
    call av(1817, 0, 17, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_271])

    allocate(vertices(1818)%branch(0:0))
    call av(1818, 0, 18, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_271])

    allocate(vertices(1819)%branch(0:0))
    call av(1819, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_274])

    allocate(vertices(1820)%branch(0:0))
    call av(1820, 0, 19, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_274])

    allocate(vertices(1821)%branch(0:0))
    call av(1821, 0, 18, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_274])

    allocate(vertices(1822)%branch(0:0))
    call av(1822, 0, 17, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_274])

    allocate(vertices(1823)%branch(0:0))
    call av(1823, 0, 16, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_274])

    allocate(vertices(1824)%branch(0:0))
    call av(1824, 0, 19, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_277])

    allocate(vertices(1825)%branch(0:0))
    call av(1825, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_277])

    allocate(vertices(1826)%branch(0:0))
    call av(1826, 0, 16, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_277])

    allocate(vertices(1827)%branch(0:0))
    call av(1827, 0, 17, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_277])

    allocate(vertices(1828)%branch(0:0))
    call av(1828, 0, 18, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_277])

    allocate(vertices(1829)%branch(0:0))
    call av(1829, 0, 16, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_272])

    allocate(vertices(1830)%branch(0:0))
    call av(1830, 0, 17, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_272])

    allocate(vertices(1831)%branch(0:0))
    call av(1831, 0, 18, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_272])

    allocate(vertices(1832)%branch(0:0))
    call av(1832, 0, 19, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_272])

    allocate(vertices(1833)%branch(0:0))
    call av(1833, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_272])

    allocate(vertices(1834)%branch(0:0))
    call av(1834, 0, 18, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_275])

    allocate(vertices(1835)%branch(0:0))
    call av(1835, 0, 17, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_275])

    allocate(vertices(1836)%branch(0:0))
    call av(1836, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_275])

    allocate(vertices(1837)%branch(0:0))
    call av(1837, 0, 19, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_275])

    allocate(vertices(1838)%branch(0:0))
    call av(1838, 0, 16, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_275])

    allocate(vertices(1839)%branch(0:0))
    call av(1839, 0, 17, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_278])

    allocate(vertices(1840)%branch(0:0))
    call av(1840, 0, 18, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_278])

    allocate(vertices(1841)%branch(0:0))
    call av(1841, 0, 16, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_278])

    allocate(vertices(1842)%branch(0:0))
    call av(1842, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_278])

    allocate(vertices(1843)%branch(0:0))
    call av(1843, 0, 19, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_278])

    allocate(vertices(1844)%branch(0:0))
    call av(1844, 0, 16, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_273])

    allocate(vertices(1845)%branch(0:0))
    call av(1845, 0, 17, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_273])

    allocate(vertices(1846)%branch(0:0))
    call av(1846, 0, 18, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_273])

    allocate(vertices(1847)%branch(0:0))
    call av(1847, 0, 19, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_273])

    allocate(vertices(1848)%branch(0:0))
    call av(1848, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_273])

    allocate(vertices(1849)%branch(0:0))
    call av(1849, 0, 18, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_276])

    allocate(vertices(1850)%branch(0:0))
    call av(1850, 0, 17, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_276])

    allocate(vertices(1851)%branch(0:0))
    call av(1851, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_276])

    allocate(vertices(1852)%branch(0:0))
    call av(1852, 0, 19, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_276])

    allocate(vertices(1853)%branch(0:0))
    call av(1853, 0, 16, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_276])

    allocate(vertices(1854)%branch(0:0))
    call av(1854, 0, 17, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_279])

    allocate(vertices(1855)%branch(0:0))
    call av(1855, 0, 18, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_279])

    allocate(vertices(1856)%branch(0:0))
    call av(1856, 0, 16, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_279])

    allocate(vertices(1857)%branch(0:0))
    call av(1857, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_279])

    allocate(vertices(1858)%branch(0:0))
    call av(1858, 0, 19, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_279])

    allocate(vertices(1859)%branch(0:0))
    call av(1859, 0, 1, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1860)%branch(0:0))
    call av(1860, 0, 1, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1861)%branch(0:0))
    call av(1861, 0, 1, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1862)%branch(0:0))
    call av(1862, 0, 1, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1863)%branch(0:0))
    call av(1863, 0, 1, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1864)%branch(0:0))
    call av(1864, 0, 1, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1865)%branch(0:0))
    call av(1865, 0, 1, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1866)%branch(0:0))
    call av(1866, 0, 1, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1867)%branch(0:0))
    call av(1867, 0, 1, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1868)%branch(0:0))
    call av(1868, 0, 1, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1869)%branch(0:0))
    call av(1869, 0, 1, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1870)%branch(0:0))
    call av(1870, 0, 1, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1871)%branch(0:0))
    call av(1871, 0, 1, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1872)%branch(0:0))
    call av(1872, 0, 1, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1873)%branch(0:0))
    call av(1873, 0, 1, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1874)%branch(0:0))
    call av(1874, 0, 1, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1875)%branch(0:0))
    call av(1875, 0, 1, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1876)%branch(0:0))
    call av(1876, 0, 1, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1877)%branch(0:0))
    call av(1877, 0, 1, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1878)%branch(0:0))
    call av(1878, 0, 1, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1879)%branch(0:0))
    call av(1879, 0, 1, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1880)%branch(0:0))
    call av(1880, 0, 1, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1881)%branch(0:0))
    call av(1881, 0, 1, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1882)%branch(0:0))
    call av(1882, 0, 1, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1883)%branch(0:0))
    call av(1883, 0, 1, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1884)%branch(0:0))
    call av(1884, 0, 1, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1885)%branch(0:0))
    call av(1885, 0, 1, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1886)%branch(0:0))
    call av(1886, 0, 1, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1887)%branch(0:0))
    call av(1887, 0, 1, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1888)%branch(0:0))
    call av(1888, 0, 1, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_140])

    allocate(vertices(1889)%branch(0:0))
    call av(1889, 0, 16, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_1220, nGC_1222])

    allocate(vertices(1890)%branch(0:0))
    call av(1890, 0, 19, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_1220, nGC_1222])

    allocate(vertices(1891)%branch(0:0))
    call av(1891, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_1220, nGC_1222])

    allocate(vertices(1892)%branch(0:0))
    call av(1892, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_1220, nGC_1222])

    allocate(vertices(1893)%branch(0:0))
    call av(1893, 0, 18, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_1220, nGC_1222])

    allocate(vertices(1894)%branch(0:0))
    call av(1894, 0, 18, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_1220, nGC_1222])

    allocate(vertices(1895)%branch(0:0))
    call av(1895, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_1220, nGC_1222])

    allocate(vertices(1896)%branch(0:0))
    call av(1896, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_1220, nGC_1222])

    allocate(vertices(1897)%branch(0:0))
    call av(1897, 0, 19, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_1220, nGC_1222])

    allocate(vertices(1898)%branch(0:0))
    call av(1898, 0, 16, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_1220, nGC_1222])

    allocate(vertices(1899)%branch(0:0))
    call av(1899, 0, 18, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_1220, nGC_1222])

    allocate(vertices(1900)%branch(0:0))
    call av(1900, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_1220, nGC_1222])

    allocate(vertices(1901)%branch(0:0))
    call av(1901, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_1220, nGC_1222])

    allocate(vertices(1902)%branch(0:0))
    call av(1902, 0, 19, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_1220, nGC_1222])

    allocate(vertices(1903)%branch(0:0))
    call av(1903, 0, 16, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_1220, nGC_1222])

    allocate(vertices(1904)%branch(0:0))
    call av(1904, 0, 16, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_1236, nGC_1238])

    allocate(vertices(1905)%branch(0:0))
    call av(1905, 0, 19, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_1236, nGC_1238])

    allocate(vertices(1906)%branch(0:0))
    call av(1906, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_1236, nGC_1238])

    allocate(vertices(1907)%branch(0:0))
    call av(1907, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_1236, nGC_1238])

    allocate(vertices(1908)%branch(0:0))
    call av(1908, 0, 18, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_1236, nGC_1238])

    allocate(vertices(1909)%branch(0:0))
    call av(1909, 0, 16, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_1236, nGC_1238])

    allocate(vertices(1910)%branch(0:0))
    call av(1910, 0, 19, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_1236, nGC_1238])

    allocate(vertices(1911)%branch(0:0))
    call av(1911, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_1236, nGC_1238])

    allocate(vertices(1912)%branch(0:0))
    call av(1912, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_1236, nGC_1238])

    allocate(vertices(1913)%branch(0:0))
    call av(1913, 0, 18, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_1236, nGC_1238])

    allocate(vertices(1914)%branch(0:0))
    call av(1914, 0, 18, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_1236, nGC_1238])

    allocate(vertices(1915)%branch(0:0))
    call av(1915, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_1236, nGC_1238])

    allocate(vertices(1916)%branch(0:0))
    call av(1916, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_1236, nGC_1238])

    allocate(vertices(1917)%branch(0:0))
    call av(1917, 0, 19, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_1236, nGC_1238])

    allocate(vertices(1918)%branch(0:0))
    call av(1918, 0, 16, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_1236, nGC_1238])

    allocate(vertices(1919)%branch(0:0))
    call av(1919, 0, 1, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_238])

    allocate(vertices(1920)%branch(0:0))
    call av(1920, 0, 1, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_238])

    allocate(vertices(1921)%branch(0:0))
    call av(1921, 0, 1, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_238])

    allocate(vertices(1922)%branch(0:0))
    call av(1922, 0, 1, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_238])

    allocate(vertices(1923)%branch(0:0))
    call av(1923, 0, 1, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_238])

    allocate(vertices(1924)%branch(0:0))
    call av(1924, 0, 1, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_238])

    allocate(vertices(1925)%branch(0:0))
    call av(1925, 0, 1, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_238])

    allocate(vertices(1926)%branch(0:0))
    call av(1926, 0, 1, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_238])

    allocate(vertices(1927)%branch(0:0))
    call av(1927, 0, 1, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_238])

    allocate(vertices(1928)%branch(0:0))
    call av(1928, 0, 1, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_238])

    allocate(vertices(1929)%branch(0:0))
    call av(1929, 0, 1, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_238])

    allocate(vertices(1930)%branch(0:0))
    call av(1930, 0, 1, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_238])

    allocate(vertices(1931)%branch(0:0))
    call av(1931, 0, 1, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_238])

    allocate(vertices(1932)%branch(0:0))
    call av(1932, 0, 1, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_238])

    allocate(vertices(1933)%branch(0:0))
    call av(1933, 0, 1, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_238])

    allocate(vertices(1934)%branch(0:0))
    call av(1934, 0, 1, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_1258, nGC_1260])

    allocate(vertices(1935)%branch(0:0))
    call av(1935, 0, 1, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_1258, nGC_1260])

    allocate(vertices(1936)%branch(0:0))
    call av(1936, 0, 1, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_1258, nGC_1260])

    allocate(vertices(1937)%branch(0:0))
    call av(1937, 0, 1, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_1258, nGC_1260])

    allocate(vertices(1938)%branch(0:0))
    call av(1938, 0, 1, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_1258, nGC_1260])

    allocate(vertices(1939)%branch(0:0))
    call av(1939, 0, 1, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_1258, nGC_1260])

    allocate(vertices(1940)%branch(0:0))
    call av(1940, 0, 1, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_1258, nGC_1260])

    allocate(vertices(1941)%branch(0:0))
    call av(1941, 0, 1, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_1258, nGC_1260])

    allocate(vertices(1942)%branch(0:0))
    call av(1942, 0, 1, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_1258, nGC_1260])

    allocate(vertices(1943)%branch(0:0))
    call av(1943, 0, 1, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_1258, nGC_1260])

    allocate(vertices(1944)%branch(0:0))
    call av(1944, 0, 1, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_1258, nGC_1260])

    allocate(vertices(1945)%branch(0:0))
    call av(1945, 0, 1, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_1258, nGC_1260])

    allocate(vertices(1946)%branch(0:0))
    call av(1946, 0, 1, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_1258, nGC_1260])

    allocate(vertices(1947)%branch(0:0))
    call av(1947, 0, 1, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_1258, nGC_1260])

    allocate(vertices(1948)%branch(0:0))
    call av(1948, 0, 1, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_1258, nGC_1260])

    allocate(vertices(34)%branchCT(0:1))
    call avCT(34, 0, 2, 2, 0, UaUV0, 0, [3, 0, 0], [nGC_9787])

    call avCT(34, 1, 3, 3, 0, UaUV0, 0, [3, 0, 0], [nGC_9787])

    allocate(vertices(35)%branchCT(0:1))
    call avCT(35, 0, 2, 2, 0, VVV0, 0, [3, 0, 0], [nGC_9792])

    call avCT(35, 1, 3, 3, 0, VVV0, 0, [3, 0, 0], [nGC_9792])

    allocate(vertices(36)%branchCT(0:5))
    call avCT(36, 0, 4, 4, 0, VVVV0, 0, [4, 0, 0], [nGC_9797, nGC_9798,        &
    nGC_9797])

    call avCT(36, 1, 5, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_9801, nGC_9802,        &
    nGC_9802])

    call avCT(36, 2, 6, 4, 0, VVVV0, 0, [4, 0, 0], [nGC_9797, nGC_9798,        &
    nGC_9797])

    call avCT(36, 3, 7, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_9801, nGC_9802,        &
    nGC_9802])

    call avCT(36, 4, 8, 4, 0, VVVV0, 0, [4, 0, 0], [nGC_9797, nGC_9797,        &
    nGC_9798])

    call avCT(36, 5, 9, 4, 0, VVVV0, 0, [4, 0, 0], [nGC_9797, nGC_9797,        &
    nGC_9798])

    allocate(vertices(37)%branchCT(0:0))
    call avCT(37, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9815, nGC_9816])

    allocate(vertices(38)%branchCT(0:0))
    call avCT(38, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9821, nGC_9822])

    allocate(vertices(39)%branchCT(0:0))
    call avCT(39, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9827, nGC_9828])

    allocate(vertices(40)%branchCT(0:0))
    call avCT(40, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9833, nGC_9834])

    allocate(vertices(41)%branchCT(0:0))
    call avCT(41, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9839, nGC_9840])

    allocate(vertices(42)%branchCT(0:0))
    call avCT(42, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9845, nGC_9846])

    allocate(vertices(43)%branchCT(0:0))
    call avCT(43, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9851, nGC_9852])

    allocate(vertices(44)%branchCT(0:0))
    call avCT(44, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9857, nGC_9858])

    allocate(vertices(45)%branchCT(0:0))
    call avCT(45, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9863, nGC_9864])

    allocate(vertices(46)%branchCT(0:0))
    call avCT(46, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9868, nGC_9869])

    allocate(vertices(47)%branchCT(0:0))
    call avCT(47, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9873, nGC_9874])

    allocate(vertices(48)%branchCT(0:0))
    call avCT(48, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9878, nGC_9879])

    allocate(vertices(49)%branchCT(0:0))
    call avCT(49, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9883, nGC_9883])

    allocate(vertices(50)%branchCT(0:0))
    call avCT(50, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9887, nGC_9887])

    allocate(vertices(51)%branchCT(0:0))
    call avCT(51, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9891, nGC_9891])

    allocate(vertices(61)%branchCT(0:0))
    call avCT(61, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9896, nGC_9897])

    allocate(vertices(62)%branchCT(0:0))
    call avCT(62, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9902, nGC_9903])

    allocate(vertices(63)%branchCT(0:0))
    call avCT(63, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9908, nGC_9909])

    allocate(vertices(64)%branchCT(0:0))
    call avCT(64, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9914, nGC_9915])

    allocate(vertices(65)%branchCT(0:0))
    call avCT(65, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9920, nGC_9921])

    allocate(vertices(66)%branchCT(0:0))
    call avCT(66, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9926, nGC_9927])

    allocate(vertices(67)%branchCT(0:0))
    call avCT(67, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9932, nGC_9933])

    allocate(vertices(68)%branchCT(0:0))
    call avCT(68, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9938, nGC_9939])

    allocate(vertices(69)%branchCT(0:0))
    call avCT(69, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9944, nGC_9945])

    allocate(vertices(70)%branchCT(0:0))
    call avCT(70, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9949, nGC_9950])

    allocate(vertices(71)%branchCT(0:0))
    call avCT(71, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9954, nGC_9955])

    allocate(vertices(72)%branchCT(0:0))
    call avCT(72, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9959, nGC_9960])

    allocate(vertices(73)%branchCT(0:0))
    call avCT(73, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9964, nGC_9964])

    allocate(vertices(74)%branchCT(0:0))
    call avCT(74, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9968, nGC_9968])

    allocate(vertices(75)%branchCT(0:0))
    call avCT(75, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9972, nGC_9972])

    allocate(vertices(76)%branchCT(0:0))
    call avCT(76, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_9976, nGC_9977])

    allocate(vertices(77)%branchCT(0:0))
    call avCT(77, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_9982, nGC_9983])

    allocate(vertices(78)%branchCT(0:0))
    call avCT(78, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_9988, nGC_9989])

    allocate(vertices(79)%branchCT(0:0))
    call avCT(79, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_9993, nGC_9994])

    allocate(vertices(80)%branchCT(0:0))
    call avCT(80, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_9999, nGC_10000])

    allocate(vertices(81)%branchCT(0:0))
    call avCT(81, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10005, nGC_10006])

    allocate(vertices(82)%branchCT(0:0))
    call avCT(82, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10011, nGC_10012])

    allocate(vertices(83)%branchCT(0:0))
    call avCT(83, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10016, nGC_10017])

    allocate(vertices(84)%branchCT(0:0))
    call avCT(84, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10022, nGC_10023])

    allocate(vertices(91)%branchCT(0:0))
    call avCT(91, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10028, nGC_10029])

    allocate(vertices(92)%branchCT(0:0))
    call avCT(92, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10034, nGC_10035])

    allocate(vertices(93)%branchCT(0:0))
    call avCT(93, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10039, nGC_10040])

    allocate(vertices(97)%branchCT(0:0))
    call avCT(97, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10045, nGC_10046])

    allocate(vertices(98)%branchCT(0:0))
    call avCT(98, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10050, nGC_10051])

    allocate(vertices(99)%branchCT(0:0))
    call avCT(99, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10056, nGC_10057])

    allocate(vertices(100)%branchCT(0:0))
    call avCT(100, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10062, nGC_10063])

    allocate(vertices(101)%branchCT(0:0))
    call avCT(101, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10068, nGC_10069])

    allocate(vertices(102)%branchCT(0:0))
    call avCT(102, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10073, nGC_10074])

    allocate(vertices(103)%branchCT(0:0))
    call avCT(103, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10079, nGC_10080])

    allocate(vertices(104)%branchCT(0:0))
    call avCT(104, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10085, nGC_10086])

    allocate(vertices(105)%branchCT(0:0))
    call avCT(105, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10091, nGC_10092])

    allocate(vertices(106)%branchCT(0:0))
    call avCT(106, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10097, nGC_10098])

    allocate(vertices(107)%branchCT(0:0))
    call avCT(107, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10103, nGC_10104])

    allocate(vertices(108)%branchCT(0:0))
    call avCT(108, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10109, nGC_10110])

    allocate(vertices(109)%branchCT(0:0))
    call avCT(109, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10115, nGC_10116])

    allocate(vertices(110)%branchCT(0:0))
    call avCT(110, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10121, nGC_10122])

    allocate(vertices(111)%branchCT(0:0))
    call avCT(111, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10127, nGC_10128])

    allocate(vertices(121)%branchCT(0:0))
    call avCT(121, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10080, nGC_10079])

    allocate(vertices(122)%branchCT(0:0))
    call avCT(122, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10086, nGC_10085])

    allocate(vertices(123)%branchCT(0:0))
    call avCT(123, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10092, nGC_10091])

    allocate(vertices(124)%branchCT(0:0))
    call avCT(124, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10098, nGC_10097])

    allocate(vertices(125)%branchCT(0:0))
    call avCT(125, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10104, nGC_10103])

    allocate(vertices(126)%branchCT(0:0))
    call avCT(126, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10110, nGC_10109])

    allocate(vertices(127)%branchCT(0:0))
    call avCT(127, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10116, nGC_10115])

    allocate(vertices(128)%branchCT(0:0))
    call avCT(128, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10122, nGC_10121])

    allocate(vertices(129)%branchCT(0:0))
    call avCT(129, 0, 10, 1, 0, FFaS0, 0, [2, 1, 1], [nGC_10128, nGC_10127])

    allocate(vertices(175)%branchCT(0:0))
    call avCT(175, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10165, nGC_10166])

    allocate(vertices(176)%branchCT(0:0))
    call avCT(176, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10167, nGC_10168])

    allocate(vertices(177)%branchCT(0:0))
    call avCT(177, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10169, nGC_10170])

    allocate(vertices(178)%branchCT(0:0))
    call avCT(178, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10171, nGC_10172])

    allocate(vertices(179)%branchCT(0:0))
    call avCT(179, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10173, nGC_10174])

    allocate(vertices(180)%branchCT(0:0))
    call avCT(180, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10175, nGC_10176])

    allocate(vertices(181)%branchCT(0:0))
    call avCT(181, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10177, nGC_10178])

    allocate(vertices(182)%branchCT(0:0))
    call avCT(182, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10179, nGC_10180])

    allocate(vertices(183)%branchCT(0:0))
    call avCT(183, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10181, nGC_10182])

    allocate(vertices(193)%branchCT(0:0))
    call avCT(193, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10183, nGC_10184])

    allocate(vertices(194)%branchCT(0:0))
    call avCT(194, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10185, nGC_10186])

    allocate(vertices(195)%branchCT(0:0))
    call avCT(195, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10187, nGC_10188])

    allocate(vertices(196)%branchCT(0:0))
    call avCT(196, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10185, nGC_10186])

    allocate(vertices(197)%branchCT(0:0))
    call avCT(197, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10191, nGC_10192])

    allocate(vertices(198)%branchCT(0:0))
    call avCT(198, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10193, nGC_10194])

    allocate(vertices(199)%branchCT(0:0))
    call avCT(199, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10187, nGC_10188])

    allocate(vertices(200)%branchCT(0:0))
    call avCT(200, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10193, nGC_10194])

    allocate(vertices(201)%branchCT(0:0))
    call avCT(201, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10199, nGC_10200])

    allocate(vertices(211)%branchCT(0:0))
    call avCT(211, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10201, nGC_10202])

    allocate(vertices(212)%branchCT(0:0))
    call avCT(212, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10203, nGC_10204])

    allocate(vertices(213)%branchCT(0:0))
    call avCT(213, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10205, nGC_10206])

    allocate(vertices(214)%branchCT(0:0))
    call avCT(214, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10203, nGC_10204])

    allocate(vertices(215)%branchCT(0:0))
    call avCT(215, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10209, nGC_10210])

    allocate(vertices(216)%branchCT(0:0))
    call avCT(216, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10211, nGC_10212])

    allocate(vertices(217)%branchCT(0:0))
    call avCT(217, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10205, nGC_10206])

    allocate(vertices(218)%branchCT(0:0))
    call avCT(218, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10211, nGC_10212])

    allocate(vertices(219)%branchCT(0:0))
    call avCT(219, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10217, nGC_10218])

    allocate(vertices(220)%branchCT(0:0))
    call avCT(220, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10165, nGC_10166])

    allocate(vertices(221)%branchCT(0:0))
    call avCT(221, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10171, nGC_10172])

    allocate(vertices(222)%branchCT(0:0))
    call avCT(222, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10177, nGC_10178])

    allocate(vertices(223)%branchCT(0:0))
    call avCT(223, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10167, nGC_10168])

    allocate(vertices(224)%branchCT(0:0))
    call avCT(224, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10173, nGC_10174])

    allocate(vertices(225)%branchCT(0:0))
    call avCT(225, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10179, nGC_10180])

    allocate(vertices(226)%branchCT(0:0))
    call avCT(226, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10169, nGC_10170])

    allocate(vertices(227)%branchCT(0:0))
    call avCT(227, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10175, nGC_10176])

    allocate(vertices(228)%branchCT(0:0))
    call avCT(228, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_10181, nGC_10182])

    allocate(vertices(241)%branchCT(0:0))
    call avCT(241, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_10238, nGC_10237])

    allocate(vertices(242)%branchCT(0:0))
    call avCT(242, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_10240, nGC_10239])

    allocate(vertices(243)%branchCT(0:0))
    call avCT(243, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_10242, nGC_10241])

    allocate(vertices(244)%branchCT(0:0))
    call avCT(244, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_10244, nGC_10243])

    allocate(vertices(245)%branchCT(0:0))
    call avCT(245, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_10246, nGC_10245])

    allocate(vertices(246)%branchCT(0:0))
    call avCT(246, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_10248, nGC_10247])

    allocate(vertices(247)%branchCT(0:1))
    call avCT(247, 0, 11, 6, 0, FFaV0, 0, [3, 0, 0], [nGC_10254, nGC_10255])

    call avCT(247, 1, 12, 7, 0, FFaV0, 0, [3, 0, 0], [nGC_10254, nGC_10255])

    allocate(vertices(248)%branchCT(0:1))
    call avCT(248, 0, 11, 6, 0, FFaV0, 0, [3, 0, 0], [nGC_10264, nGC_10265])

    call avCT(248, 1, 12, 7, 0, FFaV0, 0, [3, 0, 0], [nGC_10264, nGC_10265])

    allocate(vertices(249)%branchCT(0:1))
    call avCT(249, 0, 11, 6, 0, FFaV0, 0, [3, 0, 0], [nGC_10274, nGC_10275])

    call avCT(249, 1, 12, 7, 0, FFaV0, 0, [3, 0, 0], [nGC_10274, nGC_10275])

    allocate(vertices(250)%branchCT(0:1))
    call avCT(250, 0, 11, 6, 0, FFaV0, 0, [3, 0, 0], [nGC_10284, nGC_10285])

    call avCT(250, 1, 12, 7, 0, FFaV0, 0, [3, 0, 0], [nGC_10284, nGC_10285])

    allocate(vertices(251)%branchCT(0:1))
    call avCT(251, 0, 11, 6, 0, FFaV0, 0, [3, 0, 0], [nGC_10294, nGC_10295])

    call avCT(251, 1, 12, 7, 0, FFaV0, 0, [3, 0, 0], [nGC_10294, nGC_10295])

    allocate(vertices(252)%branchCT(0:1))
    call avCT(252, 0, 11, 6, 0, FFaV0, 0, [3, 0, 0], [nGC_10304, nGC_10305])

    call avCT(252, 1, 12, 7, 0, FFaV0, 0, [3, 0, 0], [nGC_10304, nGC_10305])

    allocate(vertices(253)%branchCT(0:0))
    call avCT(253, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_10310])

    allocate(vertices(254)%branchCT(0:0))
    call avCT(254, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_10311])

    allocate(vertices(255)%branchCT(0:0))
    call avCT(255, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_10312])

    allocate(vertices(256)%branchCT(0:0))
    call avCT(256, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_10313])

    allocate(vertices(257)%branchCT(0:0))
    call avCT(257, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_10314])

    allocate(vertices(258)%branchCT(0:0))
    call avCT(258, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_10315])

    allocate(vertices(259)%branchCT(0:0))
    call avCT(259, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_10316])

    allocate(vertices(260)%branchCT(0:0))
    call avCT(260, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_10317])

    allocate(vertices(261)%branchCT(0:0))
    call avCT(261, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_10318])

    allocate(vertices(262)%branchCT(0:0))
    call avCT(262, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_10319])

    allocate(vertices(263)%branchCT(0:0))
    call avCT(263, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_10320])

    allocate(vertices(264)%branchCT(0:0))
    call avCT(264, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_10321])

    allocate(vertices(265)%branchCT(0:0))
    call avCT(265, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_10322])

    allocate(vertices(266)%branchCT(0:0))
    call avCT(266, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_10323])

    allocate(vertices(267)%branchCT(0:0))
    call avCT(267, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_10324])

    allocate(vertices(268)%branchCT(0:0))
    call avCT(268, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_10325])

    allocate(vertices(269)%branchCT(0:0))
    call avCT(269, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_10326])

    allocate(vertices(270)%branchCT(0:0))
    call avCT(270, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_10327])

    allocate(vertices(277)%branchCT(0:0))
    call avCT(277, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_10332, nGC_10331])

    allocate(vertices(278)%branchCT(0:0))
    call avCT(278, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_10337, nGC_10336])

    allocate(vertices(279)%branchCT(0:0))
    call avCT(279, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_10342, nGC_10341])

    allocate(vertices(280)%branchCT(0:0))
    call avCT(280, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_10347, nGC_10346])

    allocate(vertices(281)%branchCT(0:0))
    call avCT(281, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_10352, nGC_10351])

    allocate(vertices(282)%branchCT(0:0))
    call avCT(282, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_10357, nGC_10356])

    allocate(vertices(1949)%branchCT(0:0))
    call avCT(1949, 0, 13, 1, 0, FFa0, 0, [2, 0, 0], [nGC_10362, nGC_10361,    &
    nGC_10363, nGC_10363])

    allocate(vertices(1950)%branchCT(0:0))
    call avCT(1950, 0, 13, 1, 0, FFa0, 0, [2, 0, 0], [nGC_10368, nGC_10367,    &
    nGC_10369, nGC_10369])

    allocate(vertices(1951)%branchCT(0:0))
    call avCT(1951, 0, 13, 1, 0, FFa0, 0, [2, 0, 0], [nGC_10374, nGC_10373,    &
    nGC_10375, nGC_10375])

    allocate(vertices(1952)%branchCT(0:0))
    call avCT(1952, 0, 13, 1, 0, FFa0, 0, [2, 0, 0], [nGC_10380, nGC_10379,    &
    nGC_10381, nGC_10381])

    allocate(vertices(1953)%branchCT(0:0))
    call avCT(1953, 0, 13, 1, 0, FFa0, 0, [2, 0, 0], [nGC_10386, nGC_10385,    &
    nGC_10387, nGC_10387])

    allocate(vertices(1954)%branchCT(0:0))
    call avCT(1954, 0, 13, 1, 0, FFa0, 0, [2, 0, 0], [nGC_10392, nGC_10391,    &
    nGC_10393, nGC_10393])

    allocate(vertices(1955)%branchCT(0:1))
    call avCT(1955, 0, 14, 1, 0, VV0, 0, [2, 0, 0], [nGC_10395, nGC_10394])

    call avCT(1955, 1, 15, 8, 0, VV0, 0, [2, 0, 0], [nGC_10395, nGC_10394])

    allocate(vertices(459)%branchCT(0:1))
    call avCT(459, 0, 2, 2, 0, VUaU0, 0, [3, 0, 0], [nGC_9787])

    call avCT(459, 1, 3, 3, 0, VUaU0, 0, [3, 0, 0], [nGC_9787])

    allocate(vertices(460)%branchCT(0:1))
    call avCT(460, 0, 2, 3, 0, VUUa0, 0, [3, 0, 0], [nGC_9787])

    call avCT(460, 1, 3, 2, 0, VUUa0, 0, [3, 0, 0], [nGC_9787])

    allocate(vertices(461)%branchCT(0:1))
    call avCT(461, 0, 2, 3, 0, UaVU0, 0, [3, 0, 0], [nGC_9787])

    call avCT(461, 1, 3, 2, 0, UaVU0, 0, [3, 0, 0], [nGC_9787])

    allocate(vertices(462)%branchCT(0:1))
    call avCT(462, 0, 2, 2, 0, UVUa0, 0, [3, 0, 0], [nGC_9787])

    call avCT(462, 1, 3, 3, 0, UVUa0, 0, [3, 0, 0], [nGC_9787])

    allocate(vertices(463)%branchCT(0:1))
    call avCT(463, 0, 2, 3, 0, UUaV0, 0, [3, 0, 0], [nGC_9787])

    call avCT(463, 1, 3, 2, 0, UUaV0, 0, [3, 0, 0], [nGC_9787])

    allocate(vertices(464)%branchCT(0:0))
    call avCT(464, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9815, nGC_9816])

    allocate(vertices(465)%branchCT(0:0))
    call avCT(465, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9815, nGC_9816])

    allocate(vertices(466)%branchCT(0:0))
    call avCT(466, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9815, nGC_9816])

    allocate(vertices(467)%branchCT(0:0))
    call avCT(467, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9815, nGC_9816])

    allocate(vertices(468)%branchCT(0:0))
    call avCT(468, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9815, nGC_9816])

    allocate(vertices(469)%branchCT(0:0))
    call avCT(469, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9821, nGC_9822])

    allocate(vertices(470)%branchCT(0:0))
    call avCT(470, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9821, nGC_9822])

    allocate(vertices(471)%branchCT(0:0))
    call avCT(471, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9821, nGC_9822])

    allocate(vertices(472)%branchCT(0:0))
    call avCT(472, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9821, nGC_9822])

    allocate(vertices(473)%branchCT(0:0))
    call avCT(473, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9821, nGC_9822])

    allocate(vertices(474)%branchCT(0:0))
    call avCT(474, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9827, nGC_9828])

    allocate(vertices(475)%branchCT(0:0))
    call avCT(475, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9827, nGC_9828])

    allocate(vertices(476)%branchCT(0:0))
    call avCT(476, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9827, nGC_9828])

    allocate(vertices(477)%branchCT(0:0))
    call avCT(477, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9827, nGC_9828])

    allocate(vertices(478)%branchCT(0:0))
    call avCT(478, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9827, nGC_9828])

    allocate(vertices(479)%branchCT(0:0))
    call avCT(479, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9833, nGC_9834])

    allocate(vertices(480)%branchCT(0:0))
    call avCT(480, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9833, nGC_9834])

    allocate(vertices(481)%branchCT(0:0))
    call avCT(481, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9833, nGC_9834])

    allocate(vertices(482)%branchCT(0:0))
    call avCT(482, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9833, nGC_9834])

    allocate(vertices(483)%branchCT(0:0))
    call avCT(483, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9833, nGC_9834])

    allocate(vertices(484)%branchCT(0:0))
    call avCT(484, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9839, nGC_9840])

    allocate(vertices(485)%branchCT(0:0))
    call avCT(485, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9839, nGC_9840])

    allocate(vertices(486)%branchCT(0:0))
    call avCT(486, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9839, nGC_9840])

    allocate(vertices(487)%branchCT(0:0))
    call avCT(487, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9839, nGC_9840])

    allocate(vertices(488)%branchCT(0:0))
    call avCT(488, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9839, nGC_9840])

    allocate(vertices(489)%branchCT(0:0))
    call avCT(489, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9845, nGC_9846])

    allocate(vertices(490)%branchCT(0:0))
    call avCT(490, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9845, nGC_9846])

    allocate(vertices(491)%branchCT(0:0))
    call avCT(491, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9845, nGC_9846])

    allocate(vertices(492)%branchCT(0:0))
    call avCT(492, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9845, nGC_9846])

    allocate(vertices(493)%branchCT(0:0))
    call avCT(493, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9845, nGC_9846])

    allocate(vertices(494)%branchCT(0:0))
    call avCT(494, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9851, nGC_9852])

    allocate(vertices(495)%branchCT(0:0))
    call avCT(495, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9851, nGC_9852])

    allocate(vertices(496)%branchCT(0:0))
    call avCT(496, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9851, nGC_9852])

    allocate(vertices(497)%branchCT(0:0))
    call avCT(497, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9851, nGC_9852])

    allocate(vertices(498)%branchCT(0:0))
    call avCT(498, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9851, nGC_9852])

    allocate(vertices(499)%branchCT(0:0))
    call avCT(499, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9857, nGC_9858])

    allocate(vertices(500)%branchCT(0:0))
    call avCT(500, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9857, nGC_9858])

    allocate(vertices(501)%branchCT(0:0))
    call avCT(501, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9857, nGC_9858])

    allocate(vertices(502)%branchCT(0:0))
    call avCT(502, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9857, nGC_9858])

    allocate(vertices(503)%branchCT(0:0))
    call avCT(503, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9857, nGC_9858])

    allocate(vertices(504)%branchCT(0:0))
    call avCT(504, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9863, nGC_9864])

    allocate(vertices(505)%branchCT(0:0))
    call avCT(505, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9863, nGC_9864])

    allocate(vertices(506)%branchCT(0:0))
    call avCT(506, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9863, nGC_9864])

    allocate(vertices(507)%branchCT(0:0))
    call avCT(507, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9863, nGC_9864])

    allocate(vertices(508)%branchCT(0:0))
    call avCT(508, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9863, nGC_9864])

    allocate(vertices(509)%branchCT(0:0))
    call avCT(509, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9868, nGC_9869])

    allocate(vertices(510)%branchCT(0:0))
    call avCT(510, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9868, nGC_9869])

    allocate(vertices(511)%branchCT(0:0))
    call avCT(511, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9868, nGC_9869])

    allocate(vertices(512)%branchCT(0:0))
    call avCT(512, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9868, nGC_9869])

    allocate(vertices(513)%branchCT(0:0))
    call avCT(513, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9868, nGC_9869])

    allocate(vertices(514)%branchCT(0:0))
    call avCT(514, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9873, nGC_9874])

    allocate(vertices(515)%branchCT(0:0))
    call avCT(515, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9873, nGC_9874])

    allocate(vertices(516)%branchCT(0:0))
    call avCT(516, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9873, nGC_9874])

    allocate(vertices(517)%branchCT(0:0))
    call avCT(517, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9873, nGC_9874])

    allocate(vertices(518)%branchCT(0:0))
    call avCT(518, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9873, nGC_9874])

    allocate(vertices(519)%branchCT(0:0))
    call avCT(519, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9878, nGC_9879])

    allocate(vertices(520)%branchCT(0:0))
    call avCT(520, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9878, nGC_9879])

    allocate(vertices(521)%branchCT(0:0))
    call avCT(521, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9878, nGC_9879])

    allocate(vertices(522)%branchCT(0:0))
    call avCT(522, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9878, nGC_9879])

    allocate(vertices(523)%branchCT(0:0))
    call avCT(523, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9878, nGC_9879])

    allocate(vertices(524)%branchCT(0:0))
    call avCT(524, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9883, nGC_9883])

    allocate(vertices(525)%branchCT(0:0))
    call avCT(525, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9883, nGC_9883])

    allocate(vertices(526)%branchCT(0:0))
    call avCT(526, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9883, nGC_9883])

    allocate(vertices(527)%branchCT(0:0))
    call avCT(527, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9883, nGC_9883])

    allocate(vertices(528)%branchCT(0:0))
    call avCT(528, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9883, nGC_9883])

    allocate(vertices(529)%branchCT(0:0))
    call avCT(529, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9887, nGC_9887])

    allocate(vertices(530)%branchCT(0:0))
    call avCT(530, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9887, nGC_9887])

    allocate(vertices(531)%branchCT(0:0))
    call avCT(531, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9887, nGC_9887])

    allocate(vertices(532)%branchCT(0:0))
    call avCT(532, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9887, nGC_9887])

    allocate(vertices(533)%branchCT(0:0))
    call avCT(533, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9887, nGC_9887])

    allocate(vertices(534)%branchCT(0:0))
    call avCT(534, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9891, nGC_9891])

    allocate(vertices(535)%branchCT(0:0))
    call avCT(535, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9891, nGC_9891])

    allocate(vertices(536)%branchCT(0:0))
    call avCT(536, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9891, nGC_9891])

    allocate(vertices(537)%branchCT(0:0))
    call avCT(537, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9891, nGC_9891])

    allocate(vertices(538)%branchCT(0:0))
    call avCT(538, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9891, nGC_9891])

    allocate(vertices(584)%branchCT(0:0))
    call avCT(584, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9896, nGC_9897])

    allocate(vertices(585)%branchCT(0:0))
    call avCT(585, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9896, nGC_9897])

    allocate(vertices(586)%branchCT(0:0))
    call avCT(586, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9896, nGC_9897])

    allocate(vertices(587)%branchCT(0:0))
    call avCT(587, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9896, nGC_9897])

    allocate(vertices(588)%branchCT(0:0))
    call avCT(588, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9896, nGC_9897])

    allocate(vertices(589)%branchCT(0:0))
    call avCT(589, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9902, nGC_9903])

    allocate(vertices(590)%branchCT(0:0))
    call avCT(590, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9902, nGC_9903])

    allocate(vertices(591)%branchCT(0:0))
    call avCT(591, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9902, nGC_9903])

    allocate(vertices(592)%branchCT(0:0))
    call avCT(592, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9902, nGC_9903])

    allocate(vertices(593)%branchCT(0:0))
    call avCT(593, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9902, nGC_9903])

    allocate(vertices(594)%branchCT(0:0))
    call avCT(594, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9908, nGC_9909])

    allocate(vertices(595)%branchCT(0:0))
    call avCT(595, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9908, nGC_9909])

    allocate(vertices(596)%branchCT(0:0))
    call avCT(596, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9908, nGC_9909])

    allocate(vertices(597)%branchCT(0:0))
    call avCT(597, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9908, nGC_9909])

    allocate(vertices(598)%branchCT(0:0))
    call avCT(598, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9908, nGC_9909])

    allocate(vertices(599)%branchCT(0:0))
    call avCT(599, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9914, nGC_9915])

    allocate(vertices(600)%branchCT(0:0))
    call avCT(600, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9914, nGC_9915])

    allocate(vertices(601)%branchCT(0:0))
    call avCT(601, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9914, nGC_9915])

    allocate(vertices(602)%branchCT(0:0))
    call avCT(602, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9914, nGC_9915])

    allocate(vertices(603)%branchCT(0:0))
    call avCT(603, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9914, nGC_9915])

    allocate(vertices(604)%branchCT(0:0))
    call avCT(604, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9920, nGC_9921])

    allocate(vertices(605)%branchCT(0:0))
    call avCT(605, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9920, nGC_9921])

    allocate(vertices(606)%branchCT(0:0))
    call avCT(606, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9920, nGC_9921])

    allocate(vertices(607)%branchCT(0:0))
    call avCT(607, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9920, nGC_9921])

    allocate(vertices(608)%branchCT(0:0))
    call avCT(608, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9920, nGC_9921])

    allocate(vertices(609)%branchCT(0:0))
    call avCT(609, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9926, nGC_9927])

    allocate(vertices(610)%branchCT(0:0))
    call avCT(610, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9926, nGC_9927])

    allocate(vertices(611)%branchCT(0:0))
    call avCT(611, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9926, nGC_9927])

    allocate(vertices(612)%branchCT(0:0))
    call avCT(612, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9926, nGC_9927])

    allocate(vertices(613)%branchCT(0:0))
    call avCT(613, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9926, nGC_9927])

    allocate(vertices(614)%branchCT(0:0))
    call avCT(614, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9932, nGC_9933])

    allocate(vertices(615)%branchCT(0:0))
    call avCT(615, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9932, nGC_9933])

    allocate(vertices(616)%branchCT(0:0))
    call avCT(616, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9932, nGC_9933])

    allocate(vertices(617)%branchCT(0:0))
    call avCT(617, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9932, nGC_9933])

    allocate(vertices(618)%branchCT(0:0))
    call avCT(618, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9932, nGC_9933])

    allocate(vertices(619)%branchCT(0:0))
    call avCT(619, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9938, nGC_9939])

    allocate(vertices(620)%branchCT(0:0))
    call avCT(620, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9938, nGC_9939])

    allocate(vertices(621)%branchCT(0:0))
    call avCT(621, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9938, nGC_9939])

    allocate(vertices(622)%branchCT(0:0))
    call avCT(622, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9938, nGC_9939])

    allocate(vertices(623)%branchCT(0:0))
    call avCT(623, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9938, nGC_9939])

    allocate(vertices(624)%branchCT(0:0))
    call avCT(624, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9944, nGC_9945])

    allocate(vertices(625)%branchCT(0:0))
    call avCT(625, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9944, nGC_9945])

    allocate(vertices(626)%branchCT(0:0))
    call avCT(626, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9944, nGC_9945])

    allocate(vertices(627)%branchCT(0:0))
    call avCT(627, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9944, nGC_9945])

    allocate(vertices(628)%branchCT(0:0))
    call avCT(628, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9944, nGC_9945])

    allocate(vertices(629)%branchCT(0:0))
    call avCT(629, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9949, nGC_9950])

    allocate(vertices(630)%branchCT(0:0))
    call avCT(630, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9949, nGC_9950])

    allocate(vertices(631)%branchCT(0:0))
    call avCT(631, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9949, nGC_9950])

    allocate(vertices(632)%branchCT(0:0))
    call avCT(632, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9949, nGC_9950])

    allocate(vertices(633)%branchCT(0:0))
    call avCT(633, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9949, nGC_9950])

    allocate(vertices(634)%branchCT(0:0))
    call avCT(634, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9954, nGC_9955])

    allocate(vertices(635)%branchCT(0:0))
    call avCT(635, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9954, nGC_9955])

    allocate(vertices(636)%branchCT(0:0))
    call avCT(636, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9954, nGC_9955])

    allocate(vertices(637)%branchCT(0:0))
    call avCT(637, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9954, nGC_9955])

    allocate(vertices(638)%branchCT(0:0))
    call avCT(638, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9954, nGC_9955])

    allocate(vertices(639)%branchCT(0:0))
    call avCT(639, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9959, nGC_9960])

    allocate(vertices(640)%branchCT(0:0))
    call avCT(640, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9959, nGC_9960])

    allocate(vertices(641)%branchCT(0:0))
    call avCT(641, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9959, nGC_9960])

    allocate(vertices(642)%branchCT(0:0))
    call avCT(642, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9959, nGC_9960])

    allocate(vertices(643)%branchCT(0:0))
    call avCT(643, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9959, nGC_9960])

    allocate(vertices(644)%branchCT(0:0))
    call avCT(644, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9964, nGC_9964])

    allocate(vertices(645)%branchCT(0:0))
    call avCT(645, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9964, nGC_9964])

    allocate(vertices(646)%branchCT(0:0))
    call avCT(646, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9964, nGC_9964])

    allocate(vertices(647)%branchCT(0:0))
    call avCT(647, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9964, nGC_9964])

    allocate(vertices(648)%branchCT(0:0))
    call avCT(648, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9964, nGC_9964])

    allocate(vertices(649)%branchCT(0:0))
    call avCT(649, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9968, nGC_9968])

    allocate(vertices(650)%branchCT(0:0))
    call avCT(650, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9968, nGC_9968])

    allocate(vertices(651)%branchCT(0:0))
    call avCT(651, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9968, nGC_9968])

    allocate(vertices(652)%branchCT(0:0))
    call avCT(652, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9968, nGC_9968])

    allocate(vertices(653)%branchCT(0:0))
    call avCT(653, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9968, nGC_9968])

    allocate(vertices(654)%branchCT(0:0))
    call avCT(654, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9972, nGC_9972])

    allocate(vertices(655)%branchCT(0:0))
    call avCT(655, 0, 18, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9972, nGC_9972])

    allocate(vertices(656)%branchCT(0:0))
    call avCT(656, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9972, nGC_9972])

    allocate(vertices(657)%branchCT(0:0))
    call avCT(657, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_9972, nGC_9972])

    allocate(vertices(658)%branchCT(0:0))
    call avCT(658, 0, 19, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9972, nGC_9972])

    allocate(vertices(659)%branchCT(0:0))
    call avCT(659, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_9976, nGC_9977])

    allocate(vertices(660)%branchCT(0:0))
    call avCT(660, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_9976, nGC_9977])

    allocate(vertices(661)%branchCT(0:0))
    call avCT(661, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_9976, nGC_9977])

    allocate(vertices(662)%branchCT(0:0))
    call avCT(662, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_9976, nGC_9977])

    allocate(vertices(663)%branchCT(0:0))
    call avCT(663, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_9976, nGC_9977])

    allocate(vertices(664)%branchCT(0:0))
    call avCT(664, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_9982, nGC_9983])

    allocate(vertices(665)%branchCT(0:0))
    call avCT(665, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_9982, nGC_9983])

    allocate(vertices(666)%branchCT(0:0))
    call avCT(666, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_9982, nGC_9983])

    allocate(vertices(667)%branchCT(0:0))
    call avCT(667, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_9982, nGC_9983])

    allocate(vertices(668)%branchCT(0:0))
    call avCT(668, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_9982, nGC_9983])

    allocate(vertices(669)%branchCT(0:0))
    call avCT(669, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_9988, nGC_9989])

    allocate(vertices(670)%branchCT(0:0))
    call avCT(670, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_9988, nGC_9989])

    allocate(vertices(671)%branchCT(0:0))
    call avCT(671, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_9988, nGC_9989])

    allocate(vertices(672)%branchCT(0:0))
    call avCT(672, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_9988, nGC_9989])

    allocate(vertices(673)%branchCT(0:0))
    call avCT(673, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_9988, nGC_9989])

    allocate(vertices(674)%branchCT(0:0))
    call avCT(674, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_9993, nGC_9994])

    allocate(vertices(675)%branchCT(0:0))
    call avCT(675, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_9993, nGC_9994])

    allocate(vertices(676)%branchCT(0:0))
    call avCT(676, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_9993, nGC_9994])

    allocate(vertices(677)%branchCT(0:0))
    call avCT(677, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_9993, nGC_9994])

    allocate(vertices(678)%branchCT(0:0))
    call avCT(678, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_9993, nGC_9994])

    allocate(vertices(679)%branchCT(0:0))
    call avCT(679, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_9999, nGC_10000])

    allocate(vertices(680)%branchCT(0:0))
    call avCT(680, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_9999, nGC_10000])

    allocate(vertices(681)%branchCT(0:0))
    call avCT(681, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_9999, nGC_10000])

    allocate(vertices(682)%branchCT(0:0))
    call avCT(682, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_9999, nGC_10000])

    allocate(vertices(683)%branchCT(0:0))
    call avCT(683, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_9999, nGC_10000])

    allocate(vertices(684)%branchCT(0:0))
    call avCT(684, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10005, nGC_10006])

    allocate(vertices(685)%branchCT(0:0))
    call avCT(685, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10005, nGC_10006])

    allocate(vertices(686)%branchCT(0:0))
    call avCT(686, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10005, nGC_10006])

    allocate(vertices(687)%branchCT(0:0))
    call avCT(687, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10005, nGC_10006])

    allocate(vertices(688)%branchCT(0:0))
    call avCT(688, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10005, nGC_10006])

    allocate(vertices(689)%branchCT(0:0))
    call avCT(689, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10011, nGC_10012])

    allocate(vertices(690)%branchCT(0:0))
    call avCT(690, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10011, nGC_10012])

    allocate(vertices(691)%branchCT(0:0))
    call avCT(691, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10011, nGC_10012])

    allocate(vertices(692)%branchCT(0:0))
    call avCT(692, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10011, nGC_10012])

    allocate(vertices(693)%branchCT(0:0))
    call avCT(693, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10011, nGC_10012])

    allocate(vertices(694)%branchCT(0:0))
    call avCT(694, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10016, nGC_10017])

    allocate(vertices(695)%branchCT(0:0))
    call avCT(695, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10016, nGC_10017])

    allocate(vertices(696)%branchCT(0:0))
    call avCT(696, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10016, nGC_10017])

    allocate(vertices(697)%branchCT(0:0))
    call avCT(697, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10016, nGC_10017])

    allocate(vertices(698)%branchCT(0:0))
    call avCT(698, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10016, nGC_10017])

    allocate(vertices(699)%branchCT(0:0))
    call avCT(699, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10022, nGC_10023])

    allocate(vertices(700)%branchCT(0:0))
    call avCT(700, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10022, nGC_10023])

    allocate(vertices(701)%branchCT(0:0))
    call avCT(701, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10022, nGC_10023])

    allocate(vertices(702)%branchCT(0:0))
    call avCT(702, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10022, nGC_10023])

    allocate(vertices(703)%branchCT(0:0))
    call avCT(703, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10022, nGC_10023])

    allocate(vertices(734)%branchCT(0:0))
    call avCT(734, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10028, nGC_10029])

    allocate(vertices(735)%branchCT(0:0))
    call avCT(735, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10028, nGC_10029])

    allocate(vertices(736)%branchCT(0:0))
    call avCT(736, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10028, nGC_10029])

    allocate(vertices(737)%branchCT(0:0))
    call avCT(737, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10028, nGC_10029])

    allocate(vertices(738)%branchCT(0:0))
    call avCT(738, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10028, nGC_10029])

    allocate(vertices(739)%branchCT(0:0))
    call avCT(739, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10034, nGC_10035])

    allocate(vertices(740)%branchCT(0:0))
    call avCT(740, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10034, nGC_10035])

    allocate(vertices(741)%branchCT(0:0))
    call avCT(741, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10034, nGC_10035])

    allocate(vertices(742)%branchCT(0:0))
    call avCT(742, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10034, nGC_10035])

    allocate(vertices(743)%branchCT(0:0))
    call avCT(743, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10034, nGC_10035])

    allocate(vertices(744)%branchCT(0:0))
    call avCT(744, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10039, nGC_10040])

    allocate(vertices(745)%branchCT(0:0))
    call avCT(745, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10039, nGC_10040])

    allocate(vertices(746)%branchCT(0:0))
    call avCT(746, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10039, nGC_10040])

    allocate(vertices(747)%branchCT(0:0))
    call avCT(747, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10039, nGC_10040])

    allocate(vertices(748)%branchCT(0:0))
    call avCT(748, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10039, nGC_10040])

    allocate(vertices(764)%branchCT(0:0))
    call avCT(764, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10045, nGC_10046])

    allocate(vertices(765)%branchCT(0:0))
    call avCT(765, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10045, nGC_10046])

    allocate(vertices(766)%branchCT(0:0))
    call avCT(766, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10045, nGC_10046])

    allocate(vertices(767)%branchCT(0:0))
    call avCT(767, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10045, nGC_10046])

    allocate(vertices(768)%branchCT(0:0))
    call avCT(768, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10045, nGC_10046])

    allocate(vertices(769)%branchCT(0:0))
    call avCT(769, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10050, nGC_10051])

    allocate(vertices(770)%branchCT(0:0))
    call avCT(770, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10050, nGC_10051])

    allocate(vertices(771)%branchCT(0:0))
    call avCT(771, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10050, nGC_10051])

    allocate(vertices(772)%branchCT(0:0))
    call avCT(772, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10050, nGC_10051])

    allocate(vertices(773)%branchCT(0:0))
    call avCT(773, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10050, nGC_10051])

    allocate(vertices(774)%branchCT(0:0))
    call avCT(774, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10056, nGC_10057])

    allocate(vertices(775)%branchCT(0:0))
    call avCT(775, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10056, nGC_10057])

    allocate(vertices(776)%branchCT(0:0))
    call avCT(776, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10056, nGC_10057])

    allocate(vertices(777)%branchCT(0:0))
    call avCT(777, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10056, nGC_10057])

    allocate(vertices(778)%branchCT(0:0))
    call avCT(778, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10056, nGC_10057])

    allocate(vertices(779)%branchCT(0:0))
    call avCT(779, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10062, nGC_10063])

    allocate(vertices(780)%branchCT(0:0))
    call avCT(780, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10062, nGC_10063])

    allocate(vertices(781)%branchCT(0:0))
    call avCT(781, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10062, nGC_10063])

    allocate(vertices(782)%branchCT(0:0))
    call avCT(782, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10062, nGC_10063])

    allocate(vertices(783)%branchCT(0:0))
    call avCT(783, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10062, nGC_10063])

    allocate(vertices(784)%branchCT(0:0))
    call avCT(784, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10068, nGC_10069])

    allocate(vertices(785)%branchCT(0:0))
    call avCT(785, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10068, nGC_10069])

    allocate(vertices(786)%branchCT(0:0))
    call avCT(786, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10068, nGC_10069])

    allocate(vertices(787)%branchCT(0:0))
    call avCT(787, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10068, nGC_10069])

    allocate(vertices(788)%branchCT(0:0))
    call avCT(788, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10068, nGC_10069])

    allocate(vertices(789)%branchCT(0:0))
    call avCT(789, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10073, nGC_10074])

    allocate(vertices(790)%branchCT(0:0))
    call avCT(790, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10073, nGC_10074])

    allocate(vertices(791)%branchCT(0:0))
    call avCT(791, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10073, nGC_10074])

    allocate(vertices(792)%branchCT(0:0))
    call avCT(792, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10073, nGC_10074])

    allocate(vertices(793)%branchCT(0:0))
    call avCT(793, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10073, nGC_10074])

    allocate(vertices(794)%branchCT(0:0))
    call avCT(794, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10079, nGC_10080])

    allocate(vertices(795)%branchCT(0:0))
    call avCT(795, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10079, nGC_10080])

    allocate(vertices(796)%branchCT(0:0))
    call avCT(796, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10079, nGC_10080])

    allocate(vertices(797)%branchCT(0:0))
    call avCT(797, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10079, nGC_10080])

    allocate(vertices(798)%branchCT(0:0))
    call avCT(798, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10079, nGC_10080])

    allocate(vertices(799)%branchCT(0:0))
    call avCT(799, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10085, nGC_10086])

    allocate(vertices(800)%branchCT(0:0))
    call avCT(800, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10085, nGC_10086])

    allocate(vertices(801)%branchCT(0:0))
    call avCT(801, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10085, nGC_10086])

    allocate(vertices(802)%branchCT(0:0))
    call avCT(802, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10085, nGC_10086])

    allocate(vertices(803)%branchCT(0:0))
    call avCT(803, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10085, nGC_10086])

    allocate(vertices(804)%branchCT(0:0))
    call avCT(804, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10091, nGC_10092])

    allocate(vertices(805)%branchCT(0:0))
    call avCT(805, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10091, nGC_10092])

    allocate(vertices(806)%branchCT(0:0))
    call avCT(806, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10091, nGC_10092])

    allocate(vertices(807)%branchCT(0:0))
    call avCT(807, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10091, nGC_10092])

    allocate(vertices(808)%branchCT(0:0))
    call avCT(808, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10091, nGC_10092])

    allocate(vertices(809)%branchCT(0:0))
    call avCT(809, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10097, nGC_10098])

    allocate(vertices(810)%branchCT(0:0))
    call avCT(810, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10097, nGC_10098])

    allocate(vertices(811)%branchCT(0:0))
    call avCT(811, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10097, nGC_10098])

    allocate(vertices(812)%branchCT(0:0))
    call avCT(812, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10097, nGC_10098])

    allocate(vertices(813)%branchCT(0:0))
    call avCT(813, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10097, nGC_10098])

    allocate(vertices(814)%branchCT(0:0))
    call avCT(814, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10103, nGC_10104])

    allocate(vertices(815)%branchCT(0:0))
    call avCT(815, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10103, nGC_10104])

    allocate(vertices(816)%branchCT(0:0))
    call avCT(816, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10103, nGC_10104])

    allocate(vertices(817)%branchCT(0:0))
    call avCT(817, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10103, nGC_10104])

    allocate(vertices(818)%branchCT(0:0))
    call avCT(818, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10103, nGC_10104])

    allocate(vertices(819)%branchCT(0:0))
    call avCT(819, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10109, nGC_10110])

    allocate(vertices(820)%branchCT(0:0))
    call avCT(820, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10109, nGC_10110])

    allocate(vertices(821)%branchCT(0:0))
    call avCT(821, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10109, nGC_10110])

    allocate(vertices(822)%branchCT(0:0))
    call avCT(822, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10109, nGC_10110])

    allocate(vertices(823)%branchCT(0:0))
    call avCT(823, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10109, nGC_10110])

    allocate(vertices(824)%branchCT(0:0))
    call avCT(824, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10115, nGC_10116])

    allocate(vertices(825)%branchCT(0:0))
    call avCT(825, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10115, nGC_10116])

    allocate(vertices(826)%branchCT(0:0))
    call avCT(826, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10115, nGC_10116])

    allocate(vertices(827)%branchCT(0:0))
    call avCT(827, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10115, nGC_10116])

    allocate(vertices(828)%branchCT(0:0))
    call avCT(828, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10115, nGC_10116])

    allocate(vertices(829)%branchCT(0:0))
    call avCT(829, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10121, nGC_10122])

    allocate(vertices(830)%branchCT(0:0))
    call avCT(830, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10121, nGC_10122])

    allocate(vertices(831)%branchCT(0:0))
    call avCT(831, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10121, nGC_10122])

    allocate(vertices(832)%branchCT(0:0))
    call avCT(832, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10121, nGC_10122])

    allocate(vertices(833)%branchCT(0:0))
    call avCT(833, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10121, nGC_10122])

    allocate(vertices(834)%branchCT(0:0))
    call avCT(834, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10127, nGC_10128])

    allocate(vertices(835)%branchCT(0:0))
    call avCT(835, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10127, nGC_10128])

    allocate(vertices(836)%branchCT(0:0))
    call avCT(836, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10127, nGC_10128])

    allocate(vertices(837)%branchCT(0:0))
    call avCT(837, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10127, nGC_10128])

    allocate(vertices(838)%branchCT(0:0))
    call avCT(838, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10127, nGC_10128])

    allocate(vertices(884)%branchCT(0:0))
    call avCT(884, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10080, nGC_10079])

    allocate(vertices(885)%branchCT(0:0))
    call avCT(885, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10080, nGC_10079])

    allocate(vertices(886)%branchCT(0:0))
    call avCT(886, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10080, nGC_10079])

    allocate(vertices(887)%branchCT(0:0))
    call avCT(887, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10080, nGC_10079])

    allocate(vertices(888)%branchCT(0:0))
    call avCT(888, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10080, nGC_10079])

    allocate(vertices(889)%branchCT(0:0))
    call avCT(889, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10086, nGC_10085])

    allocate(vertices(890)%branchCT(0:0))
    call avCT(890, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10086, nGC_10085])

    allocate(vertices(891)%branchCT(0:0))
    call avCT(891, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10086, nGC_10085])

    allocate(vertices(892)%branchCT(0:0))
    call avCT(892, 0, 20, 1, 0, SFaF0, 0, [2, 1, 1], [nGC_10086, nGC_10085])

    allocate(vertices(893)%branchCT(0:0))
    call avCT(893, 0, 19, 1, 0, SFFa0, 0, [2, 1, 1], [nGC_10086, nGC_10085])

    allocate(vertices(894)%branchCT(0:0))
    call avCT(894, 0, 16, 1, 0, FSFa0, 0, [2, 1, 1], [nGC_10092, nGC_10091])

    allocate(vertices(895)%branchCT(0:0))
    call avCT(895, 0, 17, 1, 0, FaFS0, 0, [2, 1, 1], [nGC_10092, nGC_10091])

    allocate(vertices(896)%branchCT(0:0))
    call avCT(896, 0, 18, 1, 0, FaSF0, 0, [2, 1, 1], [nGC_10092, nGC_10091])

  end subroutine fill_vertices_mdl3
end module vertices_info3
